/**
 *@file 			Common.Util.Language.js
 *@brief 		Util Language Class
 *@author 		Seo Chang-kyo
 *@date 		13 February 2009
 */
(function(){
    if (this.Common == null)
        this.Common = new Object();
    if (this.Common.Util == null)
        this.Common.Util = new Object();
})();

/**
 * Usage
 * var iLanguage = new Common.Util.Language();
 * iLanguage.convertCodeToKeyword();
 */ 
 
Common.Util.Language = function(){
    /**
     * @brief		Convert language code to keyword
     * @remarks	Convert language code of plugin to language keyword for hubSite
     * @param		languageCode		Plugin language code
     * @return		tmpLangKeyword	HubSite language keyword
     * @par			Need to include	/$WIDGET_MANAGER$/Common/Plugin/Define.js
     */
    this.convertCodeToKeyword = function(languageCode){
        var tmpLangKeyword = "";
		/*switch (languageCode) {
			case PL_TV_LANGUAGE_KOR :
				tmpLangKeyword = "ko"; 
				break;
			case PL_TV_LANGUAGE_ENG_US :
				tmpLangKeyword = "en"; 
				break;
			case PL_TV_LANGUAGE_FRA_US :
				tmpLangKeyword = "fr";
				break;
			case PL_TV_LANGUAGE_POR_US :
				tmpLangKeyword = "pt-US"; 
				break;		
			case PL_TV_LANGUAGE_BUL :
				tmpLangKeyword = "bg"; 
				break;
			case PL_TV_LANGUAGE_CRO :
				tmpLangKeyword = "hr"; 
				break;
			case PL_TV_LANGUAGE_CZE :
				tmpLangKeyword = "cs"; 
				break;
			case PL_TV_LANGUAGE_DAN :
				tmpLangKeyword = "da"; 
				break;
			case PL_TV_LANGUAGE_DUT :
				tmpLangKeyword = "nl"; 
				break;
			case PL_TV_LANGUAGE_FIN :
				tmpLangKeyword = "fi"; 
				break;
			case PL_TV_LANGUAGE_FRA :
				tmpLangKeyword = "fr"; 
				break;
			case PL_TV_LANGUAGE_DEU :
				tmpLangKeyword = "de"; 
				break;
			case PL_TV_LANGUAGE_GRE :
				tmpLangKeyword = "el"; 
				break;
			case PL_TV_LANGUAGE_HUN :
				tmpLangKeyword = "hu"; 
				break;
			case PL_TV_LANGUAGE_ITA :
				tmpLangKeyword = "it"; 
				break;
			case PL_TV_LANGUAGE_NOR :
				tmpLangKeyword = "no"; 
				break;
			case PL_TV_LANGUAGE_ENG :
				tmpLangKeyword = "en-GB"; 
				break;
			case PL_TV_LANGUAGE_POL :
				tmpLangKeyword = "pl"; 
				break;
			case PL_TV_LANGUAGE_POR :
				tmpLangKeyword = "pt"; 
				break;
			case PL_TV_LANGUAGE_ROM :
				tmpLangKeyword = "ro"; 
				break;
			case PL_TV_LANGUAGE_RUS :
				tmpLangKeyword = "ru"; 
				break;
			case PL_TV_LANGUAGE_SER :
				tmpLangKeyword = "sr"; 
				break;
			case PL_TV_LANGUAGE_SLK :
				tmpLangKeyword = "sk"; 
				break;
			case PL_TV_LANGUAGE_SPA :
			case PL_TV_LANGUAGE_SPA_US :
				tmpLangKeyword = "es"; 
				break;
			case PL_TV_LANGUAGE_SWE :
				tmpLangKeyword = "sv"; 
				break;
			case PL_TV_LANGUAGE_TUR :
				tmpLangKeyword = "tr"; 
				break;
			case PL_TV_LANGUAGE_CHI :
				tmpLangKeyword = "zh-CN"; 
				break;
			case PL_TV_LANGUAGE_HKG :
				tmpLangKeyword = "zh-HK"; 
				break;
			case PL_TV_LANGUAGE_TPE :
				tmpLangKeyword = "zh-TW"; 
				break;
			case PL_TV_LANGUAGE_JPN :
			case PL_TV_LANGUAGE_MAO :
			case PL_TV_LANGUAGE_CMN :
			case PL_TV_LANGUAGE_YUE :
			case PL_TV_LANGUAGE_HIN :
				tmpLangKeyword = "en"; 
				break;
			case PL_TV_LANGUAGE_EST :
				tmpLangKeyword = "et"; 
				break;
			case PL_TV_LANGUAGE_LAT :
				tmpLangKeyword = "lv"; 
				break;
			case PL_TV_LANGUAGE_LTU :
				tmpLangKeyword = "lt"; 
				break;
			case PL_TV_LANGUAGE_ARA :
			case PL_TV_LANGUAGE_PER :
			case PL_TV_LANGUAGE_QAA :
			case PL_TV_LANGUAGE_AD :
			case PL_TV_LANGUAGE_CAT :
			case PL_TV_LANGUAGE_VAL :
			case PL_TV_LANGUAGE_HEB :
			case PL_TV_LANGUAGE_OTHER :
				tmpLangKeyword = "en"; 
				break;
			case PL_TV_LANGUAGE_THA :
				tmpLangKeyword = "th"; 
				break;
			default:
				tmpLangKeyword = "en"; 
				break;
				
		}
        */tmpLangKeyword = "en";
		alert("Common.Util.Language >> convertCodeToKeyword : " + tmpLangKeyword);
        return tmpLangKeyword;
    }
}