﻿/**
* @file      variables.js
* @brief     위젯의 동작 및 화면을 제어하는 자바스크립트 변수를 한곳에 모음
* @author   Seungho Park
* @date      04 JUL 2008 
*/

var CM_AVSetting = null;
var TVPlugin = null;
var PluginObj = null;

// for MP4 g_uccURL
var bH264 = true;						// h.264 용이면 true, 아니면 false
var bMMSystem = false;			// MMSystem 이용 
var bCallFromPlugin = true;		// 플러그인 호출 함수 사용 
var bAutoNext = true;				// 다음 영상 자동실행 
var bAutoRatio = true;				// 자동 가로세로 비율 
// 로그인  ===================================================
var bLoginMode = true;
var bLogin = false;
var loginID = "";
var loginPW = "";
var bLoginChk =false;
var loginFile = "loginInfo.txt";

var mp4Pre = "";						// mp4 url prefix
var mp4Post = "";						// mp4 url postfix

var categoryList = null;    		//왼쪽메뉴 리스트 (카테고리리스트)
var contentsListXmlURL = null;    //왼쪽메뉴 리스트(카테고리리스트)에 해당하는 ContentsList 정보를 가지고 있는 XML URL 주소
var contentsListXmlParam = null;    //왼쪽메뉴 리스트(카테고리리스트)에 해당하는 ContentsList 정보를 가지고 있는 XML Param 정보

// Feed Data 정보  ===================================================
var contentsList = null;    //오른쪽메뉴 리스트 (컨텐츠리스트)
var contentsImg = null;    //오른쪽메뉴 리스트의 사진 (컨텐츠리스트의 사진)
var detailInfoListXmlURL = null;    //정보 리스트의 XML 주소
var contentsTime = null;	 //오른쪽메뉴 리스트의 날짜, 시간정보 for 영문버전 
var contentsTimeUpdate = null;	 //오른쪽메뉴 리스트의 날짜, 시간정보 for 한글버전
var videoGuid = null;	 	//오른쪽메뉴 리스트의 날짜, 시간정보
var playURL = null;			 //동영상 URL
var playURL264 = null;	 // h.264동영상 URL
var playerType = null;		 // 동영상 type정보 
var description = null;		// 동영상 정보 내용
var duration = null;								// 재생시간
var viewcount = null;								// 조회수
var average = null;								// 점수 
var keyWords = null;								// 키워드 
var contentsObj = null;			//북마크 저장위해 data저장 obj
// 연관 Video Feed Data 정보  ===================================================
var relContentsList 				= null;   //오른쪽메뉴 리스트 (컨텐츠리스트)
var relContentsImg 				= null;   //오른쪽메뉴 리스트의 사진 (컨텐츠리스트의 사진)
var relDetailInfoListXmlURL 	= null;   //정보 리스트의 XML 주소
var relContentsTime 			= null;	//오른쪽메뉴 리스트의 날짜, 시간정보 for 영문버전 
var relContentsTimeUpdate = null;	//오른쪽메뉴 리스트의 날짜, 시간정보 for 한글버전
var relVideoGuid 					= null;	//오른쪽메뉴 리스트의 날짜, 시간정보
var relPlayURL 					= null;	//동영상 URL
var relPlayURL264 				= null;	// h.264동영상 URL
var relPlayerType 				= null;	// 동영상 type정보 
var relDescription 				= null;	// 동영상 정보 내용
var relDuration 					= null;	// 재생시간
var relViewcount 					= null;	// 조회수
var relAverage 					= null;	// 점수 
var relKeyWords 					= null;	// 키워드 
var gRelContentsListNum 	= 0;  //contents list의 갯수
var relContentsID = "relContents";
//var lastIndexRel = 0;
var lastPreRelIndex  = 0;
var curFocusIndex = 0;
var bRelated = false;   				//관련동영상과 일반 동영상 구분.
var bRelPopupBlock = false;		//관련동영상 block : true 	non-block : false
var relDetailIndex = 0;			
var bOnShowRelPopup = false;		//관련동영상 팝업 show/hidden 구분 변수
//Related Scroll =================================
var Related_SCROLL_WIDTH = "834";//"876"; 
var Related_SCROLL_MOVE_WIDTH = 31; 
var Related_SCROLL_POSITION = 0;
var Related_SCROLL_REAL_WIDTH = 0;
var RelateddragT = 0;

// Define  ===================================================
var UCC_PLAY = 1;
var UCC_STOP = 2;
var UCC_PAUSE = 3;
var UCC_RESUME = 4;
var currentStatus = UCC_STOP;
var UCC_RW = 5;
var UCC_FF = 6;

var UCC_LIST_VIEW = 1;
var UCC_DETAIL_VIEW = 2;
var currentView = UCC_LIST_VIEW;

var UCC_MODE_1X = 1;
var UCC_MODE_FULL = 4;
var currentMode = UCC_MODE_1X;

var PARAM_TIME_DAY 		= "&time=today";
var PARAM_TIME_WEEK 		= "&time=this_week";
var PARAM_TIME_MONTH 	= "&time=this_month";
var PARAM_TIME_ALLTIME 	= "";
var lastTimeFocusID;
var bTimePopup = false;
var lastFocusTimePopupID;

var UCC_MAX_BOOKMARK = 40; // 북마크 저장 최대 갯수 
var MAXURI_LENGTH = 2000; // 2048 - 48;		// URI 최대 사이즈 

var Player = null;
var detailIndex = 0;
var totalTime = 0;
var curTime = 0;
var bookmarkText;
var searchText = "";

var currentImg = 0;
var loadingImg; // 로딩중 이미지
var loadingTimer = 0;
var bLoading = false;	//로딩중 확인 flag
var playTimer = 0;
var fullhelpTimer = 0;
var bFullHelp = false;	//full 화면에서 help영역 토글위한 flag
var popupTimer = 0;
var volumeTimer = 0;
var changeFullTimer = 0;
var detailKeyTimer = 0;

var starImg; // 평점 별표시

var bContentsList = false;  //contents List인지 아닌지 판단 flag

// 팝업 종류 정의 ===================================================
var POPUP_DELBOOK = 0;
var POPUP_ADDBOOK = 1;
var POPUP_NOTICE = 2;
var POPUP_NETERROR = 3;
var POPUP_RENDER_ERROR = 4;
var POPUP_AUTHEN_ERROR = 5;
var POPUP_BOOKMARK_DEL_ERROR = 6;
var POPUP_HISTORY_DEL = 7;
var POPUP_CHECKBOOK = 8;
var POPUP_NOTAVILABLE = 9;

var curPopup = POPUP_NOTICE;

// 티비 키 오브젝트 ===================================================
var tvKey = null;
// ===================================================

var locateFocus;

////////// Category Variable
var categoryID = "category";   //category ID를 생성시 사용할 String. ex) category + 1, 2, 3
var categoryListNum;    //category list의 갯수
var lastCategoryID;    //포커스가 category(왼쪽화면) 에서 contents(오른쪽화면)으로 이동시 마지막으로 포커스를 가지고 있던 categoryID (1base)
var lastCategoryIndex = 0;			// 0 base
var showNumOfCategory = 11;    	//한페이지에서 보여주는 Category List 갯수
var totalCatePageNum = 0;		// 카테고리 전체페이지 (zero-based index)
var curCatePageNum = 0;

////////// Contents Variable
var contentsID ="contents";   //contents ID를 생성시 사용할 String. ex) contents + 1, 2, 3
var contentsListNum;    //contents list의 갯수
var contentsCategoryID;    //오른쪽메뉴(컨텐츠리스트)가 어떠한 Category의 내용인지를 저장하는 변수
var lastContentsID;    //포커스가 Contents(오른쪽화면) 에서 Detail(상세화면)으로 이동시 마지막으로 포커스를 가지고 있던 contetnsID
var lastContentsIndex;    //
var showNumOfPage = 5;    //한페이지에서 보여주는 contents 갯수
//var showNumOfPhoto = 8    //한페이지에서 보여주는 photo 갯수
var gTotalResult = 0;			// Feed 전체 갯수
var gStartIndex = 0;				// Start Index
var gItemsPerPage = 0;			// 한번에 가져오는 feed 갯수 
////////// Detail Info Variable

// Popup menu Variable
var bookPopupID 	= "BookPopup";
var optionPopupID 	= "OptionPopup";
var timePopupID 		= "TimePopup"
var lastFocusID;

// search  ===================================================
var searchID = "search";
var bSearchSend = false; // 검색에서 조회를 날렸는지 여부 검색에서 날릴때만 true
var categoryListXmlURL = "xml/ucc_category_list.xml"; //카테고리리스트의 xml 주소
var demoCategoryListXmlURL = "xml/ucc_category_list_mp4_test.xml"; //demo 카테고리리스트의 xml 주소
var searchTextInput = "searchText1";

var bookmarkXmlURL = "xml/bookmark.xml"; 														//북마크 xml 주소

function objXHR() {
	this.timer = null;
	this.xhr = null;
}
var xmlMaxTimer = 60;	
var xmlHttpCategory = null;
var xmlHttpContents = [];
var	xmlHttpBookmark = null;
var xmlHttpHistory = null;
var xmlHttpRelated = null;	// 연관검색 

var detailID = "detail";
var detailInfo;
//var photo = "스틸컷";

// UCC 세부정보  ===================================================
var uccTitle;
var uccRecommand;
var uccCount;
var uccVote;
var uccDate;
var uccStar;
var bDeleteAll = false;		// 모두 지우기 : true, 선택항목만 지우기 : false
var bCheckAll = false;		// 모두 선택: true, 모두 해제 : false;
var bookmarkID = 'bookmark';
var bookmarkName; 		// 즐겨찾기
var tvBookmarkName;		//TV 보관함
var bTvBookmark = false;		
var historyName;		// 방문기록
var searchName; //검색
var bookmarkMenuIndex = 0;
var tvBookmarkMenuIndex = 0;
var searchMenuIndex = 0;
var historyMenuIndex = 0;

var focusItem1X;
var focusItemFull;
var bDisconnect = false;
var bErrorCallbak = false;
var totalSecTime = 0;
var curSecTime = 0;
var gTotalBuffer = 0;
var gOldBuffer = 0;

// 이미지 스크롤바 처리  ===================================================
var dragH = 17;//39; // 스크롤바의 길이
var dragW = 17;//3 // 스크롤바의 넓이
var scrollH = 401//360; // 스크롤 문서의 높이
var upL; // Up-arrow X
var upT; // Up-arrow Y
var downL; // Down-arrow X
var downT; // Down-arrow Y
var dragL; // Scrollbar X
var dragT; // Scrollbar Y
var rulerL; // Ruler X
var rulerT; // Ruler Y
var startY; // Scrollbar start position
var totalPage = 1;
var currentPage = 1;
//시계
var alternate=0;
var clock;

var browser = "Maple";
var bMaple = true;
var contentsShowNum = 1; 		// 한줄에 몇개를 보여줄 것인지
//var photoShowNum = 4; 		// 한줄에 몇개를 보여줄 것인지
var bOnCategoryList = true;		// 포커스가 카테고리 리스트에 있으면 true, 오른쪽 컨텐츠 리스트에 있으면 false
var bReadLock = false;			// 테이터를 가져올때 Lock 걸음 
var bDeviceLock = false;			// 디바이스 인증중에는 키 안먹도록 
var bChangeFullLock = false;	// 전체화면 전환 2초마다 작동하도록 Lock
var bDetailKeyLock = false;		// 상세화면 전환 2초마다 작동하도록 Lock
var bReturnLock = false;			// 상세화면에서 바로 리턴 못하도록 Lock

var bOnBuffering = true;
var nVolume = 0; 						// 볼륨값 표시 

// 북마크  ===================================================
var bookmarkRoot = null;
var bookmarkXML = "";
var initBookmarkXML = '<?xml version="1.0" encoding="utf-8"?><rss xmlns:atom="http://www.w3.org/2005/Atom" xmlns:openSearch="http://a9.com/-/spec/opensearchrss/1.0/" xmlns:gml="http://www.opengis.net/gml" xmlns:georss="http://www.georss.org/georss" xmlns:media="http://search.yahoo.com/mrss/" xmlns:yt="http://gdata.youtube.com/schemas/2007" xmlns:gd="http://schemas.google.com/g/2005" version="2.0"><channel></channel></rss>';
var favoriteDir = "";
var favoriteFile = "tvBookmark.xml";
var YOUTUBE_API_VIDEO = "http://gdata.youtube.com/feeds/api/videos/";
var YOUTUBE_API_FAVORITE = "http://gdata.youtube.com/feeds/users/default/favorites";
var addBookmarkXML1 = '<?xml version="1.0" encoding="UTF-8"?><entry xmlns="http://www.w3.org/2005/Atom"><id>';
var addBookmarkXML2 = '</id></entry>';
var gDelBookmarkIndex = 0;
var bookmarkParser = null;

// 방문기록  ===================================================
var historyXML = "";
var initHistoryXML = initBookmarkXML;
var historyFile = "history.xml";
var historyParser = null;

// 옵션팝업  ===================================================
var gOptionMenuNum = 0;
var gDisableIdxArr = new Array(); //popup 메뉴 비활성화 인덱스 array
var lastOptionFocusID = "OptionPopup1";		//option popup last focusID
var bOptionPopup = false;
//For Watch Dog  ===================================================
var watchDog = null;
var watchDogStatus = true;

// 인증  ===================================================
var g_AuthenErrCount = 0;	// 인증 에러 시도 횟수 
var MAX_RETRY = 3;			// 인증 실패시 시도 횟수 

// 비디오 정보   ===================================================
var g_dRatio	= 0;						// 비디오 가로세로 비율
var g_nX 			= 0;
var g_nY 			= 0;
var g_nW 		= 0;
var g_nH 			= 0;
var g_uccURL = "";


//CheckBox	==========================
var checkList =new Array();			//check된 영상의 flag 저장.
var checkPlayList = new Array();	//check되어 play될 영상의 순서를 저장

var checkListCnt = 0;					//check된 영상이 증가할때 하나씩 증가		
var checkPlayCnt = 0;  					//checkPlayList Array의 position 값
var checkFlag = false;					//true : check    false : not check
var bCheckPlayEnd = false;			//true : end       false : continue

var HistoryPopupID = "HistoryPopup";
var bHistoryDeleteAll = false;			// 모두 지우기 : true, 선택항목만 지우기 : false

//DetailScroll =================================
var SCROLL_HEIGHT = "213";//"178"; 
var SCROLL_MOVE_HEIGHT = 35//29; 
var SCROLL_POSITION =0;
var SCROLL_REAL_HEIGHT = 0;

//searchHistory =================================
var searchHistoryList = new Array();
var searchHistoryCnt = 0;

var showNumOfListPage = 6;
var historyID = "historyListItem";
var searchHistoryListNum;
var deleteHistoryListNum;

var bCheckHistory = true; 	//중복 여부 확인

var totalListPage = 1;
var currentListPage = 1;

var historyDragH = 17; // 스크롤바의 길이
var historyDragW = 17; // 스크롤바의 넓이
var historyScrollH = 266; //227 스크롤 문서의 높이
var historyUpL = 0;
var historyUpT = 0;
var historyDownL = 0;
var historyDownT = 0;
var historyDragL = 0;
var historyDragT = 0;
var histortyBarT = 0;
var historyStartY = 0;

var lastSearchHistoryID = "historyListItem1"

//orderby =======================================
var order = "relevance"; //relevance, published, viewCount and rating
var keyCnt = 1;
var RELEVANCE = "1";
var PUBLISHED = "2";
var VIEWCOUNT = "3";
var RATING = "4";

var orderID ="orderByItem";
var lastOrderID ="orderByItem1";
var curRadioID ="radio1";
var lastRadioID = curRadioID;

//다국어 지원 xml =================
var resourceJS = "xml/resource/ko.js"
var resourceCategoryListXML = "xml/ucc_category_list_mp4.xml";

var gNation = 0;
var gLanguage = 0;
var gLoginID = "";
var gLoginPW = "";
var gModelID = "";
var gCategory = 0;
var DEFAULT_NUM = 0;

//File
var SEARCH_HISTORY_SAVE = "search_history.txt";

//TVMWPlugin
var TVMWPlugin = null;
var originalSource = null;

//AudioPlugin
var AudioPlugin = null;


//Google Suggest
var gSuggest_word = new Array(); //suggest에서 넘어온 word 저장 array
var suggsetListNum = 0;
var showNumofSuggestPage = 5;

//Demo 용
var bDemo = false;
var nRenderErr = 0;	//render error count

//TV Model별 국가 변수
var gRegionModel;

//selectBookmark popup
var selBookmarkID = "selButton";
var lastSelBookmarkID = "selButton0";
var TIMER_SET = 1000;
var TIMER_RESET = 1001;
var gPopupTimer = false;
var gPopupInstance ="";
var bShowSelPopup = false;		

var bJumpBlock = false;			//마지막 30초 남은 상황에서 건너뛰기 기능 block
var gCounter = -100;
var bDecodeReady = false;			//onDecoderReady가 불리기 전까지 건너뛰기 기능 block

var gJumpTimeValue = 20;		//건너뛰기시 값
var gNewCurSec = 0;				//초기 점프 계산된 현재 시간

var bFullScreen = false;		//초기 점프시 전체화면 못가도록 막는 변수

//var bCallSetCurTime = false;

//IME
var ime = null;

//TV 북마크 체크용 
var ADD_BOOKMARK = 0;
var EXIST_BOOKMARK = 1;
var FULL_BOOKMARK = 2;

//FrontPanel
var FrontPanelPlugin = null;
var FRONT_DISPLAY_PLAY = 100;
var FRONT_DISPLAY_STOP = 101;
var FRONT_DISPLAY_PAUSE = 102;
var FRONT_DISPLAY_ONLINE = 200;

var goSearch = false;
var searchKeyword = "";
