/** 
* @mainpage Bukak project
* @section Description 개요
* - 인터넷 위젯을 DTV에서 볼 수 있도록 개발하는 프로젝트 이며, 이 과제는 
* Youtube에 연결하여 UCC를 볼 수 있는 위젯을 개발한다.
* @section Information  작성 정보
* - 작 성 자 : 박승호
* - 작성일자 : 2007/10/15 
*/

/**
* @file      ucc.js
* @brief     위젯의 동작 및 화면을 제어하는 자바스크립트  
* @author   Seungho Park
* @date      15 OCT 2007  
*/
// ===================================================
// XHR을 이용하여 XML을 읽어오는 부분
// ===================================================
/**
 * @brief			XML http request ready state 값 검사
 * @remarks		XHR에서 status가 바뀔때 마다 호출이 되며, state가 done(4)이 되면 true를 리턴한다.
* @param		obj			XHR Object
* @return       void
*/
function checkReadyState(obj, type) {
	var strTmp = SID_ERRMSG_XHRLATE+"<br>"+SID_PLEASE_TRY_AGAIN_LATER;
	if ( obj == null ) {
		TRACE("no obj to cheeck in checkReadyState :: " + type + " ::" + obj);
		return false;
	}
	TRACE(type + ":::::" + obj.readyState);
	if(obj.readyState == 3) {
        // Watch Dog 실행을 중지시킨다.
        offWatchDog();
	} else 	if(obj.readyState == 4) {
        // Watch Dog을 실행시킨다.
        onWatchDog();

	    if(obj.status == 200 || obj.status == 201) {
			if ( type.indexOf("xmlHttpContents") > -1 ) {
				g_AuthenErrCount = 0;
			}
			if(xmlHttpContents[lastCategoryIndex]!=null)
				clearTimeout(xmlHttpContents[lastCategoryIndex].timer);
			return true;
	    } else if(obj.status == 403) {
			stopLoadingonList();
			//GOOGLE_URL = "http://www.google.com/youtube/accounts/registerDevice";
			TRACE("checkReadyState Authentication ERROR", TRACE_LEVEL.ERROR);
			g_AuthenErrCount++;
			if (g_AuthenErrCount <= MAX_RETRY) {
				TRACE("g_AuthenErrCount = " + g_AuthenErrCount);
				getDeviceKey(false);				
				return;
			}
			if(xmlHttpContents[lastCategoryIndex]!=null)
				clearTimeout(xmlHttpContents[lastCategoryIndex].timer);
			curPopup = POPUP_AUTHEN_ERROR;
			openPopupWithTimer(strTmp, popupCallback, 5);
			bReadLock = false;
			bDeviceLock = false;
		} else {
			TRACE( " obj.status = " + obj.status);
			TRACE("not 403 error in checkReadyState()");
			stopLoadingonList();
			if(xmlHttpContents[lastCategoryIndex]!=null)
				clearTimeout(xmlHttpContents[lastCategoryIndex].timer);
			curPopup = POPUP_NOTICE;
			openPopupWithTimer(strTmp, popupCallback, 5);
			bReadLock = false;
			bDeviceLock = false;
	//	    TRACE("Problem retrieving XML data");
    	}
	}
}

/**
 * @brief			XML http request ready state 값 검사
 * @remarks		XHR에서 status가 바뀔때 마다 호출이 되며, state가 done(4)이 되면 true를 리턴한다.
* @param		obj			XHR Object
* @return       void
*/
function checkReadyStateBookmarkAdd(obj, type) {
	TRACE("checkReadyStateBookmarkAdd :: "+doBookmark);
	var strTmp = SID_ERRMSG_XHRLATE+"<br>"+SID_PLEASE_TRY_AGAIN_LATER;
	if ( obj == null ) {
		TRACE("no obj to cheeck in checkReadyStateBookmarkAdd :: " + type + " ::" + obj);
		return false;
	}
	TRACE(type + ":::::" + obj.readyState);
	if(obj.readyState == 3) {
        // Watch Dog 실행을 중지시킨다.
        offWatchDog();
	} else 	if(obj.readyState == 4) {
        // Watch Dog을 실행시킨다.
        onWatchDog();
		TRACE("obj.status ::"+obj.status)	
	    if(obj.status == 200 || obj.status == 201) {
			TRACE("doBookmark :: "+doBookmark)
			doBookmark = true;
			return true;
	    } else if (obj.status == 400) {
			stopLoadingonList();
			if ( currentMode == UCC_MODE_1X )
				lastFocusID = focusItem1X; //"controlButton";				
			else
				lastFocusID = focusItemFull; //"fullMovieFocusItem";
			curPopup = POPUP_NOTICE;
			if ( !bTvBookmark ) {
				openPopupWithTimer(SID_BOOKMARK_ALREADYADDED, popupCallback, 5);
			} else {
				openPopupWithTimer(strTmp, popupCallback, 5);
			}
			bReadLock = false;
			bDeviceLock = false;
		} else {
			TRACE( " obj.status = " + obj.status);
			stopLoadingonList();
			curPopup = POPUP_NOTICE;
			TRACE("strTmp :::: "+strTmp);
			openPopupWithTimer(strTmp, popupCallback, 5);
			bReadLock = false;
			bDeviceLock = false;
    	}
	}
}

/**
 * @brief			XML http request ready state 값 검사
 * @remarks		XHR에서 status가 바뀔때 마다 호출이 되며, state가 done(4)이 되면 true를 리턴한다.
* @param		obj			XHR Object
* @return       void
*/
function checkReadyStateBookmarkDel(obj, type) {
	var TmpStrXhrERR = SID_ERRMSG_XHRLATE+"<br>"+SID_PLEASE_TRY_AGAIN_LATER;
	if ( obj == null ) {
		TRACE("no obj to cheeck in checkReadyStateBookmarkDel :: " + type + " ::" + obj);
		return false;
	}
	TRACE(type + ":::::" + obj.readyState);
	if(obj.readyState == 3) {
        // Watch Dog 실행을 중지시킨다.
        offWatchDog();
	} else 	if(obj.readyState == 4) {
        // Watch Dog을 실행시킨다.
        onWatchDog();

	    if(obj.status == 200 || obj.status == 201) {
			return true;
	    } else {
			TRACE( " obj.status = " + obj.status);
			stopLoadingonList();
			if ( bLoginMode ) {
				curPopup = POPUP_BOOKMARK_DEL_ERROR;
				openPopupWithTimer(TmpStrXhrERR, popupCallback, 5);
				bReadLock = false;
				bDeviceLock = false;
			} else {
				curPopup = POPUP_NOTICE;
				openPopupWithTimer(TmpStrXhrERR, popupCallback, 5);
				bReadLock = false;
				bDeviceLock = false;				
			}
	//	    alert("Problem retrieving XML data");
    	}
	}
}


/**
 * @brief		Bookmark category인지 확인.
 * @remarks		현재 focus 위치가 bookmark category인지 확인.
* @param		index	cateogry index
* @return		true		false
*/
function isBookmark(index) {
	if ( index == bookmarkMenuIndex )	
		return true;
	else
		return false;
}
/**
 * @brief		Bookmark category인지 확인.
 * @remarks		현재 focus 위치가 bookmark category인지 확인.
* @param		void
* @return		true		false
*/
function isBookmark() {
	if ( lastCategoryID == bookmarkName ){
		TRACE("isBookmak()");
		return true;
	}
		
	else
		return false;
}
/**
 * @brief		Tv 보관함 category인지 확인.
 * @remarks		현재 focus 위치가 Tv 보관함 category인지 확인.
* @param		void
* @return		true		false
*/
function isTvBookmark() {
	if ( lastCategoryID == tvBookmarkName ){
		TRACE("isTvBookmak()");
		return true;
	}		
	else
		return false;
}
/**
 * @brief		검색 category인지 확인.
 * @remarks		현재 focus 위치가 검색 category인지 확인.
* @param		index	cateogry index
* @return		true		false
*/
function isSearch(index) {
	if ( index == searchMenuIndex )	
		return true;
	else
		return false;
}
/**
 * @brief		검색 category인지 확인.
 * @remarks		현재 focus 위치가 검색 category인지 확인.
* @param		void
* @return		true		false
*/
function isSearch() {
	if ( lastCategoryID == searchName )
			return true;
	else
		return false;
}
/**
 * @brief		방문기록 category인지 확인.
 * @remarks		현재 focus 위치가 방문기록 category인지 확인.
* @param		void
* @return		true		false
*/
function isHistory() {
	if ( lastCategoryID == historyName )
		return true;
	else
		return false;
}
/**
 * @brief		추천동영상 category인지 확인.
 * @remarks		현재 focus 위치가 추천동영상 category인지 확인.
* @param		void
* @return		true		false
*/
function isFeatured() {
	if( lastCategoryID == featuredName)
		return true;			
	else	
		return false;
}

/**
 * @brief			ContentsList(메뉴에 해당하는 리스트 결과) 에 관한 Xml 파일을 파싱
 * @remarks		Youtube의  RSS결과를 받아 변수에 저장하여, 일부정보는 ContentsList에 뿌리고 모든 정보는 Detail에 뿌린다.
* @param		void
* @return		void
*/
function onLoadContentsList() {
	TRACE("onLoadContentsList()");
	// YouTube RSS
	var strXHRObject = "xmlHttpContents" + lastCategoryIndex;
//	alert(xmlHttpContents[lastCategoryIndex]);
	if(checkReadyState(xmlHttpContents[lastCategoryIndex].xhr, strXHRObject)) {
		if ( !bMaple ) {
			var xmlText = xmlHttpContents[lastCategoryIndex].xhr.responseText;
			// code for IE
			if (window.ActiveXObject){
			 	var doc=new ActiveXObject("Microsoft.XMLDOM");
			  	doc.async="false";
			  	doc.loadXML(xmlText);
			}
			// code for Mozilla, Firefox, Opera, etc.
			else {
			  	var parser=new DOMParser();
			  	var doc=parser.parseFromString(xmlText,"text/xml");
			  }		
		} else {
			var doc;
			var parser;
			var strBookmark;
			var strHistory;			
			if ( isTvBookmark() ) {
				strBookmark = readBookmarkFile();
				if ( bookmarkParser == null )
					bookmarkParser = new DOMParser();
				doc=bookmarkParser.parseFromString(strBookmark,"text/xml");
			} else if ( isHistory() ) {
				strHistory = readHistoryFile();
				if ( historyParser == null )
					historyParser = new DOMParser();
				doc=historyParser.parseFromString(strHistory,"text/xml");
			} else {
				doc = xmlHttpContents[lastCategoryIndex].xhr.responseXML;				
			}
		}
		var response = doc.documentElement;
		if ( !response ) {
			stopLoadingonList();
			curPopup = POPUP_NOTICE;			
			openPopupWithTimer (SID_ERRMSG_XML, popupCallback, 5);
			return;
		}
		
		var tmpTotal = response.getElementsByTagName("openSearch:totalResults");
		if ( tmpTotal && tmpTotal.length) {
			var tmpNode = tmpTotal[0].firstChild;
			if (tmpNode) {
				gTotalResult = tmpNode.data;
			} else {
				gTotalResult = 0;
			}
		} else {
			gTotalResult = 0;
		}
		TRACE("gTotalResult = " + gTotalResult);

		var tmpStart = response.getElementsByTagName("openSearch:startIndex");
		if ( tmpStart && tmpStart.length) {
			var tmpNode = tmpStart[0].firstChild;
			if (tmpNode) {
				gStartIndex = tmpNode.data;
			} else {
				gStartIndex = 0;
			}
		} else {
			gStartIndex = 0;
		}
		TRACE("gStartIndex = " + gStartIndex);

		var tmpItems = response.getElementsByTagName("openSearch:itemsPerPage");
		if ( tmpItems && tmpItems.length) {
			var tmpNode = tmpItems[0].firstChild;
			if (tmpNode) {
				gItemsPerPage = tmpNode.data;
			} else {
				gItemsPerPage = 0;
			}
		} else {
			gItemsPerPage = 0;
		}
		TRACE("gItemsPerPage = " + gItemsPerPage);
		
		var tmpList = response.getElementsByTagName("item");
        contentsList = new Array();
        contentsImg = new Array();
        detailInfoListXmlURL = new Array();
		
		contentsTime 	= new Array();		//오른쪽메뉴 리스트의 날짜, 시간정보 for 영문버전
		contentsTimeUpdate 	= new Array();		//오른쪽메뉴 리스트의 날짜, 시간정보 for 한글버전
		videoGuid 		= new Array();		//Video ID
		playURL 			= new Array();		//동영상 URL
		playURL264 		= new Array();		//동영상 URL		
		playerType 		= new Array();
		description 		= new Array();		// 동영상 정보 내용
		duration 			= new Array();
		viewcount 		= new Array();
		average 			= new Array();
		keyWords 		= new Array();		
		
		var i;
		for(i = 0 ; i < tmpList.length ; i++) {
			// 이미지영역
			var tmpImg = tmpList[i].getElementsByTagName("media:thumbnail");
			if (tmpImg && tmpImg.length) {
				contentsImg[i] = tmpImg[0].getAttribute('url');
			} else {
				contentsImg[i] = "";
			}
			// 러닝타임, 날짜 영역
//            tmpTime =  tmpList[i].getElementsByTagName("time");
//            if (tmpTime.length) {
//                contentsTime[i] = "<font class='list_time'>"+tmpTime[0].firstChild.data+"<br></font>";
//            }
			// Video ID
            var tmpGuid =  tmpList[i].getElementsByTagName("guid");
            if (tmpGuid && tmpGuid.length) {
				var tmpNode = tmpGuid[0].firstChild;
				if (tmpNode) {
                	videoGuid[i] = tmpNode.data;
				}
				else {
					videoGuid[i] = "";
					TRACE("index " + i + " has no videoGuid");
				}
            } else {
				videoGuid[i] = "";
			}
			// 날짜 for 영문버전 
            var tmpDate =  tmpList[i].getElementsByTagName("pubDate");
            if (tmpDate && tmpDate.length) {
				var tmpNode = tmpDate[0].firstChild;
				if (tmpNode)
                	contentsTime[i] = tmpNode.data;
				else {
					contentsTime[i] = "";
					TRACE("index " + i + " has no contentsTime");
				}
            } else {
				contentsTime[i] = "";
			}
			// Update 날짜 for 한글버전 
            var tmpDateUpdate =  tmpList[i].getElementsByTagName("atom:updated");
            if (tmpDateUpdate && tmpDateUpdate.length) {
				var tmpNode = tmpDateUpdate[0].firstChild;
				if (tmpNode)
                	contentsTimeUpdate[i] = tmpNode.data;
				else {
					contentsTimeUpdate[i] = "";
					TRACE("index " + i + " has no contentsTimeUpdate");
				}
            } else {
				contentsTimeUpdate[i] = "";
			}
			// 제목
			var tmpName = tmpList[i].getElementsByTagName("title");
            if (tmpName && tmpName.length) {
				var tmpNode = tmpName[0].firstChild;
				if ( tmpNode )
        			contentsList[i] = tmpNode.data;
				else {
					contentsList[i] = "";
					TRACE("index " + i + "has no contentsList");
				}
            } else {
				contentsList[i] = "";
			}
			// 동영상 URL
			var tmpPlayUrl = tmpList[i].getElementsByTagName("media:player");
            if (tmpPlayUrl && tmpPlayUrl.length) {
        		playURL[i] = tmpPlayUrl[0].getAttribute('url');
            } else {
				playURL[i] = "";
			}
			// 동영상 264 URL
			var videoType;
			var videoDuration;
			var tmpPlayUrl264 = tmpList[i].getElementsByTagName("media:content");
			playURL264[i] = "";
			for ( var j=0; j<tmpPlayUrl264.length; j++) {
				videoType = tmpPlayUrl264[j].getAttribute('type');
				videoDuration = tmpPlayUrl264[j].getAttribute('duration');
				if ( videoType.indexOf("mp4") > -1 ) {
	        		playURL264[i] = tmpPlayUrl264[j].getAttribute('url');
					playerType[i] = videoType;
					duration[i] = videoDuration;
				}
			}
			// 상세정보
			var tmpDesc = tmpList[i].getElementsByTagName("description");
            if ( tmpDesc && tmpDesc.length) {
				var tmpNode = tmpDesc[0].firstChild;
				if ( tmpNode )
        			description[i] =  tmpNode.data;
				else {
					description[i] = "";
					TRACE("index " + i + " has no description");
				}
            } else {
				description[i] = "";
			}
			// 조회수
            var tmpCount =  tmpList[i].getElementsByTagName("yt:statistics");
            if (tmpCount && tmpCount.length) {
				viewcount[i] = tmpCount[0].getAttribute('viewCount');
            } else {
				viewcount[i] = 0;
			}
			// 점수
            var tmpRating =  tmpList[i].getElementsByTagName("gd:rating");
            if (tmpRating && tmpRating.length) {
				average[i] = tmpRating[0].getAttribute('average');
            } else {
				average[i] = 0;
			}
			// 키워드
            var tmpKeywords =  tmpList[i].getElementsByTagName("media:keywords");
            if (tmpKeywords && tmpKeywords.length) {
				var tmpNode = tmpKeywords[0].firstChild;
				if ( tmpNode )
					keyWords[i] = tmpNode.data;
				else {
					keyWords[i] = "";
					TRACE("index " + i + " has no keyWords");
				}
            } else {
				keyWords[i] = "";
			}
		}
		
			// 로딩중 이미지 정지
//			clearInterval(loadingTimer);
//			loadingTimer = 0;
//			document.getElementById("loadingDiv").style.visibility = "hidden";
		stopLoadingonList();
		
        contentsListNum = tmpList.length;
		//setTimeout ("createRightSideHTML(0)", 500);
        createRightSideHTML(0);
		bReadLock = false;		
	}
}

/**
 * @brief			Detail Info를 생성하는 함수의 원형
 * @remarks		UCC Widget은 Detail Info도 onLoadContentsList()에서 모두 저장함.
* @param		void
* @return		void
*/
function onLoadDetailInfo() {

}
/**
 * @brief		생성한 xmlHttpCategory을 abort
 * @remarks		
* @param		void
* @return		void
*/
function abortCategoryXHR() {
	if ( xmlHttpCategory != null && xmlHttpCategory.readyState<4 )  {
		xmlHttpCategory.abort();		
		TRACE("xmlHttpCategory abort!!");
	}
}
/**
 * @brief		생성한 xmlHttpContents abort
 * @remarks		
* @param		void
* @return		void
*/
function abortContentsXHR() {
	alert("abortContentsXHR()")
	for (var i=0;i<categoryListNum;i++) {
		if (xmlHttpContents[i].xhr != null && xmlHttpContents[i].xhr.readyState<4 ) {
			xmlHttpContents[i].xhr.abort();
			clearTimeout(xmlHttpContents[i].timer);
			TRACE("xmlHttpContents" + i + " abort!!");
		}
	}
}

/**
 * @brief			XML Http Request 객체 생성 및 XML Loading
 * @remarks		XHR 객체를 생성하고, 메뉴가 바라보는 rss url의 xml 데이터를 읽어온다. 
 * @param		url 		읽어올 XML URL
 * @param		state 	읽어올 항목(카테고리 리스트, 상세정보, 북마크) categoryID, detailID, bookmarkID 중 하나 
 * @return 		void
*/
function loadCategoryXMLDoc(url, state) {
	TRACE("loadCategoryXMLDoc");
	var fs = new FileSystem();
	var fp = fs.openFile(url, "r");
	var xmlText = fp.readAll();
	var parser=new DOMParser();
	var doc =parser.parseFromString(xmlText,"text/xml");		
	var response = doc.documentElement;	
	
	if(response){
		if (categoryList == null) categoryList = new Array();
        if (contentsListXmlURL == null) contentsListXmlURL = new Array();
		if (contentsListXmlParam == null) contentsListXmlParam = new Array();
		
		var tmpList = response.getElementsByTagName(categoryID);
		var i;
		for(i = 0 ; i < tmpList.length ; i++) {
			tmpName = tmpList[i].getElementsByTagName("name");
			categoryList[i] = tmpName[0].firstChild.data;
            tmpURL = tmpList[i].getElementsByTagName("url");
			contentsListXmlURL[i] = tmpURL[0].firstChild.data;
			contentsListXmlParam[i] = PARAM_TIME_DAY;
		}
		categoryListNum = tmpList.length;
		// 전체 페이지 계산
		totalCatePageNum = Math.floor(categoryListNum/showNumOfCategory)
		if ( categoryListNum > 0 && categoryListNum == showNumOfCategory ) {
			totalCatePageNum--;
		}
		bDeviceLock = true;														//device인증전 func_input에서 key event block처리 위해.
		
		searchMenuIndex = categoryListNum;								// 검색은 제일 마지막 메뉴
		searchName = categoryID + ( searchMenuIndex );
		
		bookmarkMenuIndex = categoryListNum-1;						// 즐겨찾기는 제일 마지막 메뉴 -1
		bookmarkName = categoryID + ( bookmarkMenuIndex );			
		
		tvBookmarkMenuIndex = categoryListNum-2;						// tv 보관함은 제일 마지막 메뉴 -2
		tvBookmarkName = categoryID + ( tvBookmarkMenuIndex );
		
		historyMenuIndex = categoryListNum-3;							//방문 기록 제일 마지막 메뉴 -3
		historyName = categoryID + ( historyMenuIndex );	 

		featuredMenuIndex = categoryListNum-4;							//추천 동영상 제일 마지막 메뉴 -4
		featuredName = categoryID + ( featuredMenuIndex );

		
		gCategory = parseInt(gCategory);					//preview가 본 category 값 (해당 category에 focus 주기 위해)
		lastFocusID = categoryID + (gCategory + 1);			
		createLeftSideHTML(gCategory);
		
		if (categoryListNum>0) {			
			for ( var i=0; i<categoryListNum; i++ ) {
				xmlHttpContents[i] = new objXHR();
			}
			
            lastCategoryID = categoryID + (gCategory+1);			
			lastCategoryIndex = gCategory;									//manager가 던져준 preview의 category값으로 loading	
            contentsCategoryID = categoryList[gCategory];
			bReadLock = true;
			bSearchSend = false;
			TRACE ("bSearchSend = " + bSearchSend);
			
			if ( bLoginMode ) {
				if( gLoginID.length > 0 && gLoginPW.length > 0 ) { 
					uccYouTubeID = gLoginID;
					uccYouTubePW = gLoginPW;
					getYouTubeToken(uccYouTubeID,uccYouTubePW);					
				} else {
					// 메뉴 읽어오고 난 뒤 Device 인증 
					TRACE("ID, PW is null!!!!");	
					if( bDemo ) {			//데모 위젯일 경우
						bDeviceLock = false;
						TRACE("contentsListXmlURL[lastCategoryIndex] :: "+contentsListXmlURL[lastCategoryIndex])
						loadXMLDoc( contentsListXmlURL[lastCategoryIndex], contentsID );
					} else {
						getDeviceKey(false);		
					}					
				}				 			
			} else {
				// 메뉴 읽어오고 난 뒤 Device 인증 				
				getDeviceKey(false);	
			}
        }
	}	
}

/**
 * @brief			XML Http Request 객체 생성 및 XML Loading
 * @remarks		XHR 객체를 생성하고, 메뉴가 바라보는 rss url의 xml 데이터를 읽어온다. 
 * @param		url 		읽어올 XML URL
 * @param		state 	읽어올 항목(카테고리 리스트, 상세정보, 북마크) categoryID, detailID, bookmarkID 중 하나 
 * @return 		void
*/
function loadXMLDoc(url, state) {
	TRACE("[lastCategoryIndex] in loadXMLDoc =" + lastCategoryIndex+ " url "+url);
	abortContentsXHR();	
	// code for Mozilla, etc.
	if (window.XMLHttpRequest) 	{
		if ( xmlHttpContents[lastCategoryIndex].xhr == null )
			xmlHttpContents[lastCategoryIndex].xhr = new XMLHttpRequest();
		else {
			xmlHttpContents[lastCategoryIndex].xhr.destroy();
			xmlHttpContents[lastCategoryIndex].xhr = new XMLHttpRequest();
		}		
  	}
	// code for IE
	else if (window.ActiveXObject) {
		if ( xmlHttpContents[lastCategoryIndex].xhr == null )
	  		xmlHttpContents[lastCategoryIndex].xhr = new ActiveXObject("Microsoft.XMLHTTP")
  	}
	var tempHeader;
	var strParam;
	var strTmp = SID_ERRMSG_XHRLATE;			//서버 인증 에러 Msg

	if (xmlHttpContents[lastCategoryIndex].xhr!=null) {
		if( !bDemo ){
	        if ( state==contentsID && ( (bLoginMode && !isHistory()) && !isTvBookmark() || (!isBookmark() && !isHistory() && !isTvBookmark() ) ) ) {			// 인증필요
	        	if ( bLoginMode && isBookmark() && !bLogin ) {
					//showTimeParam();
					hideScrollBar();
					showNoBookmark();
					return;
				}				
				var bSign = requestSigning(url);
				if ( !bSign || digestSign64.length <= 0 ) {
					TRACE("requestSigning FAILED!");
					TRACE("lastFocusID = " + lastFocusID);
					if ( isSearch() ) {
						hideNoBookmark();
						hideNoVisited();
						showImeFrame();
						focusSearchButton();
						curPopup = POPUP_AUTHEN_ERROR;		
						//document.getElementById("searchInput").style.visibility="hidden";	
						openPopupWithTimer (strTmp, popupCallback, 5);
					} else {
						curPopup = POPUP_AUTHEN_ERROR;			
						openPopupWithTimer (strTmp, popupCallback, 5);
					}
					return ;
				}
	//			TRACE("deviceID = " + deviceID);
	//			TRACE("digestSign64 = " + digestSign64);
				tempHeader = "device-id=" + deviceID + ", data=" + digestSign64 ;
				strParam = getParam(url);
			}
		}
        //받아오는 XML이 어떠한 정보에 관한건지를 판단하여 호출하는 함수를 다르게 함
		if (state==contentsID) {
			// 로딩중 이미지 뿌리기			
			startLoadingonList();
			changePosOptionPopup(); //optionPopup 위치변경
      		xmlHttpContents[lastCategoryIndex].xhr.onreadystatechange=onLoadContentsList;
        } else if (state==detailID) {
      		xmlHttpContents[lastCategoryIndex].xhr.onreadystatechange=onLoadDetailInfo;
        } else if (state==bookmarkID) {
            TRACE("bookmarkURL = " + url);
			xmlHttpContents[lastCategoryIndex].xhr.onreadystatechange=onAddBookmark;
		} else if (state==searchID) {			
			document.getElementById("contentslist").innerHTML="";
			document.getElementById("noBookmark").innerHTML="";
			hideNoBookmark();
			hideNoVisited();
			stopLoadingonList();
//			showImeFrame();
			setTimeout ("showImeFrame()", 0);
			bReadLock = false;
		}
		
		if ( state==contentsID && (bLoginMode || (!isBookmark() && !isHistory()) &&isTvBookmark() ) ) { // 인증필요
			TRACE("Signed URL, loadXMLDoc");
			xmlHttpContents[lastCategoryIndex].xhr.open("GET",url,true);
			xmlHttpContents[lastCategoryIndex].xhr.setRequestHeader('X-GData-Device', tempHeader);
			xmlHttpContents[lastCategoryIndex].xhr.send(strParam);
			xmlHttpContents[lastCategoryIndex].timer = setTimeout(function(){
				clearTimeout(xmlHttpContents[lastCategoryIndex].timer);
				if(xmlHttpContents[lastCategoryIndex].xhr &&xmlHttpContents[lastCategoryIndex].xhr.readyState!=0 ){
					alert("Widget's xhr abort(xhr contents) :: "+lastCategoryIndex);
					xmlHttpContents[lastCategoryIndex].xhr.abort();
					stopLoadingonList();
					curPopup = POPUP_NOTICE;
					openPopupWithTimer(strTmp, popupCallback, 5);
					bReadLock = false;
					bDeviceLock = false;
				}
				xmlHttpContents[lastCategoryIndex].timer = null;
			},xmlMaxTimer*1000);
		} else {
			TRACE("Unsigned URL, loadXMLDoc " + url);
	  		xmlHttpContents[lastCategoryIndex].xhr.open("GET",url,true);
	  		xmlHttpContents[lastCategoryIndex].xhr.send(null);			
		}
  	}
	else
  	{
  		TRACE("Your browser does not support XMLHTTP.", ERROR);
  	}
}

/////////tmpVar///////////////
//By 김성태
///////////////////////////////
var contentsList1 = new Array();
var contentsList2 = new Array();
var contentsList3 = new Array();

/**
 * @brief			HTML 코드에서 처음으로 호출하는 함수
 * @remarks		JS 안에서의 시작 함수를 호출한다.
* @param		void
* @return		void
*/
function func_onLoad(){
	
	
	nitroyoutuber();
	
	
	
	
	checkBrowser();									//브라우져 확인
	var tempPreImgButton = new Image('img/button_select.png');
	
	sourceChange();								//Media소스로 전환
	curWidget.setPreference("ready","true");
//	showBackground();		
	parsingDataFromManager();					//Manager에서 보내준 Msg Parsing		
	letterSpacing_fix();
	
	selectMultiLanguage(gLanguage);				//언어 선택
	selectMultiCountry(gNation);				//국가 선택		
	loadCSSImage();
	
	setTimeout(function() {							//pc 소스에서 소스전환시 깜빡이는 문제 해결 위해 setTimeout설정						
		var arrIncludeFiles = new Array(resourceJS);
		var iIncludeJavaScript = new Common.Util.Include.JavaScript();
		iIncludeJavaScript.run(arrIncludeFiles, initWidget);	//resource JS 파일 동적 include후 initWidget 호출		
	}, 100);				
		
}
/**
 * @brief		HTML 코드에서 마지막으로 호출하는 함수
 * @remarks		JS 안에서의 종료 함수를 호출한다.
* @param		void
* @return		void
*/
function onUnLoad() {
	onWatchDog();
	if ( currentStatus != UCC_STOP ) {
		Player.Stop();
	}
	sourceChange_ori();	
}
/**
 * @brief		유튜브 video play를 위해 소스 전환
 * @remarks		
* @param		void
* @return		void
*/
function sourceChange() {
		//소스전환
		TRACE("######################################################")
		TRACE("##################sourceChange########################")
		TRACE("######################################################")
		TVMWPlugin = document.getElementById("pluginObjectTVMW");
		TRACE("TVMWPlugin : "+ TVMWPlugin);
		originalSource = TVMWPlugin.GetSource();
		TRACE("originalSource : "+ originalSource);
		TVMWPlugin.SetMediaSource();		
		TRACE("######################################################")
		TRACE("#################sourceChange End#####################")
		TRACE("#####################################################")
}
/**
 * @brief		저장하였던 TV소스로 다시 소스 전환
 * @remarks		
* @param		void
* @return		void
*/
function sourceChange_ori() {
	//소스전환
	TRACE("#################원복#########################")
	TRACE("##########################################")
	TRACE("##########################################")
	if( TVMWPlugin != null) {
		TVMWPlugin.SetSource(originalSource);
		TRACE("EndSource : "+ TVMWPlugin.GetSource());
		originalSource = null;	
	}	
	TRACE("#################End#########################")
	TRACE("##########################################")
	TRACE("##########################################")
}

/**
 * @brief			Widget에서 리스트 보기와 상세정보 보기 화면 전환
 * @remarks		리스트 보기와 상세보기 div 태그를 미리 정의 해 놓고 화면을 전환 
* @param		to			리스트보기, 상세정보 보기 화면 선택, "front" - 리스트보기, "back" - 상세보기
* @return		void
*/
function flipWidget(to){
    switch (to) {
        case "back":
            document.getElementById('listview').style.display = "none";
            document.getElementById('listcount').style.display = "none";
			document.getElementById('timeParam').style.display = "none";
            document.getElementById('detailview').style.display = "block";
        break;
    
        case "front":
            document.getElementById('detailview').style.display = "none";
            document.getElementById('listcount').style.display = "block";
			document.getElementById('timeParam').style.display = "block";
            document.getElementById('listview').style.display = "block";
        break;
    
        default:
        // do nothing
        break;
    }
}

//=====================================
//  디렉토리 메뉴 관련
//=====================================
/**
 * @brief			왼쪽메뉴에서의 키처리 함수
 * @remarks		키처리를 위해서는 포커스를 받고 있어야 한다.
* @param		obj		HTML object
* @return		void
*/
function func_inputKey(obj){
//    var ie = (document.all) ? 1:0
//    if (ie) { var EKC = event.keyCode;}
    var EKC = event.keyCode;
    var Idx = obj.name; //해당 Index 가져오기..
    var tmpCategoryID;
	var callUrl = "";

//	if ( bReadLock == true ) // 데이터를 가져오기 전에는 다음 메뉴로 넘어가지 못하게 막음     
//		return false;
	if ( bDeviceLock == true ) {// 디바이스 인증중에는 다음 메뉴로 넘어가지 못함. 
		TRACE( "===== Device Authentication is still running. =====", TRACE_LEVEL.WARN)
		return false;
	}
	CommonLib.keyHandler(EKC,popupCallback);	
    switch (EKC) {
	
		case 108://RED
		case 1219://KEY_3D
			Screen.changeMode();
			alert('3D1');
			break;
			
		// SERIE D FIX
		case tvKey.KEY_BLUE:
            if (Screen.getModeD()>=2)
                Screen.changeModeD(0);
			else
				Screen.changeModeD(Screen.getModeD()+1);
            break;
			
//        case (38) :    	// pc up key
        case (tvKey.KEY_UP) : 	// remocon up key
		case (tvKey.KEY_WHEELUP): 		// remocon wheel left
		case (tvKey.KEY_PANEL_CH_UP) :			// 패털키 UP
			if(bMaple && EKC==38) return false;
			if(isSearch(Idx))	hideImeFrame();
            if(Idx==1){
//                return false;
				if( bDemo ) {
					Idx = 2;     
				} else {
					Idx = categoryListNum;     
				}
//                if (Idx%showNumOfCategory==0) {
				if (Idx > showNumOfCategory) {
                    createLeftSideHTML(Idx-1);
                }
            }else{
                Idx--;
                if (Idx%showNumOfCategory==0) {
                    createLeftSideHTML(Idx-1);
                }
            }
            tmpCategoryID = categoryID + Idx;
			TRACE(tmpCategoryID);
            document.getElementById(tmpCategoryID).focus();
			//엔터키동작 
			g_AuthenErrCount = 0;
            lastCategoryID = categoryID + Idx; //obj.id;
            lastCategoryIndex = Idx-1;
            lastFocusID = lastCategoryID;
            locateFocus = categoryID;
            contentsCategoryID = categoryList[Idx-1];
			bSearchSend = false;
			TRACE ("bSearchSend = " + bSearchSend);
			bReadLock = true;
			if ( isSearch(Idx) ) {
				callUrl = contentsListXmlURL[Idx-1];
	            loadXMLDoc(callUrl, searchID);
			} else {
				initCheckList();
				if ( bLoginMode && isBookmark() ) {
					callUrl = getBookmarkUrl();
				} else {
					callUrl = makeFeedUrl(Idx-1); // contentsListXmlURL[Idx-1];
				}
	            loadXMLDoc(callUrl, contentsID);
			}			
        break;
        
//        case (40) :    	//down 화살표..
        case (tvKey.KEY_DOWN) :
		case (tvKey.KEY_WHEELDOWN): 	// remocon wheel right
		case (tvKey.KEY_PANEL_CH_DOWN):		// 패널키 Down 
			if(bMaple && EKC==40) return false;
			if(isSearch(Idx))	hideImeFrame();
			if( bDemo ) {
				if(Idx==2){
					Idx = 1;     
					if (categoryListNum > showNumOfCategory) {
	                    createLeftSideHTML(Idx-1);
	                }
	            }else{       
	                // 오페라에서 안먹음 event.keyCode = "9"; //tab키의 keyCode값으로 변환       
	                Idx++;      
	                if (Idx%showNumOfCategory==1) {
	                    createLeftSideHTML(Idx-1);
	                }
            	} 				
			}else {
	            if(Idx==categoryListNum){
	//                return false;        
					Idx = 1;     
	//                if (Idx%showNumOfCategory==0) {
					if (categoryListNum > showNumOfCategory) {
	                    createLeftSideHTML(Idx-1);
	                }
	            }else{       
	                // 오페라에서 안먹음 event.keyCode = "9"; //tab키의 keyCode값으로 변환       
	                Idx++;      
	                if (Idx%showNumOfCategory==1) {
	                    createLeftSideHTML(Idx-1);
	                }
	            }				
			}

            tmpCategoryID = categoryID + Idx;
			TRACE(tmpCategoryID);
            document.getElementById(tmpCategoryID).focus();
			//엔터키동작 
			g_AuthenErrCount = 0;
            lastCategoryID = categoryID + Idx; //obj.id;
            lastCategoryIndex = Idx-1;
            lastFocusID = lastCategoryID;
            locateFocus = categoryID;
            contentsCategoryID = categoryList[Idx-1];
			bReadLock = true;
			bSearchSend = false;
			TRACE ("bSearchSend = " + bSearchSend);
			if( !isHistory()){
				hideNoVisited();
			}
			if ( isSearch(Idx) ) {
				callUrl = contentsListXmlURL[Idx-1];
	            loadXMLDoc(callUrl, searchID);
			} else {
				initCheckList();
				if ( bLoginMode && isBookmark() ) {
					callUrl = getBookmarkUrl();
				} else {
					callUrl = makeFeedUrl(Idx-1); //contentsListXmlURL[Idx-1];
				}
	            loadXMLDoc(callUrl, contentsID);
			}			
        break;
        
//        case (39) : 		//Right 화살표...
//        case (29458) : //Right 화살표...
        case (tvKey.KEY_RIGHT) : 		//Right 화살표...     
        case (tvKey.KEY_PANEL_VOL_UP) : 	// 패널키 Right
        	if(bMaple && EKC==39) return false;   
            lastCategoryID = obj.id;
			lastCategoryIndex = Idx-1;
			TRACE("lastCategoryIndex = " + lastCategoryIndex);
			if ( isSearch() ) {
	        	bOnCategoryList = false;
				focusSearchButton();
			} else {
				if ( document.getElementById(lastContentsID) ) {
		        	bOnCategoryList = false;
                	document.getElementById(lastContentsID).focus();
				}
            }
	        break;
        
//        case (13) : 		//Enter
        case (tvKey.KEY_ENTER) : //Enter
        case (tvKey.KEY_PANEL_ENTER) : 	// 패널 키 Enter
        case (tvKey.KEY_PANEL_SOURCE) : 	// 패널 키 Source
        	if(bMaple && EKC==13) return false;
            lastCategoryID = obj.id;
			lastCategoryIndex = Idx-1;
			TRACE("lastCategoryIndex = " + lastCategoryIndex);
			if ( isSearch() ) {
				bOnCategoryList = false;
				focusSearchButton();
			} else {
				if ( document.getElementById(lastContentsID) ) {
		        	bOnCategoryList = false;
                	document.getElementById(lastContentsID).focus();
				}
            }
			
	        break;
        
        //case (27) : //ESC
        case (tvKey.KEY_RETURN) : // ESC        
        case (tvKey.KEY_PANEL_MENU): // 패널 키 ESC
        	//if(bMaple) return false;
            locateFocus = categoryID;
        break;

//        case (33) :    //Page Up
        case (tvKey.KEY_RW) :	  //Page Up
//        	return;    
        	if(bMaple && EKC==33) return false;    
/*
            if (Math.floor(Idx/showNumOfCategory)>0) {
                Idx-=showNumOfCategory;
                createLeftSideHTML(Idx-1);
            }
*/
			TRACE("categoryListNum :: "+ categoryListNum)
            if (categoryListNum>showNumOfCategory) {
                Idx-=showNumOfCategory;
                TRACE("up Idx ::: "+Idx)
                if (Idx <= 0 ) {
                    //circulation을 적용하여 마지막 페이지로 돌아간다.
                    createLeftSideHTML(calculateIndexOfPage(( categoryListNum-1 ), showNumOfCategory));
					Idx = calculateIndexOfPage(( categoryListNum-1 ), showNumOfCategory) + 1;
                } else {
                    createLeftSideHTML(calculateIndexOfPage(( Idx -1 ), showNumOfCategory));
					Idx = calculateIndexOfPage(( Idx -1), showNumOfCategory) + 1;
                }                
				
				//엔터키동작 
				TRACE("Idx = "+Idx);
	            lastCategoryID = categoryID + Idx; //obj.id;
	            lastCategoryIndex = Idx-1;
	            lastFocusID = lastCategoryID;
	            locateFocus = categoryID;
	            contentsCategoryID = categoryList[Idx-1];
				bReadLock = true;
				bSearchSend = false;
				TRACE ("bSearchSend = " + bSearchSend);
				if ( isSearch(Idx) ) {
					callUrl = contentsListXmlURL[Idx-1];
		            loadXMLDoc(callUrl, searchID);
	//				showImeFrame();
				} else {
					hideImeFrame();
					if ( bLoginMode && isBookmark() ) {
						callUrl = getBookmarkUrl();
					} else {
						callUrl = makeFeedUrl(Idx-1); //contentsListXmlURL[Idx-1];
					}
		            loadXMLDoc(callUrl, contentsID);
				}				
            }	            
        break;
        
//        case (34) :    //Page Down
        case (tvKey.KEY_FF) :	  //Page Down     
//        	return;
        	if(bMaple && EKC==34) return false;   
            if (categoryListNum>showNumOfCategory) {
                var tIndex = Idx;
                //tIndex++;
                var tmp1 = Math.ceil((tIndex)/showNumOfCategory);
				var tmp2 = Math.ceil(categoryListNum/showNumOfCategory);
    			
                for (i=0 ; i<showNumOfCategory ; i++) {
                    Idx++;
                }
    			
                if (Idx > ( categoryListNum-1 ) ) {
                    if (tmp1<tmp2) {
                        createLeftSideHTML( calculateIndexOfPage((categoryListNum-1 ), showNumOfCategory) );
						Idx = calculateIndexOfPage((categoryListNum-1 ), showNumOfCategory) + 1;
                    } else  {
                        //circulation을 적용하여 첫 페이지로 돌아간다.
                        createLeftSideHTML(0);    
						Idx = 1;                
                    }
                } else {
                    createLeftSideHTML( calculateIndexOfPage((Idx-1 ), showNumOfCategory) );
                }
				//엔터키동작 
	            lastCategoryID = categoryID + Idx; //obj.id;
	            lastCategoryIndex = Idx-1;
	            lastFocusID = lastCategoryID;
	            locateFocus = categoryID;
	            contentsCategoryID = categoryList[Idx-1];
				bReadLock = true;
				bSearchSend = false;
				TRACE ("bSearchSend = " + bSearchSend);
				if ( isSearch(Idx) ) {
					callUrl = contentsListXmlURL[Idx-1];
		            loadXMLDoc(callUrl, searchID);
	//				showImeFrame();
				} else {
					hideImeFrame();
					if ( bLoginMode && isBookmark() ) {
						callUrl = getBookmarkUrl();
					} else {
						callUrl = makeFeedUrl(Idx-1); //contentsListXmlURL[Idx-1];
					}
		            loadXMLDoc(callUrl, contentsID);
				}				
            }
        break;
		case (tvKey.KEY_VOL_UP): 	// 볼륨업
		case (tvKey.KEY_VOL_DOWN):	// 볼륨다운
		case (tvKey.KEY_MUTE):	// Mute 버튼
			TRACE("Block vol and mute key in list");
        	blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
			break;        
			
//		case (123) : //F12 PC
		case (tvKey.KEY_GREEN) : 	// 녹색버튼
        	if(bMaple && EKC==120) return false; 		
	            lastCategoryID = obj.id;
				lastCategoryIndex = Idx-1;
				lastFocusID = lastCategoryID;
				TRACE("lastFocusID = " + lastFocusID);
				if ( isSupportTimeparam(lastCategoryIndex) && !bDemo) {
					showTimePopup();
			}
			break;
        default  : 		
        	return false;
        break;
    }
}

/**
 * @brief			메뉴 항목에 포커스가 있을 때 화면 처리
 * @remarks		메뉴 바탕에 이미지를 배경으로 깔아서 포커스 효과를 나타낸다.
* @param		obj		HTML Object
* @return		void
*/
function menuFocus(obj){
	TRACE("menuFocus()");
	bContentsList = false;		//현재 컨텐츠 리스트 인지 아닌지 판단. true: 컨텐츠리스트임.
	locateFocus = categoryID;	
	var tmpIdx = obj.id;
	var tmpIndex = obj.firstChild.name;
	TRACE("tmpIdx :: "+ tmpIdx);	
//	obj.style.color = "#ffffff";
	document.getElementById("Title"+tmpIndex).style.color = "#ffffff";
    obj.style.border = "none";
	obj.style.backgroundImage = "url(img/highlight_sub3_list_l3.png)"; 
	if( categoryListNum <= showNumOfCategory ){
		hideAllHelpLayer();
		showHelpLayerCategory();		
		if( (tmpIdx == bookmarkName) || (tmpIdx == tvBookmarkName ) || (tmpIdx == searchName) || (tmpIdx == historyName) || (tmpIdx == featuredName)){
			hideAllHelpLayer();
			showHelpLayerNoTimeCategory();
		} 
	} else {
		hideAllHelpLayer();
		showHelpLayerCategoryPage();
		if( (tmpIdx == bookmarkName) || (tmpIdx == tvBookmarkName ) || (tmpIdx == searchName) || (tmpIdx == historyName) || (tmpIdx == featuredName)){
			hideAllHelpLayer();						
			showHelpLayerNoTimeCategoryPage();			
		} 	
	}	
}
/**
 * @brief			메뉴 항목에서 포커스를 벗어날 때 화면 처리
 * @remarks		메뉴 바탕에 이미지를 없애고 투명하게 만든다.
* @param		obj		HTML Object
* @return		void
*/
function menuBlur(obj){
	var tmpIndex = obj.firstChild.name;
    obj.style.border = "none";
    obj.style.backgroundColor = "transparent";
	obj.style.backgroundImage = "url(none)"; 	
	TRACE ("menuBlur bOnCategoryList = " + bOnCategoryList);
	if ( bOnCategoryList == true ) { 	// 메뉴 리스트에서 위아래 포커스가 이동시 하일라이트 박스처리
		//obj.style.color = "#ffffff";
		document.getElementById("Title"+tmpIndex).style.color = "#ffffff";

	} else {										// 메뉴 리스트에서 오른쪽 리스트 컨텐츠로 포커스가 이동시 하일라이트 박스처리
		TRACE("menu color ffd800 ::: "+obj.firstChild.name);
//		obj.firstChild.style.color = "#ffd800";
		document.getElementById("Title"+tmpIndex).style.color = "#99FFFF";
		
	}
}
/**
 * @brief			리스트 항목에 포커스가 있을 때 화면 처리
 * @remarks		리스트 바탕에 이미지를 배경으로 깔아서 포커스 효과를 나타낸다.
* @param		obj		HTML Object
* @return		void
*/
function listFocus(obj){
	TRACE("listFocus() ");
	TRACE("featuredName :: "+featuredName);
	bContentsList = true;
	locateFocus = contentsID;	
	lastFocusID = lastContentsID;
    obj.style.border = "none";
    obj.style.backgroundImage = "url(img/highlight_sub3_list_r3.png)";

	if ( isBookmark() || isTvBookmark() || isHistory() ||isSearch()) {
		if ( totalPage <= 1 ) {
			hideAllHelpLayer();
			showHelpLayerBookmark();
		} else {
			hideAllHelpLayer();
			showHelpLayerPageBookmark();
		}
	} else if( isFeatured() ){
		if ( totalPage <= 1 ) {
			hideAllHelpLayer();
			showHelpLayerFeaturedList();
		} else {
			hideAllHelpLayer();
			showHelpLayerPageFeaturedList();	
		}		
	} else {
		if ( totalPage <= 1 ) {
			hideAllHelpLayer();
			showHelpLayer();
		} else {
			hideAllHelpLayer();
			showHelpLayerPage();			
		}
	}
}
/**
 * @brief			리스트 항목에서 포커스를 벗어날 때 화면 처리
 * @remarks		리스트 바탕에 이미지를 없애고 투명하게 만든다.
* @param		obj		HTML Object
* @return		void
*/
function listBlur(obj){
	TRACE("listBlur()");
	//bContentsList = false;
    obj.style.border = "none";
    obj.style.backgroundColor = "transparent";
	obj.style.backgroundImage = "url(none)"; 	
	TRACE("listBlur() end");
}

/**
 * @brief			팝업 항목에 포커스가 있을 때 화면 처리
 * @remarks		팝업 바탕에 이미지를 배경으로 깔아서 포커스 효과를 나타낸다.
* @param		obj		HTML Object
* @return		void
*/
function popupBookmarkFocus(obj){
	curPopup = POPUP_HISTORY_DEL;
	/*obj.style.color = "#FFFFFF";*/
    obj.style.border = "none";
    obj.style.backgroundImage = "url(img/popup_menulist_highlight.png)";
}
/**
 * @brief			팝업 항목에서 포커스를 벗어날 때 화면 처리
 * @remarks		팝업 바탕에 이미지를 없애고 투명하게 만든다.
* @param		obj		HTML Object
* @return		void
*/
function popupBookmarkBlur(obj){
	//obj.style.color = "#000000";
    obj.style.border = "none";
    obj.style.backgroundColor = "transparent";
	obj.style.backgroundImage = "url(none)"; 	
}

/**
* @brief		상세정보 화면에 Focus 시 실행함수
* @remarks		북마크 카테고리와 이외의 카테고리를 구분하여 help layer를 뿌림.
* @param		obj		HTML Object
* @return		void
*/
function onFocusControl(obj) {
	alert("onFocusControl()")
	bContentsList = false;
	locateFocus = detailID;
	TRACE("currentStatus :: "+currentStatus);
	
	if ( isBookmark() ) {
		hideAllHelpLayer();
		if(currentStatus != UCC_STOP)
			showHelpLayerDetailBookmark();
		else	
			showHelpLayerDetailBookmarkStop();	
	} else {
		hideAllHelpLayer();
		TRACE("currentStatus ======= "+currentStatus);
		if(currentStatus != UCC_STOP)
			showHelpLayerDetail();
		else
			showHelpLayerDetailStop();	
	}
}

/**
* @brief		전체 화면에 Focus 시 실행함수
* @remarks		북마크 카테고리와 이외의 카테고리를 구분하여 help layer를 뿌림.
* @param		obj		HTML Object
* @return		void
*/
function onFocusFullItem(obj) {
	bContentsList = false;
	locateFocus = detailID;
}

/**
 * @brief			오른쪽contents메뉴에서의 키처리 함수
 * @remarks		위, 아래 화살표를 누르면 하나씩 포커스가 이동하며, 페이지 업, 다운을 누르면 한페이지 단위로 이동한다.
* @param		 obj		HTML Object
* @return		void
*/
function right_inputKey(obj){
//    var ie = (document.all) ? 1:0
//    if (ie) { var EKC = event.keyCode;}
    var EKC = event.keyCode;
    var Idx = obj.name; //해당 Index 가져오기..
    lastContentsIndex = obj.name;
    var tmpContentsID;
	var tmpLastContentsID; 
	
	lastContentsID = obj.id;
	tmpLastContentsID = lastContentsID;			
	CommonLib.keyHandler(EKC,popupCallback);	
    switch (EKC) {
	
		case 108://RED
		case 1219://KEY_3D
			Screen.changeMode();
			alert('3D2');
			break;

		// SERIE D FIX
		case tvKey.KEY_BLUE:
            if (Screen.getModeD()>=2)
                Screen.changeModeD(0);
			else
				Screen.changeModeD(Screen.getModeD()+1);
            break;
			
//        case (38) : 		//Up 화살표....
        case (tvKey.KEY_UP) : //Up 화살표....
        case (tvKey.KEY_WHEELUP): 	// remocon wheel left
        case (tvKey.KEY_PANEL_CH_UP) :			// 패털키 UP
        	if(bMaple && EKC==38) return false;
            if (Idx>1) {
                locateFocus = contentsID;
                Idx--;
                //화면이 전환되야 하는경우 새롭게 그려준다
                if (Idx%showNumOfPage==0) {
                    createRightSideHTML( Idx-1 );
                } else {
                    tmpContentsID = contentsID + Idx;
                    document.getElementById(tmpContentsID).focus();
                }
            } else { // 제일 위에서 위 화살표 누르면 가장 뒤로 이동 
                locateFocus = contentsID;
                //화면이 전환되야 하는경우 새롭게 그려준다
                createRightSideHTML( contentsListNum-1 );
			}
        break;
        
//        case (40) : 		//down 화살표...
        case (tvKey.KEY_DOWN) : //down 화살표...
        case (tvKey.KEY_WHEELDOWN): 	// remocon wheel right
        case (tvKey.KEY_PANEL_CH_DOWN):		// 패널키 Down 
        	if(bMaple && EKC==40) return false;
            if (Idx<contentsListNum) {
                locateFocus = contentsID;
                var tmpIdx = Idx;
                Idx++;
                //화면이 전환되야 하는경우 새롭게 그려준다
                if (Math.ceil(Idx/showNumOfPage)>Math.ceil(tmpIdx/showNumOfPage)) {
                    createRightSideHTML( Idx-1 );
                } else {
                    tmpContentsID = contentsID + Idx;
                    document.getElementById(tmpContentsID).focus();                               
                }            
            } else {
				locateFocus = contentsID;
				createRightSideHTML(0);
			}
        break;
        
//        case (37) : 		//Left 화살표...
//        case (29459) : //Left 화살표...
        case (tvKey.KEY_LEFT) :
		case (tvKey.KEY_PANEL_VOL_DOWN): 		// 패널 키 Left
			if(bMaple && EKC==37) return false;
			bOnCategoryList = true;
            if (Idx>=0) {
                if (contentsShowNum>1) {
                    if ((Idx%contentsShowNum) == 1) {
                        lastContentsID = obj.id;
                        document.getElementById(lastCategoryID).focus();
                    } else {
                        Idx--;
                        tmpContentsID = contentsID + Idx;
                        document.getElementById(tmpContentsID).focus();                    
                    }                    
                } else {
                    lastContentsID = obj.id;
//                    alert(lastCategoryID + "::::" + lastContentsID);
                    document.getElementById(lastCategoryID).focus();
                }
            }
			if ( isSearch() ) {
				showImeFrame();
			}
			locateFocus = categoryID;			
			lastFocusID = lastCategoryID;
			
        	break;
        
//        case (39) : 		//Right 화살표...
//        case (29458) : //Right 화살표...
        case (tvKey.KEY_RIGHT):
		case (tvKey.KEY_PANEL_VOL_UP) : 	// 패널키 Right
			if(bMaple && EKC==39) return false;

        break;
        
//        case (27) : 	//ESC
        case (tvKey.KEY_RETURN) : 	// ESC     
        case (tvKey.KEY_PANEL_MENU): // 패널 키 ESC
//        	if(bMaple) return false;   
			bOnCategoryList = true;
        	blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
        	lastContentsID = obj.id;
            document.getElementById(lastCategoryID).focus();
			if ( isSearch() ) {
				showImeFrame();
			}
			locateFocus = categoryID;
			lastFocusID = lastCategoryID;
			
        break;
        
        case (13) : 		//Enter
        case (tvKey.KEY_ENTER) : //Enter
        case (tvKey.KEY_PANEL_ENTER) : 	// 패널 키 Enter
        case (tvKey.KEY_PANEL_SOURCE) : 	// 패널 키 Source
        		if(bMaple && EKC==13) return false;
                lastContentsID = obj.id;
				lastContentsIndex = obj.name;
                locateFocus = detailID;
				checkPlayCnt = searchPlayList(obj.name);
                flipWidget("back");
                /////////////////// By stkim
                if(checkListCnt != 0){
					checkPlayCnt = 0;
					createDetailInfoHTML(checkPlayList[checkPlayCnt]-1);
				}else{
					createDetailInfoHTML(Idx-1);	
				}
                
//                alert(detailInfoListXmlURL[Idx-1]);
//                loadXMLDoc(detailInfoListXmlURL[Idx-1], detailID);
        break;
        
        case (33) :    //Page Up
        case (tvKey.KEY_RW) :        
			if(bMaple && EKC==33) return false;
            locateFocus = contentsID;
            if (contentsListNum>showNumOfPage) {
                Idx-=showNumOfPage;
                
                if (Idx < 0 ) {
                    //circulation을 적용하여 마지막 페이지로 돌아간다.
                    createRightSideHTML(calculateIndexOfPage(( contentsListNum-1 ), showNumOfPage));
                } else {
                    createRightSideHTML(calculateIndexOfPage(( Idx-1 ), showNumOfPage));
                }                
            }

        break;
        
//        case (34) :    //Page Down
        case (tvKey.KEY_FF) :	  //Page Down       
        	if(bMaple && EKC==34) return false; 
            locateFocus = contentsID;
            if (contentsListNum>showNumOfPage) {
                var tIndex = Idx-1;		//0~26이라 -1 해줌.
                TRACE("Idx :: "+Idx)
                tIndex++;
                var tmp1 = Math.ceil((tIndex)/showNumOfPage);
                var tmp2 = Math.ceil(contentsListNum/showNumOfPage);
    			TRACE("tmp1 :: "+tmp1+" tmp2 :: "+tmp2)
                for (i=0 ; i<showNumOfPage ; i++) {
                    Idx++;
                }
    
                if (Idx > ( contentsListNum-1 ) ) {
                    if (tmp1<tmp2) {
                        createRightSideHTML( calculateIndexOfPage((contentsListNum-1 ), showNumOfPage) );
                    } else  {
                        //circulation을 적용하여 첫 페이지로 돌아간다.
                        createRightSideHTML(0);                    
                    }
                } else {
                    createRightSideHTML( calculateIndexOfPage((Idx-1 ), showNumOfPage) );
                }
            }
        break;

//		case (123) : //F12 PC
		case (tvKey.KEY_TOOLS) : 	// 간편메뉴 TV
        	if(bMaple && EKC==123) return false; 		
			lastContentsID = obj.id;
			lastContentsIndex = obj.name;
			if ( isBookmark() || isTvBookmark()) {
				//showBookmarkPopup();
				var popupMenu = new Array(SID_DELETE,SID_SELECT_ALL,SID_DESELECT_ALL);
				if( checkListCnt == 0){
					createOptionPopup( popupMenu, bookmark_popup_inputKey, new Array(false, false, true) );	
				} else if( checkListCnt == contentsListNum) {
					createOptionPopup( popupMenu, bookmark_popup_inputKey, new Array(false, true, false) );	
				}else {
					createOptionPopup( popupMenu, bookmark_popup_inputKey, new Array(false, false, false));	
				}
				showOptionPopup();		
			} else if(isHistory()) {		//방문기록 카테고리 
				var popupMenu = new Array(SID_DELETE,SID_SELECT_ALL,SID_DESELECT_ALL);
				if( checkListCnt == 0){
					createOptionPopup( popupMenu, delHistory_inputKey, new Array(false, false, true) );	
				}else if( checkListCnt == contentsListNum) {
					createOptionPopup( popupMenu, delHistory_inputKey, new Array(false, true, false) );	
				} else {
					createOptionPopup( popupMenu, delHistory_inputKey, new Array(false, false, false));	
				}
				showOptionPopup();
			}else {
				var popupMenu = new Array(SID_SELECT_ALL,SID_DESELECT_ALL); // 팝업 메뉴 이름
				if( checkListCnt == 0){
					createOptionPopup( popupMenu, check_popup_inputkey, new Array(false, true));	
				}else if( checkListCnt == contentsListNum) {
					createOptionPopup( popupMenu, check_popup_inputkey, new Array(true, false) );	
				}else {
					createOptionPopup( popupMenu, check_popup_inputkey, new Array(false, false));	
				}				
				showOptionPopup();		
			}
			break;
		case (tvKey.KEY_VOL_UP): 	// 볼륨업
		case (tvKey.KEY_VOL_DOWN):	// 볼륨다운
		case (tvKey.KEY_MUTE):	// Mute 버튼
			TRACE("Block vol and mute key in list");
        	blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
			break;        
		
		case (tvKey.KEY_GREEN) : 	
        	if(bMaple && EKC==120) return false; 		
                lastContentsID = obj.id;
				lastContentsIndex = obj.name;
				lastFocusID = lastContentsID;
				TRACE("lastFocusID = " + lastFocusID);
				if ( isSupportTimeparam(lastCategoryIndex) && !bDemo) {
					showTimePopup();
			}
			break;	
			
		case (tvKey.KEY_YELLOW): //노란색 버튼
//		case (113):
			if(searchCheckList(Idx) != true){
				document.getElementById("check"+obj.id).src = "img/check_box_s2.png";						
				addCheckList(Idx);
			}				
			else{
				document.getElementById("check"+obj.id).src = "img/check_box_n2.png";					
				deleteCheckList(Idx);
			}		
			break;
        default  : 
			
        	return false;
        break;
    }
}


/**
 * @brief			상세 화면에서의 키처리 함수 
 * @remarks		좌, 우 화살표는 이전, 다음 상세화면을 호출한다.
 * 동영상 플레이 제어는 리모콘의 재생키를 이용한다.
 * 전체화면 전환은 선택키로 한다. 
* @param		obj		HTML Object
* @return		void
*/
function detail_inputKey(obj){
//    var ie = (document.all) ? 1:0
//    if (ie) { var EKC = event.keyCode;}
    var EKC = event.keyCode;
    var Idx = obj.name; //해당 Index 가져오기..
    var tmpContentsID;
		TRACE("key num : " + EKC);
    CommonLib.keyHandler(EKC,popupCallback);	
    switch (EKC) {
	
		case 108://RED
		case 1219://KEY_3D
			Screen.changeMode();
			alert('3D3');
			break;

		// SERIE D FIX
		case tvKey.KEY_BLUE:
            if (Screen.getModeD()>=2)
                Screen.changeModeD(0);
			else
				Screen.changeModeD(Screen.getModeD()+1);
            break;
			
        case (tvKey.KEY_UP) : 	//Up 화살표.... 
        case (tvKey.KEY_WHEELUP): 		// remocon wheel left
        case (tvKey.KEY_PANEL_CH_UP) :			// 패털키 UP
        	if(bMaple && EKC==38) return false;
//			setMute(false);
//			Player.GetVideoPos();
			detailScrollControl ("up");
        	break;
        
        case (tvKey.KEY_DOWN) : //down 화살표... 
        case (tvKey.KEY_WHEELDOWN): 	// remocon wheel right
        case (tvKey.KEY_PANEL_CH_DOWN):		// 패널키 Down 
        	if(bMaple && EKC==40) return false;
//			setMute(true);
//			Player.SetSpeaker(0);
			detailScrollControl ("down");
        	break;
        
        case (tvKey.KEY_LEFT) :
		case (tvKey.KEY_PANEL_VOL_DOWN): 		// 패널 키 Left
			if(bMaple && EKC==37) return false;
			if ( setDetailinputKeyTimer() == false ) return false;
			goPrevDetail();
        	break;
        
        case (tvKey.KEY_RIGHT):     
		case (tvKey.KEY_PANEL_VOL_UP) : 	// 패널키 Right   
			if(bMaple && EKC==39) return false;
			if ( setDetailinputKeyTimer() == false ) return false;
			goNextDetail();
        	break;
        
        //case (27) : 		//ESC
        case (tvKey.KEY_RETURN) : 		// ESC        
        case (tvKey.KEY_PANEL_MENU): 		// 패널 키 ESC
        	//if(bMaple) return false;
			blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
			bContentsList = true;
			if ( setDetailinputKeyTimer() == false ) return false;
			if ( bReturnLock == true ) {
				TRACE("===== bReturnLock so, Unable to return before Play! ===== ", TRACE_LEVEL.WARN);
				return false;
			}
			if ( currentStatus != UCC_STOP ) {
				if ( player_inputKey(UCC_STOP,"") == 0 ) { // 실패하면 돌아가지 않는다.
					TRACE ( "====== Stop Failed can't Return =====", TRACE_LEVEL.WARN)
					return  false;
				}
			}
            flipWidget("front");
			exitDetail();
			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_ONLINE);		//frontPanel 상태표시
			y = contentsID + lastContentsIndex;
			locateFocus = contentsID;
			if(isHistory()) {
				initCheckList();
				loadXMLDoc("xml/bookmark.xml", contentsID);
				//createRightSideHTML(0);
			}else if( isBookmark()) {
				var callUrl = "";
				callUrl = getBookmarkUrl();
				if(doBookmark){
					initCheckList();
					loadXMLDoc(callUrl, contentsID);
				}		            
				else{
					createRightSideHTML( lastContentsIndex-1 );		
				}					
			}else if(isTvBookmark()) {			//tv 북마크일때
				if(doBookmark){
					initCheckList();
					loadXMLDoc("xml/bookmark.xml", contentsID);
				}					
				else{
					createRightSideHTML( lastContentsIndex-1 );			
				}					
			}else {
				createRightSideHTML( lastContentsIndex-1 );	
			}
			
			hideImeFrame();
			showVerticalBar();
			if(totalPage > 1)
				showScrollBar();
       		break;
        
        case (tvKey.KEY_REWIND_):        
        case (tvKey.KEY_RW) :
			if(bMaple && EKC==33) return false;
			var uccURL;
			if ( bH264 && playURL264[detailIndex].length ) {
				uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
			} else {
				uccURL = playURL[detailIndex];
			}	
			if(currentStatus !=  UCC_STOP ){
				player_inputKey(UCC_RW,"");	
			}
			
			break;		
			
        case (tvKey.KEY_FF_) :
        case (tvKey.KEY_FF) :	  //Page Down
        	if(bMaple && EKC==34) return false;			
			var uccURL;
			if ( bH264 && playURL264[detailIndex].length ) {
				uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
			} else {
				uccURL = playURL[detailIndex];
			}
			if(currentStatus !=  UCC_STOP ) {
				player_inputKey(UCC_FF,"");	
			}
			
			break;
						
        case (tvKey.KEY_ENTER) : //Enter      
        case (tvKey.KEY_PANEL_ENTER) : 	// 패널 키 Enter
        case (tvKey.KEY_PANEL_SOURCE) : 	// 패널 키 Source
        	if(bMaple && EKC==13) return false;          
			if ( setChangemodeTimer() == false ) return false;
			if(bDecodeReady == false){
				TRACE("======= onDecoderReady is not call. =======");
				return false;
			} 
			if(currentStatus == UCC_PAUSE){			
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시	
			}			
        	showFull();
        	break;
        
		case(tvKey.KEY_PLAY) : // Play Button
			var uccURL;
			TRACE("bRelated :: "+bRelated)
//			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
			if ( currentStatus ==  UCC_STOP ) {									
				player_inputKey(UCC_PLAY,g_uccURL);
			}
			else if ( currentStatus == UCC_PAUSE) {
				player_inputKey(UCC_RESUME, g_uccURL);
			}
//			else { // play or resume
//				player_inputKey(UCC_PAUSE, uccURL);
//			}
			document.getElementById(focusItem1X).focus();
			break;
		case(tvKey.KEY_PAUSE) : // Pause Button
			if ( currentStatus == UCC_PLAY || currentStatus == UCC_RESUME) {
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				player_inputKey(UCC_PAUSE, uccURL);
			}
			break;
		case(tvKey.KEY_D_FRONT_PLAY):
			if(currentStatus == UCC_PLAY || currentStatus == UCC_RESUME){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				player_inputKey(UCC_PAUSE, uccURL);
			}else if(currentStatus == UCC_PAUSE){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				player_inputKey(UCC_RESUME, g_uccURL);
			}else if(currentStatus == UCC_STOP){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				player_inputKey(UCC_PLAY,g_uccURL);
			}
			break;		
			
		case(tvKey.KEY_STOP) : // Stop Button
//			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_STOP);		//frontPanel 상태표시
			player_inputKey(UCC_STOP, "");
			break;

		case (tvKey.KEY_TOOLS) : 	// 간편메뉴 TV
        	if(bMaple && EKC==120) return false; 		
//				createSettingMenu();
				if(bDecodeReady){					
					if(CM_AVSetting){
						if(!CM_AVSetting.bBDPlayer){
							hideAllHelpLayer();
						}						
						CM_AVSetting.showMenuPopup();
					}
						
				}					
			break;		
			
		case (tvKey.KEY_GREEN)	:
			if(bLogin) {
					createSelectBookmark();	
				}else {
					addTvBookmark();
				}	
			break;	

		case (tvKey.KEY_VOL_UP): 	// 볼륨업
			upVolume();
			break;
		case (tvKey.KEY_VOL_DOWN):	// 볼륨다운
			downVolume();
			break;
		case (tvKey.KEY_MUTE):	// Mute 버튼
			setMute();
			break;
        
        default  : 
        	return false;
       		break;
    }
}

/**
* @brief		다음 상세화면 호출
* @remarks		다음 키 입력시 다음 동영상의 상세화면 생성을 위해 createDetailInfoHTML() 호출 
* @param		void
* @return		void
*/
function goNextDetail() {
		TRACE("goNextDetail()");
		// 리스트 보기에서는 처리하지 않는다.
		if (currentView == UCC_LIST_VIEW) {
			TRACE("You are in the list view, can't go to the next  Detail");
			return;
		}		
		player_inputKey(UCC_STOP,"");
		if(checkListCnt == 0){
			lastContentsIndex++;		
			createDetailInfoHTML(detailIndex+1);	
		}
		else {			
			TRACE("goNextDetail / check ");
			checkPlayCnt++;
			if(checkPlayCnt == checkListCnt){
				checkPlayCnt = 0;
			}	
			lastContentsIndex = checkPlayList[checkPlayCnt];
			createDetailInfoHTML(checkPlayList[checkPlayCnt]-1);							
		}		
}

/**
* @brief		이전 상세화면 호출
* @remarks		이전 키 입력시 다음 동영상의 상세화면 생성을 위해 createDetailInfoHTML() 호출 
* @param		void
* @return		void
*/
function goPrevDetail() {
		TRACE("goPrevDetail()");	
		if (currentView == UCC_LIST_VIEW) {
			TRACE("You are in the list view, can't go to the next  Detail");
			return;
		}		
		player_inputKey(UCC_STOP,"");
		if(checkListCnt == 0){
			lastContentsIndex--;
			createDetailInfoHTML(detailIndex-1);
		}
		else{
			TRACE("goPrevDetail / check");
			checkPlayCnt--;
			if(checkPlayCnt < 0){
				checkPlayCnt = checkListCnt - 1;			//checkListCnt는 갯수를 뜻하므로 하나 빼줌				
			}	
			lastContentsIndex = checkPlayList[checkPlayCnt];
			createDetailInfoHTML(checkPlayList[checkPlayCnt]-1);		
		}
}

/**
 * @brief			왼쪽의 메뉴 HTML을 작성
 * @remarks		이 함수가 호출될 때마다 innerHTML을 이용하여 동적으로 메뉴를 작성한다.
* @param		index		현재 선택한 메뉴의 Index, 0 base
* @return		void
*/
function createLeftSideHTML(index) {
	TRACE("createLeftSideHTML index:::"+index);
//    document.getElementById('categoryList').innerHTML = "Loading.....";
    var totalLine;
    totalLine = "<ul>";
    var tmpPage = index/showNumOfCategory;
    tmpPage = Math.floor(tmpPage);
	
	curCatePageNum = Math.floor(index/showNumOfCategory);

	if(totalCatePageNum > 0)
	{
		if(curCatePageNum == 0)
		{
			showUpArrow(false);
			showDownArrow(true);
		}
		else if(curCatePageNum < totalCatePageNum)
		{
			showUpArrow(true);
			showDownArrow(true);
		}
		else
		{
			showUpArrow(true);
			showDownArrow(false);
		}
	}
			
    var maxI;
    if ((tmpPage+1)*showNumOfCategory > categoryListNum) {
        maxI = categoryListNum;
    } else {
        maxI = (tmpPage+1)*showNumOfCategory;
    }
    for ( i=(tmpPage*showNumOfCategory) ; i<maxI ; i++) {
        var tmpID = categoryID + (i+1);
        var imgID = "Image" + (i+1);
		var tmpTitleID = "Title" + (i+1);
        var tmpIndex = i+1;	
		var tmpLine = "";
		if( bDemo) {
			if( tmpIndex == 1 || tmpIndex == 2 ){
				tmpLine = "<li><a id="+tmpID+" href=javascript: onkeydown=func_inputKey(this); onfocus= menuFocus(this); onblur=menuBlur(this); name="+tmpIndex+"><table name="+tmpIndex+" cellspacing=0 cellpadding=0 border=0px><tr><td width=231px height=36px><div id="+tmpTitleID+" style='width: 220px; padding-left:10px; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>" + eval(categoryList[i]) + "</div></td></tr></table></a></li>";
			}else {
				tmpLine = "<li><a id="+tmpID+" href=javascript: onkeydown=func_inputKey(this); onfocus= menuFocus(this); onblur=menuBlur(this); name="+tmpIndex+"><table name="+tmpIndex+" cellspacing=0 cellpadding=0 border=0px><tr><td width=231px height=36px><div id="+tmpTitleID+" style='width: 220px; padding-left:10px; color:#868686; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>" + eval(categoryList[i]) + "</div></td></tr></table></a></li>";
			}
		} else {
			tmpLine = "<li><a id="+tmpID+" href=javascript: onkeydown=func_inputKey(this); onfocus= menuFocus(this); onblur=menuBlur(this); name="+tmpIndex+"><table name="+tmpIndex+" cellspacing=0 cellpadding=0 border=0px><tr><td width=231px height=36px><div id="+tmpTitleID+" style='width: 220px; padding-left:10px; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>" + eval(categoryList[i]) + "</div></td></tr></table></a></li>";
		}
        
		
		totalLine += tmpLine;
    }
    totalLine += "</ul>";

	
	
    document.getElementById('categoryList').innerHTML = totalLine;
    
    if (locateFocus==categoryID) {
		if ( index == 0 ) {
			lastFocusID = categoryID + "1";
		}
        document.getElementById(categoryID + (++index)).focus();
    }
}

/**
 * @brief			글자수 바이트로 자르기 
 * @remarks		글자수 바이트로 자르기 
* @param		vn_maxlength		넘어가면 자를 글자 수 
* @param		vn_str		문자열 
* @return		vn_restr
*/
function strlength_cut(vn_maxlength, vn_str)
{
	 var vn_sumlength=0;
	 var vn_restr='';
	 var bCut = false;
	 for(var i= 0;i < vn_str.length; i++)
	 {
		  if( escape(vn_str.charAt(i)).length > 3 ) { vn_length = 2; }
		  else if (vn_str.charAt(i) == '<' || vn_str.charAt(i) == '>') { vn_length = 4; }
		  else { vn_length = 1 ; }
		  if ( vn_maxlength < (vn_sumlength + vn_length) ) { 
		  	bCut = true;
		  	break; 
		  }
		  vn_sumlength += vn_length;
		  vn_restr += vn_str.charAt(i);
	 }
	 if (bCut) {
	 	vn_restr += "...";
	 }
	 return (vn_restr);
}

/**
* @brief		viewCount에서 숫자에 대한 comma 표시 위한 함수
* @remarks		
* @param		num 	viewcount
* @return		void
*/
function getCommaNum(num) {
 	var result ="";
 	for(var i=0; i<num.length; i++) 
 	{
  		var tmp = num.length-(i+1)
  		if(i%3==0 && i!=0) 
   		result = ',' + result;
  		result = num.charAt(tmp) + result;
 	}
 	return result;
}

/**
 * @brief			오른쪽의 리스트 HTML을 작성
 * @remarks		이 함수가 호출될 때마다 innerHTML을 이용하여 동적으로 리스트 화면을 작성한다.
* @param		index		현재 선택한 메뉴의 Index, 0 base
* @return		void
*/
function createRightSideHTML(index) {
	TRACE("createRightSideHTML() :::"+index);
	stopLoadingonList();
	if ( isSearch() && !bSearchSend ) { // 검색을 날리기 전 검색메뉴에서는 우측화면 가져오지 않음 
		TRACE("onSearch return!!");
		return;
	}
	
	if ( isBookmark() && bLoginMode && bLogin == false ) {
		hideScrollBar();
		showNoBookmark();
		return;
	}
	var tmpPupdate = "";
    var totalLine;
	var strViewCount = "0";
    var tmpPage = index/showNumOfPage;
    tmpPage = Math.floor(tmpPage);
    var maxI;
	bRelated = false;	//관련동영상에서 빠져나옴 확인.(북마크 문제 때문)
    //Total Page와 CurrentPage 계산
    totalPage = Math.ceil(contentsListNum/showNumOfPage);
    currentPage = Math.ceil((index+1)/showNumOfPage);
	alert("totalPage :: "+totalPage+" currentPage :: "+currentPage)
    scrollBar();
	
	//하단 help 생성
	if(contentsListNum > 1){
		createHelpLayer();
		createHelpLayerBookmark();
	}else{
		createHelpLayerNoMove();
		createHelpLayerBookmarkNoMove();
	}
	
    
    
    if ((tmpPage+1)*showNumOfPage > contentsListNum) {
        maxI = contentsListNum;
    } else {
        maxI = (tmpPage+1)*showNumOfPage;
    }
	totalLine ="";
	lastContentsID = contentsID + (index+1);
    for ( i=(tmpPage*showNumOfPage) ; i<maxI ; i++) {
        totalLine += "<ul>";
		var tmpID = contentsID + (i+1);
		var tmpIndex = i+1;
		var tmpDuration;
		var tmpViewCnt;
		if (duration[i]) {
			tmpDuration = sec2hrTimeTxt(duration[i]);
		} else {
			tmpDuration = sec2hrTimeTxt(0);
		}
		strViewCount = getCommaNum(viewcount[i]);

		tmpViewCnt = SID_VIEWS + " : " + strViewCount + "&nbsp;&nbsp;&nbsp;" + SID_RATEAVG_ABBR_10 + " : " + "<img src=" + getStarImg(average[i]) + ">";		
		var tmpStrPupdate = contentsTime[i];	
		tmpPupdate = transferPupdateExpression(tmpStrPupdate);
		
		var tmpLine;
	
		if(searchCheckList(i+1))
		{		
			tmpLine = "<li><a id=" + tmpID + " href=javascript: onkeydown=right_inputKey(this); onfocus=listFocus(this); onblur=listBlur(this); name=" + tmpIndex + "><table cellspacing=0 cellpadding=0 width=100% border=0 style='table-layout:fixed;' height=73px><tr><td valign='top' width=117><div id = 'thumbnail' style='padding-top:3px; padding-left: 5px;'><img width=87px height=65px style='border: 1px solid #FFF;'  src=" + contentsImg[i] + "></div><div id = 'checkBox'><img id='check" +tmpID+ "' src='img/check_box_s2.png' border=0></div></td><td width=360px style='overflow:hidden;'><div class='list_name' style=' width : 360px; padding-bottom:10px; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>" + contentsList[i] + "</div><div class='list_count'>" + tmpViewCnt + "</div></td><td align='right' style='padding-right: 10px;'><div class='list_time' style='padding-bottom:10px;' >" + tmpDuration + "</div><div class='list_date'>" + tmpPupdate + "</div></td></tr></table></a></li>";	
		}
		else{
			tmpLine = "<li><a id=" + tmpID + " href=javascript: onkeydown=right_inputKey(this); onfocus=listFocus(this); onblur=listBlur(this); name=" + tmpIndex + "><table cellspacing=0 cellpadding=0 width=100% border=0 style='table-layout:fixed;' height=73px><tr><td valign='top' width=117><div id = 'thumbnail' style='padding-top:3px; padding-left: 5px;'><img width=87px height=65px style=' border: 1px solid #FFF;' src=" + contentsImg[i] + "></div><div id = 'checkBox'><img id='check" +tmpID+ "' src='img/check_box_n2.png' border=0></div></td><td width=360px style='overflow:hidden;'><div class='list_name' style=' width : 360px; padding-bottom:10px; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>" + contentsList[i] + "</div><div class='list_count''>" + tmpViewCnt + "</div></td><td align='right' style='padding-right: 10px;'><div class='list_time' style='padding-bottom:10px;' >" + tmpDuration + "</div><div class='list_date'>" + tmpPupdate + "</div></td></tr></table></a></li>";
		}
			
	    totalLine += tmpLine;
	    totalLine += "</ul>";
	}
	document.getElementById('contentslist').innerHTML = totalLine;	
	
    document.getElementById('depthtext').innerHTML = "UCC > " + contentsCategoryID;
    document.getElementById('listtitle').innerHTML = contentsCategoryID;
	TRACE("contentsCategoryID ::: "+ contentsCategoryID)
    document.getElementById('listcount').innerHTML = currentPage+" / " + totalPage;
	showTimeParam();
	
	if (contentsListNum == 0) {
		hideScrollBar();
		if ( isBookmark() || isTvBookmark()) {
			hideNoVisited();
			showNoBookmark();
		} else if ( isSearch() ) {
			hideNoBookmark();
			focusSearchButton();
			showImeFrame();
			curPopup = POPUP_NOTICE;			
			openPopupWithTimer (SID_NO_RESULTS_FOUND_MSG, popupCallback, 5); 
			return;
		}else if ( isHistory() ) {
			showNoVisited();
		} else {
			lastFocusID = lastCategoryID;
			curPopup = POPUP_NOTICE;			
			openPopupWithTimer (SID_NO_RESULTS_FOUND_MSG, popupCallback, 5);
			hideNoBookmark();
			hideNoVisited();
		}
	} else {
		if(totalPage > 1)
			showScrollBar();
		else	
			hideScrollBar();
		
		if( isFeatured() ) {
			hideNoVisited();			
		}
		if ( isBookmark() ) {
			hideNoVisited();
			hideNoBookmark();
		}		
		if( isHistory() ) {
			hideNoVisited();
		}
	}	
    if (locateFocus==contentsID) {
        index++;
        document.getElementById(contentsID+index).focus();        
    }
	TRACE("in createRightSideHTML's lastContentsID ::"+lastContentsID);
}

/**
 * @brief			상세정보 화면 HTML 생성 
 * @remarks		Title과 description을 뿌리고 나서 플러그인에 동영상 Play 명령을 준다.
* @param		index		상세정보 index, 0 base
* @return		void
*/
function createDetailInfoHTML(index) {
	TRACE("createDetailInfoHTML() detailIndex = " + index);
	bRelPopupBlock = true;			//관련동영상 popup block
	doBookmark = false;				//북마크 추가 됬는지 판단하는 변수 초기화
	bDecodeReady = false;			//onDecodeReady 변수 초기화		
	if(gModelID.indexOf("Valencia") == -1 && gModelID.indexOf("Trident") == -1 && gModelID.indexOf("BD-") == -1) {
		alert("==== "+gModelID.indexOf("Valencia")+" ----- "+gModelID.indexOf("Trident"));
		var tmpAudioversion;
		tmpAudioversion = AudioPlugin.GetPluginInfo(PL_CMN_INFO_VERSION);	
										
		if(  tmpAudioversion > "AUDIO-0004") {			//audio plugin check
				AudioPlugin.SetSystemMute(PLR_FALSE);		//PLR_FALSE mute 해제.
		} else {
			AudioPlugin.SetMute(4);			//소스전환을 위젯 내부로 가져오면서 speaker on을 시키는 위치를 변경
											//기존 매니져에서 소스 전환시에는 소스전환을 하면서 speaker off가 되고 
											//player 플러그인이 로드 되면서서 speaker on이 되며, player.start가 되면서 다시 on 된다.
											//위젯 내부로 소스전환을 하면서 플러그인이 먼저 로드 되고 그 다음 소스전환, 동영상 플레이시에는 
											//브라우져 타이밍문제로 playerPlay()를 타이머를 걸어 getMute를 했을때 소스전환에서 꺼진 스피커 상태로 mute값을 읽어 온다.
											//때문에 setMute(4)로 speaker를 on 시킨후 플레이를 시작하도록 변경함.	
		}	
	}	
												
	if ( index < 0 ) {
		index = contentsListNum -1;
		lastContentsIndex = contentsListNum;
	}
	else if ( index >= contentsListNum ) {
		index = 0;
		lastContentsIndex = 1;
	}
	var tmpViewCnt = "";
	var tmpPupdate = "";
	var tmpKeywords = "";
	var keyWordsTxt = "";
	var strViewCount = "0";
	detailIndex = index;
	changeButton();

	var tmpStrPupdate = contentsTime[detailIndex];
	tmpPupdate = transferPupdateExpression(tmpStrPupdate);
	
	strViewCount = getCommaNum(viewcount[detailIndex]);
	tmpViewCnt = SID_VIEWS + " : " + strViewCount + "&nbsp;&nbsp;&nbsp;" + SID_RATEAVG_ABBR_10 + " : " + "<img src=" + getStarImg(average[detailIndex]) + ">";
	keyWordsTxt = keyWords[detailIndex];
	tmpKeywords = SID_KEYWORD_ABBR_10 + " : " + keyWordsTxt;

	document.getElementById('uccTitleText').innerHTML = contentsList[index]+ "<a id='controlButton' href=javascript: onfocus=onFocusControl(this); >&nbsp;</a>";
	document.getElementById('helpTitle').innerHTML = contentsList[index]; //full 화면에서 보여주기 위해 타이틀 저장.
	document.getElementById('uccDescription').innerHTML = "<a id='detailDesc' href=javascript: onfocus=onFocusControl(this); ></a>";
	document.getElementById('uccDescription').innerHTML += description[index];
	document.getElementById('uccDescription').scrollTop = "0px";
    
	document.getElementById('uccCount').innerHTML = tmpViewCnt;

    document.getElementById('uccDate').innerHTML = tmpPupdate;
    document.getElementById('uccKeywords').innerHTML = tmpKeywords;	
    document.getElementById('uccCopyright').innerHTML = SID_COPYRIGHT_ABBR_10;	
	document.getElementById('uccCopyrightAddr').innerHTML = SID_COPYRIGHT_ADDRESS;	
	

	hideDetailscroll();
    hideScrollBar();
	hideVerticalBar();
	showDetail();
	initPlayTime();
//	var uccURL;
	contentsObj = new contentsListObj(contentsList[detailIndex], 
								  contentsImg[detailIndex],
								  detailInfoListXmlURL[detailIndex],
								  contentsTime[detailIndex],
								  contentsTimeUpdate[detailIndex],								  
								  videoGuid[detailIndex],
								  playURL[detailIndex],
								  playURL264[detailIndex],
								  playerType[detailIndex],
								  description[detailIndex],
								  duration[detailIndex],
								  viewcount[detailIndex],
								  average[detailIndex],
								  keyWords[detailIndex]
								  );
	if ( bH264 && playURL264[detailIndex].length ) {
		g_uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
		
		//nitrogen14 getBestQuality
		var tosplit = videoGuid[detailIndex].split("/");
		var videoID = tosplit[tosplit.length-1];
		alert('videoid ' + videoID);
		url = getBestQuality(videoID);
		alert('url: ' + url);
		if(url!="")
			g_uccURL = url;
			
	} else {
		g_uccURL = playURL[detailIndex];
	}
	
	setTimeout("showDetailscroll()", 300); 

	TRACE("#########################################################" );
	TRACE("################## player PLAY call! ####################" );
	TRACE("#########################################################" );	
//	player_inputKey(UCC_PLAY, uccURL);

	currentStatus = UCC_PLAY;
	document.getElementById(focusItem1X).focus();
	bReturnLock = true;
	setDetailinputKeyTimer();				// 상세화면에서 2초동안은 복귀, 이전/다음 키 먹지 않도록 수정함.
	setTimeout("playerPlay()", 1500); // 브라우저 타이밍 문제로 잠시 후 Play 호출, 그렇지 않으면 실행 시점이 오락가락함...
	
	if ( getMute() == 1 ) {
		showVolume();
	}

	if ( currentMode == UCC_MODE_1X )
		lastFocusID = focusItem1X; //"controlButton";				
	else
		lastFocusID = focusItemFull; //"fullMovieFocusItem";
		
	if ( bMaple && !bDemo) {
		addHistory(); // 방문기록 추가 
	}
	// 연관 비디오 
	if ( !bDemo ) {
		var strRelatedUrl = getRelatedUrl(videoGuid[detailIndex]);
		loadRelatedVideoXML(strRelatedUrl);	
	}else {
		nRenderErr = 0;
	}
}

/**
* @brief		동영상 play
* @remarks		player_inputKey(UCC_PLAY, g_uccURL) 호출
* @param		void
* @return		void
*/
function playerPlay() {
	if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
		FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
	player_inputKey(UCC_PLAY, g_uccURL);	
	bReturnLock = false;
	bRelPopupBlock = false;		//play call이 불린 후에는 block 해제
}

/**
 * @brief			Widget 초기화 
 * @remarks		Widget 기본 환경 및 변수 초기화
* @param		void
* @return		void
*/
function initWidget() {
	initLog();
    initData();	
	initLoadingImg();
	initStarImg();
	checkBookmarkFile();
	checkHistoryFile();
	createTimePopup();
	initSearchHistoryScrollBar();
	createResourceBody();
	loadSearchHistoryFile();


	
	tvKey = new Common.API.TVKeyValue();	//tv Key 등록
	FrontPanelPlugin = document.getElementById("pluginObjectFrontPanel");		//frontPanel Plugin 등록
	if(FrontPanelPlugin.GetPluginInfo instanceof Function){
		alert("frontPanel Info :: "+FrontPanelPlugin.GetPluginInfo(PL_CMN_INFO_VERSION));			
	}

	//IME 등록
	ime = new IMEShell("searchText1", initIME);
	if(!ime){
		TRACE("object for IMEShell create failed", TRACE_LEVEL.ERROR);
	}
	
	setTimeout(function(){
//		TVPlugin = document.getElementById('pluginObjectTV');
		PluginObj = new Common.API.Plugin();
//		if(TVPlugin.GetProductType() == PL_TV_PRODUCT_TYPE_BD){
//			alert("Product type :: BD");
//			PluginObj.setOffIdleEvent();			//IdleEvent off
//		}	
	},0);	
	
	if(bDemo) {
		loadCategoryXMLDoc(demoCategoryListXmlURL, categoryID);		
	} else {
		loadCategoryXMLDoc(categoryListXmlURL, categoryID);	
	}		
}

/**
 * @brief			스크롤바 숨기기 
 * @remarks		상세보기 화면에서는 스크롤바를 숨긴다.
* @param		void
* @return		void
*/
function hideScrollBar() {
	document.getElementById('listcount').style.visibility = "hidden";	
	document.getElementById('timeParam').style.visibility = "hidden";
	document.getElementById("up").style.display="none";
	document.getElementById("down").style.display="none";
	document.getElementById("drag").style.display="none";
	document.getElementById("ruler").style.display="none";
	hideTimeParam();
}

/**
 * @brief			스크롤바 보이기
 * @remarks		상세보기 화면에서 벗어나 리스트 화면으로 돌아올 때는 스크롤바를 그린다.
* @param		void
* @return		void
*/
function showScrollBar() {
	document.getElementById('listcount').style.visibility = "visible";	
	document.getElementById('timeParam').style.visibility = "visible";
	document.getElementById("up").style.display="block";
	document.getElementById("down").style.display="block";
	document.getElementById("drag").style.display="block";
	document.getElementById("ruler").style.display="block";
	
}

/**
 * @brief			세로선 숨기기
 * @remarks		화면 UI 조정을 위한 함수
* @param		void
* @return		void
*/
function hideVerticalBar(){
	document.getElementById("subline").style.display="none";
}

/**
 * @brief			세로선 보이기
 * @remarks		화면 UI 조정을 위한 함수
* @param		void
* @return		void
*/
function showVerticalBar(){
	document.getElementById("subline").style.display="block";	
}

/**
* @brief		help layer hide 함수
* @remarks		help layer 변경 전 help lyaer를 clear 하기 위한 함수.
* @param		void
* @return		void
*/
function hideAllHelpLayer() {
	document.getElementById("helpLayerCategory").style.visibility = "hidden";
	document.getElementById("helpLayerCategoryPage").style.visibility = "hidden";
	document.getElementById("helpLayerNoTimeCategory").style.visibility = "hidden";
	document.getElementById("helpLayerNoTimeCategoryPage").style.visibility = "hidden";	
	
	document.getElementById("helpLayer").style.visibility = "hidden";
	document.getElementById("helpLayerPage").style.visibility = "hidden";
	document.getElementById("helpLayerBookmark").style.visibility = "hidden";
	document.getElementById("helpLayerPageBookmark").style.visibility = "hidden";
	document.getElementById("searchPopupHelpLayer").style.visibility = "hidden";
	document.getElementById("helpListPopup").style.visibility = "hidden" ;

	document.getElementById("helpLayerDetail").style.visibility = "hidden" ;
	document.getElementById("helpLayerDetailStop").style.visibility = "hidden" ;
	document.getElementById("helpLayerDetailBookmark").style.visibility = "hidden" ;	
	document.getElementById("helpLayerDetailBookmarkStop").style.visibility = "hidden" ;	
	
	document.getElementById("helpFull").style.visibility = "hidden" ;
	document.getElementById("helpFullBookmark").style.visibility = "hidden" ;
	document.getElementById("helpFullProgress").style.visibility = "hidden" ;
	hideFullHelp();
	
	document.getElementById("helpLayerOrderBy").style.visibility="hidden";
	document.getElementById("helpLayerHistoryList").style.visibility="hidden";
	document.getElementById("helpLayerHistoryListNoMove").style.visibility = "hidden";
	
	document.getElementById("helpLayerFeaturedList").style.visibility = "hidden";
	document.getElementById("helpLayerPageFeaturedList").style.visibility = "hidden";
	
}

/**
 * @brief		일반 카테고리영역의 Help 영역 show 함수
 * @remarks		
 * @param		void
 * @return	 	void
*/
function showHelpLayerCategory() {
	document.getElementById("helpLayerCategory").style.visibility = "visible";
}

/**
 * @brief		일반 카테고리영역의 Help 영역 show 함수
 * @remarks		2page 이상일때 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerCategoryPage() {
	document.getElementById("helpLayerCategoryPage").style.visibility = "visible";
}

/**
 * @brief		'추천동영상', '내보관함', '방문기록', '검색' 카테고리 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerNoTimeCategory() {
	document.getElementById("helpLayerNoTimeCategory").style.visibility = "visible";
}
/**
 * @brief		'추천동영상', '내보관함', '방문기록', '검색' 카테고리 Help 영역 show 함수
 * @remarks		카테고리영역이 2page 이상일때 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerNoTimeCategoryPage() {
	document.getElementById("helpLayerNoTimeCategoryPage").style.visibility = "visible";
}
/**
 * @brief		일반 카테고리의 우측 컨텐츠 영역에 대한 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayer(){
	document.getElementById("helpLayer").style.visibility = "visible";
}
/**
 * @brief		일반 카테고리의 우측 컨텐츠 영역에 대한 Help 영역 show 함수
 * @remarks		2page 이상일 때의 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerPage(){
	document.getElementById("helpLayerPage").style.visibility = "visible";
}
/**
 * @brief		'내 보관함' Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerBookmark(){
	document.getElementById("helpLayerBookmark").style.visibility = "visible";
}

/**
 * @brief		'내 보관함' Help 영역 show 함수
 * @remarks		2page 이상일때 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerPageBookmark(){
	document.getElementById("helpLayerPageBookmark").style.visibility = "visible";
}

/**
 * @brief			'추천동영상' Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerFeaturedList(){
	document.getElementById("helpLayerFeaturedList").style.visibility = "visible";
}
/**
 * @brief			'추천동영상' Help 영역 show 함수
 * @remarks		컨텐츠 리스트가 2page 이상일 때	
 * @param		
 * @return	 	void
*/
function showHelpLayerPageFeaturedList(){
	document.getElementById("helpLayerPageFeaturedList").style.visibility = "visible";
}
/**
 * @brief		검색어 입력 시 Help 영역 show 함수
 * @remarks		Input창 Focus 시 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerIME(){
	document.getElementById("searchPopupHelpLayer").style.visibility = "visible";
}
/**
 * @brief		Bookmark Popup Help 영역 show 함수
 * @remarks		사용안함 (option popup으로 변경)	
 * @param		
 * @return	 	void
*/
function showHelpListPopup() {
	document.getElementById("helpListPopup").style.visibility = "visible" ;
}
/**
 * @brief			동영상 재생시 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerDetail() {
	TRACE("showHelpLayerDetail()")
	document.getElementById("helpLayerDetail").style.visibility = "visible" ;
}

/**
 * @brief			동영상 정지시 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerDetailStop() {
	TRACE("showHelpLayerDetailStop()");
	document.getElementById("helpLayerDetailStop").style.visibility = "visible" ;
}

/**
 * @brief		'내 보관함' 동영상 재생시 Help 영역 show 함수
 * @remarks		재생화면에서의 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerDetailBookmark() {
	TRACE("showHelpLayerDetailBookmark()");
	document.getElementById("helpLayerDetailBookmark").style.visibility = "visible" ;	
}

/**
 * @brief		'내 보관함' 동영상 정지시 Help 영역 show 함수
 * @remarks		재생화면에서의 Help	
 * @param		
 * @return	 	void
*/
function showHelpLayerDetailBookmarkStop() {
	document.getElementById("helpLayerDetailBookmarkStop").style.visibility = "visible" ;	
}

/**
 * @brief			일반 카테고리의 동영상 재생시 Full화면의 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpFull() {
	document.getElementById("helpFull").style.visibility = "visible" ;
}
/**
 * @brief			'내보관함'의 동영상 재생시 Full화면의 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpFullBookmark() {
	document.getElementById("helpFullBookmark").style.visibility = "visible" ;
}
/**
 * @brief		전체화면 재생시 상단 progress 영역 show 함수	
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpFullProgress(){
	document.getElementById("helpFullProgress").style.visibility = "visible" ;
}
/**
 * @brief			'내검색어' Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerHistoryList() {
	TRACE("helpLayerHistoryList()");
	document.getElementById("helpLayerHistoryList").style.visibility = "visible";	
}
/**
 * @brief		'내검색어' Help 영역 show 함수
 * @remarks		저장된 단어가 없는 경우	
 * @param		
 * @return	 	void
*/
function showHelpLayerHistoryListNoMove() {
	TRACE("helpLayerHistoryListNoMove()");
	document.getElementById("helpLayerHistoryListNoMove").style.visibility = "visible";	
}
/**
 * @brief			'검색' 카테고리의 정렬방식 Help 영역 show 함수
 * @remarks		
 * @param		
 * @return	 	void
*/
function showHelpLayerOrderBy(){
	document.getElementById("helpLayerOrderBy").style.visibility="visible";
}
/**
 * @brief           왼쪽 카테고리 영역의 위쪽 화살표 처리 함수
 * @remarks         왼쪽 카테고리의 항목 개수가 1페이지를 넘기는 경우 2번째 페이지부터 위쪽 화살표를 그린다.
 * @param bShow     true or false
 */
function showUpArrow(bShow) {
	if(bShow)
	{
		document.getElementById('subup').style.visibility= "visible";
	}
	else
	{
		document.getElementById('subup').style.visibility = "hidden";
	}
}

/**
 * @brief           왼쪽 카테고리 영역의 아래쪽 화살표 처리 함수
 * @remarks         왼쪽 카테고리의 항목 개수가 1페이지를 넘기는 경우 1번째 페이지에 아래쪽 화살표를 그린다
 * @param bShow     true or false
 */
function showDownArrow(bShow) {
	if(bShow)
	{
		document.getElementById('subdown').style.visibility = "visible";
	}
	else
	{
		document.getElementById('subdown').style.visibility = "hidden";
	}
	
}

/**
 * @brief			상세화면 UI 구성
 * @remarks		상세정보 화면에서 help 바 구성을 바꾸어 준다.
* @param		void
* @return		void
*/
function showDetail() {
	
	currentView = UCC_DETAIL_VIEW;
	loadingPlayPos();
}

/**
 * @brief			상세화면 빠져나갈 때 UI 구성
 * @remarks		상세정보 화면에서 빠져나갈 때 help 바 구성을 바꾸어 준다.
* @param		void
* @return		void
*/
function exitDetail() {
	currentView = UCC_LIST_VIEW;
	loadingListPos();
}

/**
 * @brief			Widget 데이터 초기화
 * @remarks		포커스 위치 초기화, 이미지 프리로딩 및 스크롤바 변수 초기화
* @param		void
* @return		void
*/
function initData() {
	if ( bH264 ) {
		categoryListXmlURL = resourceCategoryListXML; //h.264용 카테고리리스트의 xml 주소
		if ( bMMSystem ) {
			mp4Pre = "file://UCC:128/";
			mp4Post = ".ucc";
		} else {
			mp4Pre = "";
			mp4Post = "";
		}
	} else {
		categoryListXmlURL = "xml/ucc_category_list.xml"; //카테고리리스트의 xml 주소
		mp4Pre = "";
		mp4Post = "";
	}
    contentsCategoryID = "empty";
    locateFocus = categoryID;
    
    // 스크롤바 데이터 처리
	// Up-arrow X and Y variables
	upL = parseInt(document.getElementById("up").style.left);
	upT = parseInt(document.getElementById("up").style.top);
	// Down-arrow X and Y variables
	downL = parseInt(document.getElementById("down").style.left);
	downT = parseInt(document.getElementById("down").style.top);
	// Scrollbar X and Y variables
	dragL = parseInt(document.getElementById("drag").style.left);
	dragT = parseInt(document.getElementById("drag").style.top);
	// Ruler Y variable
	rulerT = parseInt(document.getElementById("ruler").style.top);
    startY = dragT;
	
	//focusItem1X = "controlButton";
	focusItem1X = "detailDesc";
	focusItemFull = "fullMovieFocusItem";
	bDisconnect = false;
	bErrorCallbak = false;
	
	if ( bMaple ) {
		if ( !Player ) {
			Player = document.getElementById("pluginObjectPlayer");//document.embeds[0];
			TRACE("Player Plugin version :: "+Player.GetPluginInfo(PL_CMN_INFO_VERSION));
		}
	    // watch dog 변수 설정
	    //setWatchDog(document.getElementById("tvApi"));//setWatchDog(document.embeds[1]);		
		setWatchDog();
		favoriteDir = curWidget.id;
		TRACE("favoriteDir = " + favoriteDir);
		initAudioPlugin();  //AudioPlugin 설정 (브라우져별)  
		initPlayerPlugin();	//Player Plugin 설정(플러그인 버전별)
	} else {
		GOOGLE_URL = "http://www.google.com/youtube/accounts/registerDevice";
	}
	
}

function initKeymode() {
	if ( bMaple )
		curWidget.setPreference("keymode", "1" );
}

/**
 * @brief		IME init 함수
 * @remarks		IME 사용하기 위해 설정 및 초기화 
* @param		void
* @return		void
*/
function initIME(imeobj) {
	var inputobj = imeobj.getInputObj();		
	alert("start initializing : "+inputobj.id);
	
	//keypad x,y position
	imeobj.setKeypadPos(670,90);
	imeobj.setWordBoxPos(264,97);
	imeobj.setEnterFunc(onEnter);
	imeobj.setOnCompleteFunc(searchSuggest);
	imeobj.setKeyFunc(tvKey.KEY_UP, display_searchbox_up);
	imeobj.setKeyFunc(tvKey.KEY_DOWN, display_searchbox_down);
}	

/**
 * @brief		debug print 설정 함수
 * @remarks		debug level 설정
* @param		void
* @return		void
*/
function initLog() {
    //checkBrowser4Log(); // 꼭 해주시기 바랍니다.
    setTraceLevel(TRACE_LEVEL.DEBUG); // Log Level을 정해줍니다. Level (DEBUG < INFO < WARN < ERROR < FATAL) 입니다.
}

function initLogin() {
	uccYouTubeID = "";

	if ( bLoginMode )	
		uccYouTubeID = "hohpark";
	if ( uccYouTubeID.length <= 0 )	 {
		bLogin = false;
	} else {
		bLogin = true;
	}
	if ( bLoginMode ) {
		document.getElementById("login").style.visibility = "visible";
		if ( bLogin ) {
			document.getElementById("loginImg").innerHTML = "<img src='img/login_bg_2.png'>";
			document.getElementById("loginID").innerHTML = uccYouTubeID;
		}
	}
}

/**
 * @brief		로그인 함수
 * @remarks		허브사이트에 아이디등록시 
* @param		void
* @return		void
*/
function doLogin() {
    uccNNaviToken = getNNaviToken();
    TRACE("uccNNaviToken = " + uccNNaviToken);
    getInfoFromHubSite(uccNNaviToken);
}

/**
 * @brief		로그인 ID및 아이콘 show 함수
 * @remarks		로그인시 show
* @param		void
* @return		void
*/
function showLoginStatus() {
	if ( bLoginMode ) {
		document.getElementById("login").style.visibility = "visible";
		if ( bLogin ) {
			document.getElementById("loginImg").innerHTML = "<img src='img/login_bg_2.png'>";
			document.getElementById("loginID").innerHTML = uccYouTubeID;
		}
	}
}

/**
 * @brief		widget background Show
 * @remarks		background 와 title, 유튜브BI show 한다.
* @param		void
* @return		void
*/
//function showBackground() {
//	document.getElementById("sub_bg").style.visibility = "visible";
//	document.getElementById("subtitle").style.visibility = "visible";
//	document.getElementById("subline").style.visibility = "visible";		
//	document.getElementById("youtubeBI").style.visibility = "visible";
//}

/**
 * @brief		검색어 search 함수
 * @remarks		Input창에서 Enter시 불리는 callback함수
* @param		str		검색어
* @return		void
*/
function onEnter(str) {	
	if ( !str || str.length == 0 ) {
		TRACE("No search string.");
		return;
	}

	// str 이 최종 사용자가 입력한 문자열
	TRACE("onEnter: "+str);
	// str 가지고 알아서 하세요
	clearGoogleSuggestList();
	hideSearchPopup();
	sendSearch(str);
	createSearchHistoryList(0);
	if(searchHistoryListNum != 0 ) {
		showSearchHistoryScrollBar();	
	}
}

/**
 * @brief			이미지 스크롤바 이동 
 * @remarks		이미지 스크롤바의 절대좌표 지정
* @param		void
* @return		void
*/
function moveTo(){
		document.getElementById("drag").style.top = dragT + "px";
		//document.getElementById("ruler").style.top = dragT + "px";
      	document.getElementById("up").style.display="block";
    	document.getElementById("down").style.display="block";
    	document.getElementById("drag").style.display="block";
    	document.getElementById("ruler").style.display="block";

}

/**
 * @brief			이미지 스크롤바 위치 계산 
 * @remarks		전체 페이지와 현재 페이지 정보를 가지고 스크롤바의 위치를 계산
* @param		void
* @return		void
*/
function scrollBar(){
    if (totalPage == 1)
        dragT = startY;
    else
		dragT = startY + Math.floor((currentPage-1)/(totalPage-1)*(scrollH)) - Math.floor(dragH/2);		
	if(dragT < (rulerT)) {
		dragT = rulerT;		
    }
	if(dragT > (rulerT + scrollH - dragH)) {
		dragT = (rulerT + scrollH - dragH) - 3; // 뒤에12는 버튼 높이 
    }
        
    moveTo();
}

/**
 * @brief			시계 보여주기 : 1분마다 호출하여 현재 시각을 표시
 * @remarks		setTimeout 함수를 1분마다 호출하여 시스템 시각을 가져와 표시한다.
 * @param 		void
 * @return 		void
 */
function showClock() {
    var clockobj=document.getElementById? document.getElementById("digitalClock") : document.all.digitalClock;
    var Digital=new Date();
    var hours=Digital.getHours();
    var minutes=Digital.getMinutes();
    var dn="오전 ";
  
    if (hours==12) dn="오후 ";

    if (hours>12){
        dn="오후 ";
        hours=hours-12;
    }

    if (hours==0) hours=12;

    if (hours.toString().length==1)
        hours="0"+hours;

    if (minutes<=9)
        minutes="0"+minutes;

    if (alternate==0) {
        clockobj.innerHTML=dn + hours+":"+minutes;
    } else {
        clockobj.innerHTML=dn + hours+":"+minutes;
    }

    alternate=(alternate==0)? 1 : 0;
    var clock = setTimeout("showClock()",60000); // 1 분마다 호출
    
} 

// ===================================
//  UCC Player
// ===================================
/**
 * @brief			동영상 Player 상태 버튼 표시
 * @remarks		플레이어의 동작 상태에 따라 play, pause, stop 버튼을 보여준다.
 * @param 		void
 * @return 		void
 */
function changeButton() {
	if ( currentMode == UCC_MODE_1X ) {
		document.getElementById("playButton").style.visibility = "hidden";
		document.getElementById("stopButton").style.visibility = "hidden";
		document.getElementById("pauseButton").style.visibility = "hidden";
		switch ( currentStatus ) {
			case (UCC_PLAY):
				document.getElementById("playButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				hideYoutubePreview();
				break;
			case (UCC_STOP):
				document.getElementById("stopButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_STOP);		//frontPanel 상태표시
				showYoutubePreview();
				break;
			case (UCC_PAUSE):
				document.getElementById("pauseButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				break;
				hideYoutubePreview();
			case (UCC_RESUME):
				document.getElementById("playButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				hideYoutubePreview();
				break;
			case (UCC_RW):
			case (UCC_FF):	
				
			break;
		}
	} else if ( currentMode == UCC_MODE_FULL ) {
		document.getElementById("helpPlayButton").style.visibility = "hidden";
		document.getElementById("helpPauseButton").style.visibility = "hidden";
		switch ( currentStatus ) {
			case (UCC_PLAY):
				document.getElementById("helpPlayButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				break;
			case (UCC_STOP):
				break;
			case (UCC_PAUSE):
				document.getElementById("helpPauseButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				break;
			case (UCC_RESUME):
				document.getElementById("helpPlayButton").style.visibility = "visible";
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				break;
							
			case (UCC_RW):
			case (UCC_FF):	
				
			break;				
		}
	}
	TRACE ( "===== changeButton currentStatus ===== " + currentStatus);
}

function showYoutubePreview() {
	var youtubePreview = document.getElementById("youtubePreview");
	if ( youtubePreview ) {
		youtubePreview.style.visibility = "visible";
	}
}

function hideYoutubePreview() {
	var youtubePreview = document.getElementById("youtubePreview");
	if ( youtubePreview ) {
		youtubePreview.style.visibility = "hidden";
	}
}

/**
 * @brief			동영상 제어
 * @remarks		동영상 보기 화면에서의 Key 입력을 받아 동영상 제어 (stop, pause, resume)
* @param		key		동영상 상태 UCC_PLAY, UCC_STOP, UCC_PAUSE, UCC_RESUME
* @param		url		동영상 URL
* @return		void
*/
function player_inputKey(key, url){
	TRACE("player_inputKey :" + key);
	var nRtn = 0;
	var urlLength =0;
	var strTmp = "";

	if ( !Player )
		Player = document.getElementById("pluginObjectPlayer");//Player = document.embeds[0];
	
	if (Player) {
		switch ( key ) {
			case (UCC_PLAY):
			
			
				if ( url)
					urlLength = url.length;
				if ( urlLength && urlLength > MAXURI_LENGTH ) {
					lastFocusID = focusItem1X; //"controlButton";
					curPopup = POPUP_NOTICE;
					openPopupWithTimer (SID_PLAYER_UNSPPORT_ABBR_10, popupCallback, 5);
					nRtn = 0;
				} else if (urlLength > 0 && urlLength <= MAXURI_LENGTH) {
					
					Player.SetVideoPos(62, 145, 320, 240);	
					setVideoPosInfo(62, 145, 320, 240);//setVideoPosInfo(65, 159, 320, 240);
					url = url.replace(/&amp;/g, "&");
					TRACE(" Player url = " + url);
					
					// 전체시간, 현재시간 초기화 
					initPlayTime();
					bErrorCallbak = false;

								
					nRtn = Player.Play(url);
					
					if(!bShowSelPopup){
						if ( isBookmark() ) {
							hideAllHelpLayer();
							showHelpLayerDetailBookmark();
						} else {
							hideAllHelpLayer();
							showHelpLayerDetail();
						}	
					}					
				} else {
					strTmp = SID_PLAYER_NOURL + "<br>" +SID_PLEASE_TRY_AGAIN_LATER;
					lastFocusID = focusItem1X; //"controlButton";
					curPopup = POPUP_NOTICE;
					openPopupWithTimer (strTmp, popupCallback, 5);
					nRtn = 0;
				}
				break;
				
			case (UCC_STOP):
				PluginObj.setOnScreenSaver();
				endDrawLoading();				
				bOnBuffering = false;
				bDecodeReady = false;	
				gCounter= -100;
				
				nRtn = Player.Stop();
				if ( nRtn )
					setCurTime(0);
				
				if ( isBookmark() ) {
					hideAllHelpLayer();
					showHelpLayerDetailBookmarkStop();
				} else {
					hideAllHelpLayer();
					showHelpLayerDetailStop();
				}				
					
				if ( currentMode == UCC_MODE_FULL ) {
					TRACE("=====Stop in Fulll mode, go back to Normal mode=====");
					currentStatus = UCC_STOP;
					showNormal();
				}
				
				break;
				
			case (UCC_PAUSE):
				if ( bOnBuffering ) {
					TRACE("===== Can't Pause on Buffering ===== ", TRACE_LEVEL.WARN);
					break;
				}
				if(bDecodeReady) {
					nRtn = Player.Pause();	
					PluginObj.setOnScreenSaver();
				}else{
					TRACE("==== Can't Pause before onDecoderReady ===== ", TRACE_LEVEL.WARN);
				}
				
				break;
				
			case (UCC_RESUME):
				nRtn = Player.Resume();
				PluginObj.setOffScreenSaver();
				break;
			case (UCC_RW):
				if ( bOnBuffering ) {
					TRACE("===== Can't RW on Buffering ===== ", TRACE_LEVEL.WARN);
					break;
				}
				if(bJumpBlock){
					TRACE("===== Can't RW old player version ===== ", TRACE_LEVEL.WARN);
					break;
				}
				if( bDecodeReady ) {			//plugin에서 onDecoderReady() 호출하면 true
					if(curSecTime < gJumpTimeValue){		//점프값이 현재 시간보다 작을 경우 현재 시간만큼 점프
						nRtn = Player.JumpBackward(curSecTime);
					}else{
						nRtn = Player.JumpBackward(gJumpTimeValue);	
					}					
					bDecodeReady = false;							
				}else{
					TRACE("==== Can't RW before onDecoderReady ===== ", TRACE_LEVEL.WARN);
				}									
				break;
			case (UCC_FF):
				if ( bOnBuffering ) {
					TRACE("===== Can't FF on Buffering ===== ", TRACE_LEVEL.WARN);
					break;
				}
				if(bJumpBlock){
					TRACE("===== Can't FF old player version ===== ", TRACE_LEVEL.WARN);
					break;
				}
				if( bDecodeReady ) {
					TRACE("curSecTime :: "+curSecTime);
					TRACE("totalSecTime :: "+totalSecTime);
					TRACE("gJumpTimeValue :: "+gJumpTimeValue);
					if(curSecTime > totalSecTime - gJumpTimeValue){
						TRACE("curSecTime > totalSecTime - gJumpTimeValue")
						if(totalSecTime - curSecTime < 5){
							TRACE("remain 5sec");
							return;
						}	
						else{
							var tJumpTimeValue = Math.round((totalSecTime - curSecTime)/2);
							TRACE("tJumpTimeValue :: "+tJumpTimeValue)
							nRtn = Player.JumpForward(tJumpTimeValue);									
						}						
					}else{
						nRtn = Player.JumpForward(gJumpTimeValue);									
					}					
					bDecodeReady = false;
				}else {
					TRACE("==== Can't FF before onDecoderReady ===== ", TRACE_LEVEL.WARN);					
				}										
				break;
			default  : 
	        	return false;
	        break;	
		}		
	}

	if ( playTimer ) {
		TRACE("=====================Clear Timer !! ==========================");
		clearTimeout(playTimer);
	}
	if (bMaple) {
		if ( !bCallFromPlugin )
			showTime();
	}
	
	if ( nRtn == 1 || key==UCC_STOP ) {
			if(key == UCC_RW || key == UCC_FF){
//				currentStatus = key;
			}else{
				currentStatus = key;
				changeButton();		
			}			
	}
	TRACE("===== player_inputKey return Value ===== " + nRtn);
/*	try {
		var h=Player.GetVideoHeight();
		var w=Player.GetVideoWidth();
		document.getElementById("helpResolution").innerHTML = w + 'x' + h;
		
		} catch (e) {
		TRACE("error :: "+e);
	}	
	*/
	return nRtn;
}

function setVideoPosInfo( a_nX, a_nY, a_nW, a_nH ) {
	g_nX = a_nX;
	g_nY = a_nY;
	g_nW = a_nW;
	g_nH = a_nH;
}

function initPlayTime() {
	// 전체시간, 현재시간 초기화 
	totalSecTime = 0;
	curSecTime = 0;
	setTottalTime( totalSecTime );
	setCurTime( curSecTime );
	setCurTimeForce( curSecTime );
}

/**
 * @brief			재생시간 표시 
 * @remarks		동영상의 재생 상태를 현재시간/전체시간 으로 표시한다.
 * @param 		void
 * @return 		void
 */
function showTime(){
	if (Player) {
		totalTime = Math.floor( Player.GetTotalTime() / 1000 );		// msec -> sec
		curTime = Math.floor( Player.GetCurrentTime() / 1000 );	// msec -> sec
	}
	
	chr=3600; //한시간
	cmin=60;  //1분

	hr = parseInt(totalTime/chr); 
	min = parseInt(totalTime%chr/cmin);
	sec = totalTime%chr%cmin; 
	
	if (hr==0)	hr = "0";
	if (min>=0 && min <10) min = "0"+min;
	if (sec>=0 && sec <10) sec = "0"+sec;
	var strTotal = "/ " + hr + ":" +  min + ":" + sec;
	document.getElementById("totTime").innerHTML = strTotal;

	hr = parseInt(curTime/chr); 
	min = parseInt(curTime%chr/cmin);
	sec = curTime%chr%cmin; 
	if (hr==0)	hr = "0";
	if (min>=0 && min <10) min = "0"+min;
	if (sec>=0 && sec <10) sec = "0"+sec;
	var strCurrent = hr + ":" +  min + ":" + sec;
	document.getElementById("curTime").innerHTML = strCurrent;	

	var bEndPlay = false;
	bEndPlay = checkEndPlay(curTime, totalTime);
	
	
	drawProgress(curTime, totalTime);

    playTimer = setTimeout("showTime()",1000); // 1 초마다 호출

	if ( currentView == UCC_LIST_VIEW ) {
		clearTimeout(playTimer);
		return;
	}

	// 플레이 끝나면 다음 플레이 
	if ( bEndPlay || currentStatus==UCC_STOP ) {
		if ( playTimer ) {
			TRACE("====== Clear Timer  in checkEndPlay !! ========");
			clearTimeout(playTimer);
		}
		
		if ( currentMode == UCC_MODE_FULL ) {
			showNormal();
		} else {
			TRACE("======== Play End ========");
//			goNextDetail();
		}
		if ( currentStatus!=UCC_STOP ) {
//			player_inputKey(UCC_STOP, "");
		}
	}
}

/**
 * @brief			Sleep 
 * @remarks		윈도우의 sleep 과 동일 n msec 만큼 대기 
 * @param 		void
 * @return 		void
 */
function sleep(numberMillis) {
	var now = new Date();
	var exitTime = now.getTime() + numberMillis;
	while (true) {
		now = new Date();
		if (now.getTime() > exitTime) {
			return;
		}
	}
}

function checkEndPlay(curTime, totalTime) {
	var bEnd = false;
	var nTimeTh;  // 전체시간 현재시간 차이가 nTimeTh 초 안에 들면 다음 동영상으로 이동 
	if ( bH264 )
		nTimeTh = 0;
	else
		nTimeTh = 0;
		
	if ( totalTime > 0 && curTime > 0 && curTime >= totalTime - nTimeTh ) {
		bEnd = true;
	}	
	return bEnd;
}

var progressWidth = 300;//261;//244; // progress line 길이
/**
 * @brief			동영상 진행 상태 Progress Bar를 그린다.
 * @remarks		전체시간/현재시간을 계산하여 진행상태바 이미지의 width를 지정해준다.
* @param		curTime		현재 플레이 시간 (초)
* @return		totalTime	전체 플레이 시간 (초)
*/
function drawProgress(curTime, totalTime) {
	var length
	if (totalTime==0) {
		length = 0;
	}else {
		length = ( progressWidth * Math.round( curTime/totalTime*1000 )/1000 ) ;	
	}
	document.getElementById("playLine").style.width= length +"px";
	document.getElementById("playLine").style.height="16px";//"4px";
	
	document.getElementById("fullPlayLine").style.width= length +"px";
	document.getElementById("fullPlayLine").style.height="16px";//"4px";
	
}

/**
 * @brief			초를 분과 초로 분리  
 * @remarks		전체 초를 받아서 00 : 00 형식으로 분과 초를 분리한다. 
 * @param 		timesec	변환할 초
 * @return 		strTime		변환된 분:초 
 */
function sec2minTimeTxt( timesec ) {
	var chr=3600; //한시간
	var cmin=60;  //1분
	min = parseInt(timesec/cmin);
	sec = timesec%chr%cmin; 
	
	if (min>=0 && min <10) min = "0"+min;
	if (sec>=0 && sec <10) sec = "0"+sec;
	var strTime = min + ":" + sec;
	return strTime;
}

/**
 * @brief			초를 시:분:초로 분리  
 * @remarks		전체 초를 받아서 00:00:00 형식으로 시, 분과 초를 분리한다. 
 * @param 		timesec	변환할 초
 * @return 		strTime		변환된 시:분:초 
 */
function sec2hrTimeTxt( timesec ) {
	var chr=3600; //한시간
	var cmin=60;  //1분
	hr = parseInt(timesec/chr); 
	min = parseInt(timesec%chr/cmin);
	sec = timesec%chr%cmin; 
	
	if (hr==0)	hr = "0";
	if (min>=0 && min <10) min = "0"+min;
	if (sec>=0 && sec <10) sec = "0"+sec;
	var strTime = hr + ":" +  min + ":" + sec;
	return strTime;
}

/**
 * @brief			동영상 전체보기 모드 
 * @remarks		플레이어를 640 X 480 사이즈로 바꾼뒤 SetVideoPos를 호출하여 재생 위치를 조정한다.
* @param		void
* @return		void
*/
function showFull() {
	if ( currentStatus == UCC_STOP ) {
		TRACE( " Unable to go Full mode when stop, start the movie first! ", TRACE_LEVEL.WARN );
		return;
	}
	
	currentMode = UCC_MODE_FULL;
	lastFocusID = focusItemFull;
	hideYoutubePreview();
	document.getElementById("fullMovie").style.visibility = "visible";

	player_inputKey(UCC_PAUSE, playURL[detailIndex]);
	if (Player)
		Player.ClearScreen();
	
	var playerBox = document.getElementById("uccOutbox");
	var playerObj = document.getElementById("pluginObjectPlayer");	

	if (playerBox) {
		playerBox.style.width = "960px"; //"640px";
		playerBox.style.height = "540px"; //"480px";
		if (playerObj) {
			playerObj.style.width = "960px"; //"640px";
			playerObj.style.height = "540px"; //"480px";
			playerObj.style.top = "0px";
			playerObj.style.left = "0px";			
		}
	}

	if (Player) {
		setTimeout ( "setVideoposFull()", 300 );
	}	

	document.getElementById(focusItemFull).focus();
	currentStatus = UCC_PLAY;
	changeButton();
	
	PluginObj.setOffScreenSaver();

	loadingFullPos();
	if ( playerBox ) {
		playerBox.style.left = "0px"; //"160px";
		playerBox.style.top = "0px"; //"10px";
	}
	showFullHelp();
}

function setChangemodeTimer() {
	if ( bChangeFullLock == true ) {
		TRACE( "Change Lockmode. You should change the Full mode atleast 3secs later");
		return false;
	}

	bChangeFullLock = true;
	if ( changeFullTimer ) {
		clearTimeout(changeFullTimer);
		changeFullTimer = 0;
	}
	changeFullTimer = setTimeout( "unLockChangeFullmode()", 3000 );
	return true;
}

function unLockChangeFullmode() {
	bChangeFullLock = false;	
}

function setDetailinputKeyTimer() {
	if ( bDetailKeyLock == true ) {
		TRACE( "Key Input Lockmode. You should move the page atleast 2secs later");
		return false;
	}

	bDetailKeyLock = true;
	if ( detailKeyTimer ) {
		clearTimeout(detailKeyTimer);
		detailKeyTimer = 0;
	}
	detailKeyTimer = setTimeout( "unLockDetailinputKey()", 2000 );
	return true;
}

function unLockDetailinputKey() {
	bDetailKeyLock = false;	
}

function hideFullHelp() {
	TRACE("hideFullHelp()");
	bFullHelp = false;
	document.getElementById("helpFull").style.visibility = "hidden" ;
	document.getElementById("helpFullBookmark").style.visibility = "hidden" ;
	document.getElementById("helpFullProgress").style.visibility = "hidden" ;
	hideVolumeFull();
}

function showFullHelp() {
	if ( fullhelpTimer ) {
		clearTimeout(fullhelpTimer);
		TRACE ( "===== clear  FullHelp Timer =====");
	}
	if ( isBookmark() ) {
		hideAllHelpLayer();
		showHelpFullProgress();
		showHelpFullBookmark();
	} else {
		hideAllHelpLayer();
		showHelpFullProgress();
		showHelpFull();		
	}
	bFullHelp = true;
//	showVolume();
	if(getMute() == 1){
		showVolume();
	}
	fullhelpTimer = setTimeout ( "hideFullHelp()", 5000 );		
}

/**
 * @brief			동영상 기본보기 모드
 * @remarks		플레이어를 320 X 240 사이즈로 바꾼뒤 SetVideoPos를 호출하여 재생 위치를 조정한다.
* @param		void
* @return		void
*/
function showNormal() {
	alert("showNormal()")
	currentMode = UCC_MODE_1X;
	lastFocusID = focusItem1X;
	document.getElementById("fullMovie").style.visibility = "hidden";
	document.getElementById(focusItem1X).focus();
	player_inputKey(UCC_PAUSE, playURL[detailIndex]);
	if (Player)
		Player.ClearScreen();
	
	var playerBox = document.getElementById("uccOutbox");
	var playerObj = document.getElementById("pluginObjectPlayer");	

	if (playerBox) {
		playerBox.style.width = "334px";
		playerBox.style.height = "249px";
		if (playerObj) {
			playerObj.style.width = "320px";
			playerObj.style.height = "240px";
			playerObj.style.top = "5px";
			playerObj.style.left = "7px";			
		}
	}
		
	if (Player) {
//		if ( !bH264 )
			setTimeout ( "setVideoposNormal()", 300 );
//		else
//			setVideoposNormal();
	}	
	currentStatus = UCC_PLAY;
	changeButton();	
	PluginObj.setOffScreenSaver();
	if ( getMute() == 1 ) {
		showVolume();
	} else {
		hideVolume();
	}

	loadingPlayPos();
	if ( playerBox ) {
		playerBox.style.left = "56px";//63
		playerBox.style.top = "136px";//156
		TRACE("showNormal :: "+playerBox.style.left+"  "+playerBox.style.top)
	}
	
}

function getDisplayRatio() {
	var dRatio = 0;
	var nHeight = Player.GetVideoH();
	var nWidth = Player.GetVideoW();
	
	if ( nHeight == 0 ) {
		dRatio = 0;
	} else {
		dRatio = Math.floor( nWidth/nHeight*100 )/100 ;
	}
	TRACE("====== Video Size ========" + nWidth + " X " + nHeight);
	TRACE("====== Video Ratio ========" + dRatio);
	g_dRatio = dRatio;
	return dRatio;
}

function setVideoposFull() {
	var dRatio = getDisplayRatio();

	if ( bAutoRatio ) {
		setVideoPosInfo(0, 0, 960, 540);
		setVideoposAuto();
	} else {
		if ( dRatio <= 1.33 ) {
			TRACE( "dRatio 3:2= " + dRatio);
			Player.SetVideoPos(120, 0, 720, 540);
			setVideoPosInfo(120, 0, 720, 540);
		} else {
			TRACE( "dRatio Full= " + dRatio);		
			Player.SetVideoPos(0, 0, 960, 540);
			setVideoPosInfo(0, 0, 960, 540);
		}
	}
}

function setVideoposNormal() {
	if ( bAutoRatio ) {
		setVideoPosInfo(62, 145, 320, 240);//setVideoPosInfo(65, 159, 320, 240);
		setVideoposAuto();
	} else {
		Player.SetVideoPos(62, 145, 320, 240);
		setVideoPosInfo(62, 145, 320, 240);
	}
}

function setVideoposAuto() {
	TRACE("setVideoposAuto()");
	if( !bMaple )
		return 0;
	var WIDE_RATIO = 1.78;
	var NORMAL_RATIO = 1.33;
	getDisplayRatio();

	// Normal Size
	if ( g_nW > 0 && g_nW <= 320 ) {
		if ( g_dRatio <= 1.33 ) {
			TRACE( "g_dRatio 3:2= " + g_dRatio);
			Player.SetVideoPos(g_nX, g_nY, g_nW, g_nH);
		} else {
			TRACE( "g_dRatio Full= " + g_dRatio);		
			if ( g_dRatio > WIDE_RATIO ) {
				g_dRatio = WIDE_RATIO;
			}
			var nNewHeight = Math.floor(g_nW / g_dRatio);
			var nNewY = g_nY + Math.floor( (g_nH - nNewHeight) / 2 );
			TRACE( "x = " +  g_nX + " y = " + nNewY + " width = " + g_nW + " height = " + nNewHeight);
			Player.SetVideoPos(g_nX, nNewY, g_nW, nNewHeight);
		}
	} else if ( g_nW  > 320 && g_nW <= 960 ) { // Full size
		if ( g_dRatio <= 1.33 ) {
			TRACE( "g_dRatio 3:2= " + g_dRatio);
			var nNewWidth = Math.floor(g_nH * NORMAL_RATIO);
			var nNewX = g_nX + Math.floor( (g_nW - nNewWidth) / 2 );
			TRACE( "x = " +  nNewX + " y = " + g_nY + " width = " + nNewWidth + " height = " + g_nH);
			Player.SetVideoPos(nNewX, g_nY, nNewWidth, g_nH);
		} else {
			TRACE( "g_dRatio Full= " + g_dRatio);		
			Player.SetVideoPos(g_nX, g_nY, g_nW, g_nH);
		}		
	}
}

/**
 * @brief			동영상 전체보기 모드에서 키 입력 받음
 * @remarks		ESC와 Enter키를 받으면 기본보기 모드로 복귀한다.
* @param		void
* @return		void
*/
function fullmode_inputkey(obj) {
//    var ie = (document.all) ? 1:0	
//    if (ie) { var EKC = event.keyCode;}
	var EKC = event.keyCode;
	CommonLib.keyHandler(EKC,popupCallback);		
		
    switch (EKC) {   

		case 108://RED
		case 1219://KEY_3D
			Screen.changeMode();
			alert('3D4');
			break;

		// SERIE D FIX
		case tvKey.KEY_BLUE:
            if (Screen.getModeD()>=2)
                Screen.changeModeD(0);
			else
				Screen.changeModeD(Screen.getModeD()+1);
            break;
			
//        case (27) : 	//ESC
        case (tvKey.KEY_RETURN) : 	// ESC   
        case (tvKey.KEY_PANEL_MENU): // 패널 키 ESC
//        	if(bMaple ) return false;     
	        blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
			if ( setChangemodeTimer() == false ) return false;
			if(currentStatus == UCC_PAUSE){			
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시	
			}						
			showNormal();
       		break;
//        case (13) : 		//Enter
        case (tvKey.KEY_ENTER) : //Enter                
        case (tvKey.KEY_PANEL_ENTER) : 	// 패널 키 Enter
        case (tvKey.KEY_PANEL_SOURCE) : 	// 패널 키 Source
        	if(bMaple && EKC==13) return false;
			if ( setChangemodeTimer() == false ) return false;
//	        blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다
			if(currentStatus == UCC_PAUSE){			
				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시	
			}			
			showNormal();
       		break;
			
//        case (33) :    //Page Up
//        case(0):
		case (tvKey.KEY_REWIND_):
        case (tvKey.KEY_RW) :
			if(bMaple && EKC==33) return false;
		    showFullHelp();
			var uccURL;
			if ( bH264 && playURL264[detailIndex].length ) {
				uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
			} else {
				uccURL = playURL[detailIndex];
			}	
			player_inputKey(UCC_RW,"");
			break;		
			
//        case (34) :    //Page Down
//        case (1078):
		case (tvKey.KEY_FF_):
        case (tvKey.KEY_FF) :	  //Page Down
        	if(bMaple && EKC==34) return false;
		    showFullHelp();
			var uccURL;
			if ( bH264 && playURL264[detailIndex].length ) {
				uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
			} else {
				uccURL = playURL[detailIndex];
			}
			player_inputKey(UCC_FF,"");
			break;

		case(tvKey.KEY_PLAY) : // Play Button
			showFullHelp();
//			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
			var uccURL;			
			if ( bH264 && playURL264[detailIndex].length ) {
				uccURL = mp4Pre + playURL264[detailIndex] + mp4Post;
			} else {
				uccURL = playURL[detailIndex];
			}
			if ( currentStatus ==  UCC_STOP ) {
				player_inputKey(UCC_PLAY, uccURL);
				TRACE("=== Play ===");
			}
			else if ( currentStatus == UCC_PAUSE) {
				player_inputKey(UCC_RESUME, uccURL);
				TRACE("=== Resume ===");
			}
			break;

		case(tvKey.KEY_PAUSE) : // Pause Button
			showFullHelp();
//			if ( currentStatus == UCC_PLAY || currentStatus == UCC_RESUME ) {
			if ( currentStatus == UCC_PLAY || currentStatus == UCC_RESUME) {
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				player_inputKey(UCC_PAUSE, uccURL);
			}
			break;
		case(tvKey.KEY_D_FRONT_PLAY):
			showFullHelp();
			if(currentStatus == UCC_PLAY || currentStatus == UCC_RESUME){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PAUSE);		//frontPanel 상태표시
				player_inputKey(UCC_PAUSE, uccURL);
			}else if(currentStatus == UCC_PAUSE){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				player_inputKey(UCC_RESUME, g_uccURL);
			}else if(currentStatus == UCC_STOP){
//				if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//					FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_PLAY);		//frontPanel 상태표시
				player_inputKey(UCC_PLAY,g_uccURL);
			}
			break;				
		case(tvKey.KEY_STOP) : // Stop Button
			//showFullHelp();
//			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
//				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_STOP);			//frontPanel 상태표시
			player_inputKey(UCC_STOP, "");
			break;
				
//		case (120) : //F9 PC
		case (tvKey.KEY_GREEN) : // 간편메뉴 TV
        	if(bMaple && EKC==120) return false; 		
//			createSelectBookmark();
			if(bLogin) {
				createSelectBookmark();	
			}else {
				addTvBookmark();
			}
			break;	
//		case (120) : //F9 PC
		case (tvKey.KEY_TOOLS) : 	// 간편메뉴 TV
        	if(bMaple && EKC==120) return false; 		
//				createSettingMenu();
				if(bDecodeReady){					
					if(CM_AVSetting){
						if(!CM_AVSetting.bBDPlayer){
							hideAllHelpLayer();	
						}						
						CM_AVSetting.showMenuPopup();
					}						
				}
			break;		
			
		case(tvKey.KEY_INFO) : //정보표시	
			if(bMaple && EKC==120) return false; 		
			
			bFullHelp = !bFullHelp;	
			if(bFullHelp) {
				showFullHelp();
			} else {
				hideFullHelp();
			}
			break;	
			
		case (tvKey.KEY_VOL_UP): 	// 볼륨업
			showFullHelp();
			upVolume();
			break;
		case (tvKey.KEY_VOL_DOWN):	// 볼륨다운
			showFullHelp();
			downVolume();
			break;
		case (tvKey.KEY_MUTE):	// Mute 버튼
			showFullHelp();
			setMute();
			break;

//		case (38) : 			//Up 화살표....
		case (tvKey.KEY_UP) : 	//Up 화살표.... 
		case (tvKey.KEY_PANEL_CH_UP) :			// 패털키 UP
			if(bMaple && EKC==38) return false;
				//showFullHelp();
		       	break;
		        
//		case (40) : 		//down 화살표...
		case (tvKey.KEY_DOWN) : //down 화살표... 
		case (tvKey.KEY_PANEL_CH_DOWN):		// 패널키 Down 
		       	if(bMaple && EKC==40) return false;
				//showFullHelp();
		       	break;
		        
//		case (37) : 		//Left 화살표...
//		case (29459) : //Left 화살표...                
		case (tvKey.KEY_LEFT) :
		case (tvKey.KEY_PANEL_VOL_DOWN): 		// 패널 키 Left
			if(bMaple && EKC==37) return false;
				//showFullHelp();
		       	break;
		        
//		case (39) : 		//Right 화살표...
//		case (29458) : //Right 화살표...                
		case (tvKey.KEY_RIGHT):     
		case (tvKey.KEY_PANEL_VOL_DOWN) : 	// 패널키 Right   
			if(bMaple && EKC==39) return false;
				//showFullHelp();
		       	break;			
				
        default  : 
			
        	return false;
        break;
    }	
}
// ===================================
// 북마크
// ===================================
/**
 * @brief		tv bookmark 파일 확인.
 * @remarks		bookmark.xml이 존재하는지 확인한다. 없는 경우 resetBookmarkFile()호출
 * @return 		void
*/
function checkBookmarkFile() {
    TRACE("checkBookmarkFile");
    //관심종목 파일을 삭제한다.
	if ( !bMaple )
		return;
	var fs = new FileSystem();
    if (fs.isValidCommonPath(favoriteDir+"/"+favoriteFile) != 0) { // 파일이 존재함
		return;
    } else { // 파일이 존재하지 않음
		resetBookmarkFile();
	}
}

/**
 * @brief		tv Bookmark 항목 초기화
 * @remarks		tvBookmark.xml을 초기화한다.
 * @return 		void
*/
function resetBookmarkFile() {
    TRACE("resetBookmarkFile");
    //북마크 파일을 삭제한다.
	var fs = new FileSystem();
	if ( !favoriteDir || favoriteDir.length == 0 ) {
		TRACE("Can't find Favorite Dir!", TRACE_LEVEL.ERROR);
		return;
	}
    if (fs.isValidCommonPath(favoriteDir+"/"+favoriteFile) != 0) {
        fs.deleteCommonFile(favoriteDir+"/"+favoriteFile);
    }
	fs.createCommonDir(favoriteDir);
	var fp = fs.openCommonFile(favoriteDir+"/"+favoriteFile, "w");
	
	if(fp) {		// returns true-false
    	fp.writeAll(initBookmarkXML);
		fs.closeFile(fp);					// closes file
		TRACE("Setting Bookmark File Write Success!!!");
	} else {
		TRACE("Setting Bookmark File Write Fail!!!", TRACE_LEVEL.ERROR);
    }	
}

/**
 * @brief		tv Bookmark 항목	load
 * @remarks		tvBookmark.xml을 읽어온다.
 * @return 		void
*/
function readBookmarkFile() {
    TRACE("readBookmarkFile");
	var strBookmark = "";
    //file system 생성
	var fs = new FileSystem();
    
    //favoriteCode file이 있는지 체크
    if (fs.isValidCommonPath(favoriteDir+"/"+favoriteFile) == 0) {
        TRACE("Bookmark File is not Found!!!", TRACE_LEVEL.ERROR);
        return false;
    } else {
    	var fp = fs.openCommonFile(favoriteDir+"/"+favoriteFile, "r");
        if(fp) {		// returns true-false
        	strBookmark = fp.readAll();
            fs.closeFile(fp);					// closes file
        }
    }
	return strBookmark;
}

/**
 * @brief		online 북마크에 대한 XML 추가
 * @remarks		YouTube site의 즐겨찾기에 현재 선택한 동영상의 데이터를 추가한다.
 * @param 		void
 * @return 		void
*/
function onAddBookmark() {
	// YouTube RSS
	var strXHRObject = "xmlHttpBookmark";
	bTvBookmark = false;
	if(checkReadyStateBookmarkAdd(xmlHttpBookmark, strXHRObject)) {
		TRACE("onAddBookmark()");
		// Login 모드 
		var sendMsg;
		var tmpLang;
//		var newTitleText = contentsList[detailIndex];		
			
		var newTitleText = contentsObj.contentsList;
		TRACE("################ :: "+newTitleText)
		if (newTitleText) {
			if ( currentMode == UCC_MODE_1X )
				lastFocusID = focusItem1X; //"controlButton";				
			else
				lastFocusID = focusItemFull; //"fullMovieFocusItem";
			curPopup = POPUP_NOTICE;
			sendMsg = '"' + strlength_cut(34, newTitleText) + '"';
			tmpLang = SID__MIX_BOOKMARK_ADDED;
			tmpLang = tmpLang.replace("[xxxxx]", sendMsg);

			openPopupWithTimer(tmpLang, popupCallback, 5);
		}		
	}
}

/**
 * @brief		Tv 북마크에 대한 XML 추가
 * @remarks		bookmark.xml을 읽어와 dom으로 변환한 뒤 첫번째 item 을 생성, 현재 선택한 동영상의 XML 데이터를 추가한다.
 * @param 		void
 * @return 		void
*/
function onAddTvBookmark(){
	// YouTube RSS
	var strXHRObject = "xmlHttpBookmark";
	bTvBookmark = true;
	if (checkReadyStateBookmarkAdd(xmlHttpBookmark, strXHRObject)) {
	TRACE("onAddTvBookmark() :: "+bRelated);
	if ( bMaple ) {
			var doc;
			var parser;
			var strBookmark = "";

			strBookmark = readBookmarkFile();
			if ( bookmarkParser == null )
				bookmarkParser = new DOMParser();
			doc = bookmarkParser.parseFromString(strBookmark,"text/xml");
			TRACE("parseFromString doc =" +doc);
		}

		var response = doc.documentElement;
		if ( !response ) {
			stopLoadingonList();
			curPopup = POPUP_NOTICE;			
			openPopupWithTimer (SID_ERRMSG_XML, popupCallback, 5);
			return;
		}			
		var channelNode 	= response.getElementsByTagName("channel");
		var newItemNode = doc.createElement("item");
		var newTitle = doc.createElement("title");
		var newTitleText;
		var newDescText;
		var newDateText;
		var newDateUpdateText;
		var newGuidText;
		var newKeywordsText;

		newTitleText = doc.createCDATASection(contentsObj.contentsList);
		newDescText = doc.createCDATASection(contentsObj.description);
		newDateText = doc.createTextNode(contentsObj.contentsTime);
		newDateUpdateText = doc.createTextNode(contentsObj.contentsTimeUpdate);
		newGuidText = doc.createTextNode(contentsObj.videoGuid);
		newKeywordsText = doc.createCDATASection( contentsObj.keyWords);
		
		var newDesc = doc.createElement("description");		
		var newDate = doc.createElement("pubDate");		
		var newDateUpdate = doc.createElement("atom:updated");		
		var newGuid = doc.createElement("guid");		
		var newURL = doc.createElement("media:player");
		var newURL264 = doc.createElement("media:content");
		var newImg = doc.createElement("media:thumbnail");
		var newKeywords = doc.createElement("media:keywords");
		
		var newStatistics = doc.createElement("yt:statistics");
		var newRating = doc.createElement("gd:rating");
//			alert("channelNode length = " + channelNode.length);

		bookmarkRoot = response;
//			var itemList = bookmarkRoot.getElementsByTagName("item");
		var itemList = response.getElementsByTagName("item");
		TRACE("itemList before add = " + itemList.length);

		var sendMsg;
		if (channelNode.length) {			
			// 타이틀
			newTitle.appendChild(newTitleText);
			newItemNode.appendChild(newTitle);
//			alert(newTitle.firstChild.data);
			// 상세정보
			newDesc.appendChild(newDescText);
			newItemNode.appendChild(newDesc);
//			alert(newDesc.firstChild.data);
			// Video ID 정보
			newGuid.appendChild(newGuidText);
			newItemNode.appendChild(newGuid);
			// 날짜정보 for 영문 
			newDate.appendChild(newDateText);
			newItemNode.appendChild(newDate);
			// 날짜정보 for 한글 
			newDateUpdate.appendChild(newDateUpdateText);
			newItemNode.appendChild(newDateUpdate);
//			alert(newDate.firstChild.data);
			// 동영상 URL
			newURL.setAttribute("url", contentsObj.playURL);	
		
			newItemNode.appendChild(newURL);		
//			alert(newURL.getAttribute('url'));
			// h.264 동영상 URL

			if ( contentsObj.playURL264 && contentsObj.playURL264.length ) {
				newURL264.setAttribute("url", contentsObj.playURL264);
				newURL264.setAttribute("type", contentsObj.playerType);
				newURL264.setAttribute("duration", contentsObj.duration);										
			}	

			newItemNode.appendChild(newURL264);		
			TRACE(newURL264.getAttribute('url'));
			
			// 썸네일 URL
			newImg.setAttribute("url", contentsObj.contentsImg);

			newItemNode.appendChild(newImg);		
//			alert(newImg.getAttribute('url'));
			// 키워드 
			newKeywords.appendChild(newKeywordsText);
			newItemNode.appendChild(newKeywords);
			// 조회수
			newStatistics.setAttribute("viewCount", contentsObj.viewcount);	

			newItemNode.appendChild(newStatistics);	
			// 평점
			if(!bRelated){
				newRating.setAttribute("average", contentsObj.average);	
			}else {
				newRating.setAttribute("average", contentsObj.relAverage);	
			}			
			newItemNode.appendChild(newRating);	

			var bWritable = 0;
			if (itemList.length){
				bWritable = checkExistBookmark(itemList, contentsObj.playURL);
			}				
				
			TRACE("bWritable? " + bWritable);
			if ( bWritable == FULL_BOOKMARK) {
				if ( currentMode == UCC_MODE_1X )
					lastFocusID = focusItem1X;
				else
					lastFocusID = focusItemFull;
				curPopup = POPUP_NOTICE;
				sendMsg = SID_TVBOOKMARK_FULL;		//저장 공간 부족으로 TV 보관함에 추가할 수 없습니다. <br>TV 보관함을 정리한 후 추가하세요.
				openPopupWithTimer (sendMsg, popupCallback, 5);
				return;
			}
				
			itemList = response.getElementsByTagName("item");
			if (itemList.length) {
					itemList[0].parentNode.insertBefore(newItemNode,itemList[0]);
			} else {
				channelNode[0].appendChild(newItemNode);
			}
		}

		response = doc.documentElement;
		if ( !response ) {
			stopLoadingonList();
			curPopup = POPUP_NOTICE;			
			openPopupWithTimer (SID_ERRMSG_XML, popupCallback, 5);
			return;
		}			
		itemList = response.getElementsByTagName("item");
		TRACE("itemList after add= " + itemList.length);
		
		bookmarkXML = "<?xml version='1.0' encoding='utf-8'?>";
		makeXMLText(response);
		if (bMaple)
			writeBookmark();
		if (newTitle) {
			if ( currentMode == UCC_MODE_1X )
				lastFocusID = focusItem1X; //"controlButton";				
			else
				lastFocusID = focusItemFull; //"fullMovieFocusItem";
			curPopup = POPUP_NOTICE;
			
			if(bWritable == ADD_BOOKMARK){
				sendMsg = '"' + strlength_cut(34, newTitle.firstChild.data) + '"';			
				var tmpLang = SID_MIX_TVBOOKMARK_ADD;
				tmpLang = tmpLang.replace("[xxxxx]", sendMsg);				
				openPopupWithTimer(tmpLang, popupCallback, 5);	
			}else if(bWritable == EXIST_BOOKMARK){
				openPopupWithTimer(SID_ALREADY_ADDED_TO_TV_LIBRARY, popupCallback, 5);	
			}
		}
	}		
}
/**
 * @brief		즐겨찾기 기능
 * @remarks	현재 등록되어 있는 북마크와 대조하여 중복되는 내용이면 기존것을 삭제
 * 검사 대상은 동영상 URL
 * 북마크 저장 가능 최대 갯수를 넘어가면 마지막 항목을 삭제
 * 
 * @param 	itemNode		북마크 item 항목 노드 
 * @param 	movieURL		동영상 url
 * @return	boolean		북마크 노드가 꽉찼으면 false, otherwise true
 */
function checkExistBookmark(itemNode, movieURL) {
	if (itemNode) {
		var bookmarkURL;		
		for( var i=0; i<itemNode.length; i++) {
			// 동영상 URL
			var tmpPlayUrl = itemNode[i].getElementsByTagName("media:player");
		
            if (tmpPlayUrl.length) {
        		bookmarkURL = tmpPlayUrl[0].getAttribute('url');
				alert("====== bookmarkURL ======= :: "+bookmarkURL+" ======== movieURL ======== :: "+movieURL)
				// 북마크 저장 최대 갯수를 넘어가면 마지막 항목을 삭제
				if (itemNode.length >= UCC_MAX_BOOKMARK) {
					return FULL_BOOKMARK;
				}
				// 이미 bookmark에 존재 하면 이전것은 삭제				
				if ( bookmarkURL == movieURL ) { 
					itemNode[0].parentNode.removeChild(itemNode[i]);
					TRACE("duplicated node deleted!!");
					return EXIST_BOOKMARK;
				}
            }
		}
	}
	return ADD_BOOKMARK;
}

/**
 * @brief			XML Dom to Text 
 * @remarks		파라미터로 XML node를 받아 자신과 그 하위의 element, attribute, cdata, text 노드를 텍스트로 변환한다.
 * @param		node		top XML node to convert
 * @return	 	void
*/
function makeXMLText(node) {
	var nodeName;
	var nodeType;
	if (node) {
		do {
			nodeType = node.nodeType;
			nodeName = node.nodeName;
//			alert(nodeType);
//			alert(nodeName);
			if (nodeType == 1) {//element node
				bookmarkXML += "<" + nodeName;
				for (i=0; i<node.attributes.length; i++) {
//					alert(node.attributes[i].name);
					bookmarkXML += " " + node.attributes[i].name + "=";
					bookmarkXML += "\"" + node.attributes[i].value + "\"";
				}
				bookmarkXML += ">";
			}
			else if (nodeType == 3) //text node
				bookmarkXML += node.nodeValue;
			else if (nodeType == 4) {//CDATA node
				bookmarkXML += "<![CDATA[";
				bookmarkXML += node.data + "]]>";
			}
			if (node.hasChildNodes()) {
				makeXMLText(node.firstChild);
			}
			if (nodeType ==1) //element node
				bookmarkXML += "</" + nodeName + ">";
			node = node.nextSibling;
		} while(node)
	}
}

/**
 * @brief			bookmark 저장 
 * @remarks		파일에 xml 타입으로 저장
 * @param		void
 * @return	 	void
*/
function writeBookmark() {
    TRACE("writeBookmark()");
	var fs = new FileSystem();

	offWatchDog();
    if (fs.isValidCommonPath(favoriteDir) == 0) {
        TRACE("Common Directory is not Found!!!", TRACE_LEVEL.ERROR)
        fs.createCommonDir(favoriteDir);
    }
	
	var fp = fs.openCommonFile(favoriteDir+"/"+favoriteFile, "w");
	
	if(fp) {		// returns true-false
    	var strBookmarkXML = fp.writeAll(bookmarkXML);
		TRACE(strBookmarkXML);
		fs.closeFile(fp);					// closes file
		TRACE("Bookmark File Write Success!!!");
	} else {
		TRACE("Bookmark File Write Fail!!!", TRACE_LEVEL.ERROR);
    }	
	onWatchDog();
}

/**
 * @brief		online	bookmark 추가
 * @remarks		YouTube site의 즐겨찾기를 읽어와서 현재 보는 contents의 데이터를 추가한다.
 * @param		void
 * @return	 	void
*/
function addBookmark() {
	var callUrl = "";

	// code for Mozilla, etc.
	if (window.XMLHttpRequest) 	{
		if ( xmlHttpBookmark == null )
			xmlHttpBookmark = new XMLHttpRequest();
//		else{
//			xmlHttpBookmark.destroy();
//			xmlHttpBookmark = new XMLHttpRequest();
//		}		
  	}
	// code for IE
	else if (window.ActiveXObject) {
		if ( xmlHttpBookmark == null )
	  		xmlHttpBookmark = new ActiveXObject("Microsoft.XMLHTTP")
  	}

    var url = YOUTUBE_API_FAVORITE;
    var auth = "GoogleLogin auth="+'"'+ uccYouTubeToken +'"';
    TRACE("bRelated :: "+bRelated);
	var param = addBookmarkXML1 + getVideoID(contentsObj.videoGuid) + addBookmarkXML2;	

//	TRACE("param = " + param);
	
	if ( xmlHttpBookmark != null ) {
		xmlHttpBookmark.onreadystatechange=onAddBookmark;
	    xmlHttpBookmark.open("POST",url,true);

	    xmlHttpBookmark.setRequestHeader("Content-type", "application/atom+xml");
//	    xmlHttpBookmark.setRequestHeader("Content-length", param.length);
	    xmlHttpBookmark.setRequestHeader("Authorization", auth);
	    xmlHttpBookmark.setRequestHeader("X-GData-Client", YOUTUBE_CLIENT_ID);
	    xmlHttpBookmark.setRequestHeader("X-GData-Key", "key="+g_devkey);
	    xmlHttpBookmark.send(param);
	}
}

/**
 * @brief		TV bookmark 추가
 * @remarks		XML 타입의 bookmark.xml을 읽어와서 현재 보는 contents의 데이터를 추가한다.
 * @param		void
 * @return	 	void
*/
function addTvBookmark(){
	var callUrl = "";

	// code for Mozilla, etc.
	if (window.XMLHttpRequest) 	{
		if ( xmlHttpBookmark == null )
			xmlHttpBookmark = new XMLHttpRequest();
		else{
			xmlHttpBookmark.destroy();
			xmlHttpBookmark = new XMLHttpRequest();
		}		
  	}
	// code for IE
	else if (window.ActiveXObject) {
		if ( xmlHttpBookmark == null )
	  		xmlHttpBookmark = new ActiveXObject("Microsoft.XMLHTTP")
  	}
	callUrl = bookmarkXmlURL;
	// code for Mozilla, etc.
	if ( xmlHttpBookmark != null ) {
        //받아오는 XML이 어떠한 정보에 관한건지를 판단하여 호출하는 함수를 다르게 함
		xmlHttpBookmark.onreadystatechange=onAddTvBookmark;
  		xmlHttpBookmark.open("GET",callUrl,true);
  		xmlHttpBookmark.send(null);
  	}	
}
/**
 * @brief		online bookmark 삭제
 * @remarks		YouTube site의 선택한 즐겨찾기 항목을 삭제하는 onDeleteBookmark 호출
 * @param		void
 * @return	 	void
*/
function deleteBookmark() {	
	TRACE("deleteBookmark()")
	// code for Mozilla, etc.
	if (window.XMLHttpRequest) 	{
		if ( xmlHttpBookmark == null )
			xmlHttpBookmark = new XMLHttpRequest();
  	}
	// code for IE
	else if (window.ActiveXObject) {
		if ( xmlHttpBookmark == null )
	  		xmlHttpBookmark = new ActiveXObject("Microsoft.XMLHTTP")
  	}
	
    var url = "";
    var auth = "GoogleLogin auth="+'"' + uccYouTubeToken + '"';
	
	if ( xmlHttpBookmark != null ) {
		startLoadingonList();
		if ( bDeleteAll ) {					//북마크 전체 삭제
			url = "http://gdata.youtube.com/feeds/users/" + uccYouTubeID + "/favorites/"+ getVideoID( videoGuid[gDelBookmarkIndex] );
//			TRACE("url = " + url);

			xmlHttpBookmark.onreadystatechange=onDeleteBookmark;
			xmlHttpBookmark.open("POST",url,true);

		    xmlHttpBookmark.setRequestHeader("Content-type", "application/atom+xml");
		    xmlHttpBookmark.setRequestHeader("X-HTTP-Method-Override", "DELETE");
		    xmlHttpBookmark.setRequestHeader("Authorization", auth);

		    xmlHttpBookmark.setRequestHeader("Content-length", 0);
		    xmlHttpBookmark.setRequestHeader("X-GData-Client", YOUTUBE_CLIENT_ID);

		    xmlHttpBookmark.setRequestHeader("X-GData-Key", "key="+g_devkey);
		    xmlHttpBookmark.send(null);					
		} else if (checkListCnt != 0 ){			//선택 삭제
			url = "http://gdata.youtube.com/feeds/users/" + uccYouTubeID + "/favorites/"+ getVideoID( videoGuid[checkPlayList[gDelBookmarkIndex]-1] );
//			TRACE("url = " + url);
			
			xmlHttpBookmark.onreadystatechange=onDeleteBookmark;
			xmlHttpBookmark.open("POST",url,true);
		
		    xmlHttpBookmark.setRequestHeader("Content-type", "application/atom+xml");
		    xmlHttpBookmark.setRequestHeader("X-HTTP-Method-Override", "DELETE");
		    xmlHttpBookmark.setRequestHeader("Authorization", auth);
			
		    xmlHttpBookmark.setRequestHeader("Content-length", 0);
		    xmlHttpBookmark.setRequestHeader("X-GData-Client", YOUTUBE_CLIENT_ID);
			
		    xmlHttpBookmark.setRequestHeader("X-GData-Key", "key="+g_devkey);
		    xmlHttpBookmark.send(null);						
		} else {								//삭제
			url = "http://gdata.youtube.com/feeds/users/" + uccYouTubeID + "/favorites/"+ getVideoID( videoGuid[lastContentsIndex - 1] );
//			TRACE("url = " + url);
			
			xmlHttpBookmark.onreadystatechange=onDeleteBookmark;
			xmlHttpBookmark.open("POST",url,true);
		
		    xmlHttpBookmark.setRequestHeader("Content-type", "application/atom+xml");
		    xmlHttpBookmark.setRequestHeader("X-HTTP-Method-Override", "DELETE");
		    xmlHttpBookmark.setRequestHeader("Authorization", auth);
		    xmlHttpBookmark.setRequestHeader("Content-length", 0);
		    xmlHttpBookmark.setRequestHeader("X-GData-Client", YOUTUBE_CLIENT_ID);
		    xmlHttpBookmark.setRequestHeader("X-GData-Key", "key="+g_devkey);
		    xmlHttpBookmark.send(null);
		}
	}
}

/**
 * @brief		TV bookmark 삭제
 * @remarks		XML 타입의 bookmark.xml의 선택한 항목을 삭제하는 onDeleteTvBookmark 호출
 * @param		void
 * @return	 	void
*/
function deleteTvBookmark(){
	// code for Mozilla, etc.
	if (window.XMLHttpRequest) 	{
		if ( xmlHttpBookmark == null )
			xmlHttpBookmark = new XMLHttpRequest();
  	}
	// code for IE
	else if (window.ActiveXObject) {
		if ( xmlHttpBookmark == null )
	  		xmlHttpBookmark = new ActiveXObject("Microsoft.XMLHTTP")
  	}
	
	if ( xmlHttpBookmark != null ) {
	        //받아오는 XML이 어떠한 정보에 관한건지를 판단하여 호출하는 함수를 다르게 함
			xmlHttpBookmark.onreadystatechange=onDeleteTvBookmark;
	  		xmlHttpBookmark.open("GET",bookmarkXmlURL,true);
	  		xmlHttpBookmark.send(null);
	}	
}
/**
 * @brief			bookmark 삭제
 * @remarks		팝업창에서 선택한 항목 bDeleteAll 에 따라서 전체 혹은 선택한 항목만 삭제함
 * @param		void
 * @return	 	void
*/
function onDeleteBookmark() {
	var strXHRObject = "xmlHttpBookmark";
	if(checkReadyStateBookmarkDel(xmlHttpBookmark, strXHRObject)) {
		TRACE("onDeleteBookmark()");
		if ( bLoginMode ) {
			if (bDeleteAll) { //deleteBookmark()에서 전체 삭제 하는것으로 변경(xhr.destroy()문제 때문)
				TRACE("gDelBookmarkIndex :: " + gDelBookmarkIndex)
				gDelBookmarkIndex++;
				TRACE("gDelBookmarkIndex = " + gDelBookmarkIndex);
				if (gDelBookmarkIndex == contentsListNum) {
					initCheckList();
					reloadBookmark();
				}
				else {
					TRACE("Not finished deleting all bookmark...");
					deleteBookmark();
					return;
				}
			}
			else if (checkListCnt != 0) { //선택 삭제 
				gDelBookmarkIndex--;
				TRACE("gDelBookmarkIndex = " + gDelBookmarkIndex+" checkListCnt :: "+checkListCnt);
				if (gDelBookmarkIndex < 0) {
					initCheckList();
					reloadBookmark();
				}
				else {
					TRACE("Not finished deleting all bookmark...");
					deleteBookmark();
					return;
				}
			}
			else {
				reloadBookmark();
			}		
		} 
	}	
}

/**
 * @brief		tv	bookmark 삭제
 * @remarks		팝업창에서 선택한 항목 bDeleteAll 에 따라서 전체 혹은 선택한 항목만 삭제함
 * @param		void
 * @return	 	void
*/
function onDeleteTvBookmark(){
	var strXHRObject = "xmlHttpBookmark";
	if (checkReadyStateBookmarkDel(xmlHttpBookmark, strXHRObject)) {
		TRACE("onDeleteTvBookmark()");
		if (bMaple) {
			var doc;
			var parser;
			var strBookmark = "";
			
			strBookmark = readBookmarkFile();
			
			if (bookmarkParser == null) 
				bookmarkParser = new DOMParser();
			doc = bookmarkParser.parseFromString(strBookmark, "text/xml");
			TRACE("parseFromString doc =" + doc);
		}
		
		var response = doc.documentElement;
		if (!response) {
			stopLoadingonList();
			curPopup = POPUP_NOTICE;
			openPopupWithTimer(SID_ERRMSG_XML, popupCallback, 5);
			return;
		}
		
		var channelNode = response.getElementsByTagName("channel");
		
		TRACE("channelNode = " + channelNode.length);
		
		var itemList = response.getElementsByTagName("item");
		TRACE("itemList = " + itemList.length);
		if (channelNode.length) {
			if (bDeleteAll) { // 모두 지우기
				deleteAllBookmark();
				return;
				TRACE("###### shouldn't call this LINE!!!! ######")
			}
			else 
				TRACE("checkListCnt :: "+checkListCnt)
				if (checkListCnt != 0) {					
					var i;
					for (i = checkListCnt-1; i >= 0; i--) {
						TRACE("checkPlayList["+i+"] :: "+checkPlayList[i] )
						if (itemList[checkPlayList[i] - 1]) {
							itemList[0].parentNode.removeChild(itemList[checkPlayList[i] - 1]);
							TRACE("delete index -> " + (checkPlayList[i] - 1));
						}
					}
				}
				else { // 선택 항목만 지우기
					if (itemList.length && itemList[lastContentsIndex - 1]) {
						TRACE("lastContentsIndex :::: " + lastContentsIndex);
						itemList[0].parentNode.removeChild(itemList[lastContentsIndex - 1]);
						TRACE("delete index -> " + (lastContentsIndex - 1));
					}
				}
		}
		
		response = doc.documentElement;
		if (!response) {
			stopLoadingonList();
			curPopup = POPUP_NOTICE;
			openPopupWithTimer(SID_ERRMSG_XML, popupCallback, 5);
			return;
		}
		itemList = response.getElementsByTagName("item");
		TRACE("itemList = " + itemList.length);
		
		bookmarkXML = "<?xml version='1.0' encoding='utf-8'?>";
		makeXMLText(response);
		if (bMaple) 
			writeBookmark();
			
		initCheckList();	
		reloadBookmark();
	}
}

/**
 * @brief		tv bookmark 파일 reset
 * @remarks		전체삭제시 resetBookmarkFile() 호출.
 * @param		void
 * @return	 	void
*/
function deleteAllBookmark() {
	TRACE("deleteAllBookmark");
	resetBookmarkFile();
	initCheckList();
	reloadBookmark();
}

/**
 * @brief			bookmark 다시 읽기
 * @remarks		북마크를 삭제한 뒤 다시 북마크파일을 읽어오도록 loadXMLDoc()함수 호출
 * @param		void
 * @return	 	void
*/
function reloadBookmark() {
	TRACE("reloadBookmark()");
	var callUrl = "";
	var Idx, tmpCategoryID;
	bOnCategoryList = true;
	if( isBookmark()){
		Idx = bookmarkMenuIndex;     // 북마크 메뉴는 제일 마지막 - 1	
	}else if( isTvBookmark()){
		Idx = tvBookmarkMenuIndex;     // tv 북마크 메뉴는 제일 마지막 - 2
	}	
//	alert("bookmarkMenuIndex" + Idx);
    if (Idx%showNumOfCategory==0) {
        createLeftSideHTML(Idx-1);
    }
    tmpCategoryID = categoryID + Idx;
    document.getElementById(tmpCategoryID).focus();
	//엔터키동작 
    lastCategoryID = categoryID + Idx;
	lastCategoryIndex = Idx-1;
	TRACE("lastCategoryIndex =" + lastCategoryIndex);
    locateFocus = categoryID;
	lastFocusID = lastCategoryID;
    contentsCategoryID = categoryList[Idx-1];
	bSearchSend = false;
	TRACE ("bSearchSend = " + bSearchSend);
	
	if ( bLoginMode && isBookmark() ) {
		callUrl = getBookmarkUrl();
	} else {
		callUrl = makeFeedUrl(Idx-1); //contentsListXmlURL[Idx-1];
	}
//	TRACE ( "reloadBookmark callUrl = " + callUrl);
    loadXMLDoc(callUrl, contentsID);
}

/**
 * @brief		유튜브 web의 즐겨찾기 동영상에 선택한 동영상을 추가 하기 위한 bookmark Url get 함수
 * @remarks		유튜브 api에 사용자의 ID 추가
 * @param		void
 * @return	 	strURL : bookmark Url
*/
function getBookmarkUrl() {
	var strURL = "";
	strURL = "http://gdata.youtube.com/feeds/api/users/" + uccYouTubeID +"/favorites?alt=rss&format=3&racy=include";
	return strURL;
}

/**
 * @brief		재생될 동영상의 videoID get 함수
 * @remarks		RSS 항목상에서 재생할 동영상에서 videoID 추출
 * @param		strURL
 * @return	 	strReturn : videoID
*/
function getVideoID( strURL ) {
	var strReturn = "";
	var nIndex = 0;
	var urlLength = strURL.length;
	if ( urlLength <= 0 )	 {
		return strReturn;
	}
	nIndex = strURL.lastIndexOf("/");
	if ( nIndex > -1 ) {
		strReturn = strURL.substring(nIndex+1, strURL.length);
	}
	TRACE( "Video ID : " + strReturn);
	return strReturn;
}

// ===================================
//  IME 함수 오버로딩
// ===================================
function imeInputBlur2(obj) {
	TRACE("imeInputBlur2");
	hideSearchPopup();
}

function imeInputFocus2(obj) {	
	TRACE("imeInputFocus2"+imePos);
	hideAllHelpLayer();
}

function historyBoxFocus(obj) {
	TRACE("historyBoxFocus :: "+obj.id);
	hideAllHelpLayer();
//	showHelpLayerIME();
}
function historyBoxBlur(obj) {
	TRACE("historyBoxBlur");
	hideImeSpeWnd();
}

// ===================================
//  로딩중 이미지 
// ===================================
/**
 * @brief			로딩중 이미지 초기화 함수 
 * @remarks		RSS 항목을 가져오는 동안 로딩중을 표시하기 위한 이미지를 미리 이미지 객체에 등록함.
 * @param		void
 * @return	 	void
*/
function initLoadingImg() {
	loadingImg = new Array();
	var imgName = "loading_";
	var imgIndex = "00";
	var ext = ".png";
	for ( i=0; i<12; i++) {
		if ( i < 10 ) {
			imgIndex = "0"+ i;
		} else {
			imgIndex = ""+ i;
		}
		loadingImg[i] = new Image();
		loadingImg[i].src = "img/" + imgName + imgIndex + ext;
	}
	document.getElementById("loadingImg").src = loadingImg[currentImg].src;	
	loadingListPos();
}

/**
 * @brief			로딩중 이미지 시작
 * @remarks		로딩중 이미지 시작 
 * @param		void
 * @return	 	void
*/
function startLoadingonList() {
	TRACE("=========== startLoadingonList ===========");
	//if( isFeatured() ) {
	bLoading = true;
	hideNoVisited();		
	//}
	hideScrollBar();
	document.getElementById("contentslist").innerHTML="";
	document.getElementById("noBookmark").innerHTML="";
	document.getElementById("loadingDiv").style.visibility = "visible";
	if ( loadingTimer ) {
		clearInterval(loadingTimer);
		loadingTimer = 0;
	}
	loadingTimer = setInterval("showLoading()",500);
}

/**
 * @brief			로딩중 이미지 끝 
 * @remarks		플러그인에서 호출함, 로딩중 이미지 끝 
 * @param		void
 * @return	 	void
*/
function stopLoadingonList() {
	TRACE("=========== stopLoadingonList ===========");	
	bLoading = false;	
	document.getElementById("loadingDiv").style.visibility = "hidden";			
//	hideImeFrame();
	if ( loadingTimer ) {
		clearInterval(loadingTimer);
		loadingTimer = 0;
	}
}

/**
 * @brief			로딩중 이미지 표시 
 * @remarks		로딩 명령을 내리고 명령이 완료할때까지 이 함수를 0.1초 간격으로 호출할것.
 * @param		void
 * @return	 	void
*/
function showLoading() {
	/*TRACE("showLoading()");*/
	if ( currentImg == loadingImg.length )
		currentImg = 0;
	document.getElementById("loadingImg").src = loadingImg[currentImg].src;
	document.getElementById("loadingText").innerHTML= adaptString(SID_RECEIVING_DATA_ABBR_10);
	currentImg++;
}

/**
 * @brief		List에서의 로딩중 이미지 위치 설정
 * @remarks		contents list에서 로딩시 위치 설정
 * @param		void
 * @return	 	void
*/
function loadingListPos() {
	TRACE("==== loadingListPos() ====");
	document.getElementById("loadingDiv").style.top = "220px";
	document.getElementById("loadingDiv").style.left = "550px";
	document.getElementById("loadingText").style.top = "82px";
	document.getElementById("loadingText").style.left = "0px";
}

/**
 * @brief		일반 재생화면에서의 로딩중 이미지 위치 설정
 * @remarks		Normal 동영상 재생시의 로딩이미지 위치 설정
 * @param		void
 * @return	 	void
*/
function loadingPlayPos() {
	TRACE("==== loadingPlayPos() ====");
	document.getElementById("loadingDiv").style.top = "220px";
	document.getElementById("loadingDiv").style.left = 	"170px";
	document.getElementById("loadingText").style.top = "82px";
	document.getElementById("loadingText").style.left = "0px";
}

/**
 * @brief		전체 재생화면에서의 로딩중 이미지 위치 설정
 * @remarks		full 동영상 재생시의 로딩이미지 위치 설정
 * @param		void
 * @return	 	void
*/
function loadingFullPos() {
	TRACE("==== loadingFullPos() ====");
	document.getElementById("loadingDiv").style.top = "220px";
	document.getElementById("loadingDiv").style.left = 	"420px";
	document.getElementById("loadingText").style.top = "82px";
	document.getElementById("loadingText").style.left = "0px";
}

// ===================================
//  평점 별표 이미지 
// ===================================
/**
 * @brief			평점 이미지 초기화 함수 
 * @remarks		평점을 환산해 별이미지로 전환함
 * @param		void
 * @return	 	void
*/
function initStarImg() {
	starImg = new Array();
	var imgName = "star_";
	var imgIndex = "0";
	var imgSubIndex = "_5";
	var ext = ".png";
	for ( i=0; i<11; i++) {
		imgIndex = "" + i;
		starImg[i] = new Image();
		if ( i%2 ) {
			starImg[i].src = "img/" + imgName + Math.floor(imgIndex/2) + imgSubIndex + ext;
		} else {
			starImg[i].src = "img/" + imgName + Math.floor(imgIndex/2) + ext;
		}
	}
}

/**
 * @brief			평점 이미지 전환함수
 * @remarks		평점을 이미지로 환산해 리턴해줌
 * @param		score	점수
 * @return	 	void
*/
function getStarImg(score) {
	var starImgSrc;
	if ( score >= 0.5 && score < 1) {
		starImgSrc = starImg[1].src;
	} else if ( score >= 1 && score < 1.5 ) {
		starImgSrc = starImg[2].src;
	} else if ( score >= 1.5 && score < 2) {
		starImgSrc = starImg[3].src;
	} else if ( score >= 2 && score < 2.5 ) {
		starImgSrc = starImg[4].src;
	} else if ( score >= 2.5 && score < 3 ) {
		starImgSrc = starImg[5].src;
	} else if ( score >= 3 && score < 3.5 ) {
		starImgSrc = starImg[6].src;
	} else if ( score >= 3.5 && score < 4 ) {
		starImgSrc = starImg[7].src;
	} else if ( score >= 4 && score < 4.5 ) {
		starImgSrc = starImg[8].src;
	} else if ( score >= 4.5 && score < 5 ) {
		starImgSrc = starImg[9].src;
	} else if ( score >= 5 ) {
		starImgSrc = starImg[10].src;
	} else {
		starImgSrc = starImg[0].src;
	}

	return starImgSrc;
}

function loading_input(obj){
//    var ie = (document.all) ? 1:0
//    if (ie) { var EKC = event.keyCode;}
    var EKC = event.keyCode;
    
	switch(EKC){
        case (tvKey.KEY_RETURN) : 	// ESC     
        case (tvKey.KEY_PANEL_MENU): // 패널 키 ESC		
    		blockNavigation(event); // N.Navi 에서 복귀 이벤트 받지 못하게 한다    
			break;
		default:
			break;	
	}
	
}

/**
 * @brief			팝업창 키 입력 함수
 * @remarks		북마크 팝업창 키처리 함수 하나만 삭제, 혹은 전체삭제 선택, 복귀키를 누르면 취소
 * @param		void
 * @return	 	void
*/

function bookmark_popup_inputKey(EKC, obj) {
//    var ie = (document.all) ? 1:0
//    if (ie) { var EKC = event.keyCode;}
	var EKC = event.keyCode;
    var Idx = obj.name; //해당 Index 가져오기..
    var tmpLastContentsID = lastContentsID;
    var tmpPopupID;
	var menuNum = 2; // 팝업 메뉴 갯수
	CommonLib.keyHandler(EKC,popupCallback);	
    switch (EKC) {
//        case (13) : 		//Enter
        case (tvKey.KEY_ENTER) : //Enter       
        case (tvKey.KEY_PANEL_ENTER) : 	// 패널 키 Enter
        case (tvKey.KEY_PANEL_SOURCE) : 	// 패널 키 Source
        	var sendMsg;
        	if(bMaple && EKC==13) return false;     
			TRACE("checkListCnt ::" + checkListCnt);
			if(checkListCnt == 0){
				if ( Idx == 1 ) { // 하나만 지우기
				bDeleteAll = false;
				TRACE("bDeleteAll = " + bDeleteAll);
				sendMsg = SID_BOOKMARK_DEL_CONFIRM; //"선택된 항목을 삭제하시겠습니까?";
				} else if(Idx == 2){//전체선택	
					selectAllCheckList(lastContentsIndex);			//전체선택
				}	
				else {
					deleteAllCheckList(lastContentsIndex);			//전체선택해제
				}
			}else{
				if ( Idx == 1 ) { // 하나만 지우기
				var tmpMsg = "";
				bDeleteAll = false;
				TRACE("bDeleteAll = " + bDeleteAll);
				sendMsg = SID_BOOKMAKR_CHECK_DEL_STATE1;
				sendMsg = sendMsg.replace("[xxxxx]", checkListCnt);				
				
				} else if(Idx == 2){	//전체선택
					selectAllCheckList(lastContentsIndex);	
				}	
				else {//전체선택해제
					deleteAllCheckList(lastContentsIndex);	
				}
			}
			hideOptionPopup();
			//hideBookmarkPopup();
			lastFocusID = tmpLastContentsID;
			if( Idx == 1 ) 	{
				curPopup = POPUP_DELBOOK;
				openPopupFocusWithTimer(sendMsg, popupCallback, SID_YES,SID_NO, 30);
			}				
			else 
				document.getElementById(lastFocusID).focus();
			break;
        default  : 
			
        	return false;
        break;
    }	
}
/**
 * @brief			안내 메세지 보이기
 * @remarks		안내 메세지 보이기
 * @param		void
 * @return	 	void
*/
function showNoBookmark() {
	var message;
	if ( isBookmark() ) {
		if ( bLogin ) {
			message = SID_FAVORITE_NOSAVED; //"즐겨찾기에 추가된 UCC가 없습니다. <br>UCC 재생 화면에서 보관을 원하는 UCC를 선택하여 즐겨찾기에 추가할 수 있습니다.";
		} else {
			message = SID_FAVORITE_NOLOGIN; //"로그인 후 이용할 수 있는 기능입니다. 설정 메뉴에서 사용자 계정을 생성하고 서비스 사이트를 등록하면 로그인할 수 있습니다.";
		}
	} else if(isTvBookmark()){
		message = SID_TVBOOKMARK_NOSAVED; //"TV 보관함에 저장된 UCC가 없습니다. <br>UCC 재생 화면에서 보관을 원하는 UCC를 선택하여 TV 보관함에 저장할 수 있습니다.";
	}	
	hideNoVisited();
	document.getElementById("loadingDiv").style.visibility = "hidden";
	document.getElementById('contentslist').innerHTML = "";
	document.getElementById("noBookmark").innerHTML = message;
	document.getElementById("noBookmark").style.visibility = "visible"
}
/**
 * @brief			안내 메세지 숨기기
 * @remarks		안내 메세지 숨기기
 * @param		void
 * @return	 	void
*/
function hideNoBookmark() {
	document.getElementById("noBookmark").style.visibility = "hidden"	
}

/**
 * @brief		방문기록 없음 메시지 보이기
 * @remarks		방문기록 없음 메시지 보이기
 * @param		void
 * @return	 	void
*/
function showNoVisited(){
	var message;
	message = SID_VISITEDHISTORY_NOVISITED;

	document.getElementById("loadingDiv").style.visibility = "hidden";
	document.getElementById('contentslist').innerHTML = "";
	document.getElementById("visitedHistoryNoVisited").innerHTML = message;
	document.getElementById("visitedHistoryNoVisited").style.visibility = "visible";
}

/**
 * @brief		방문기록 없음 메시지 숨기기
 * @remarks		방문기록 없음 메시지 숨기기
 * @param		void
 * @return	 	void
*/
function hideNoVisited() {
	document.getElementById("visitedHistoryNoVisited").style.visibility = "hidden";
}
// ===================================
//  팝업 페이지 만들기 
// ===================================

function openPopupWithTimer (str, func, timer) {
	TRACE("openPopupWithTimer() :: "+str);
	hideAllHelpLayer();
	PopupModule.openPopup(str, func, timer);
}

function openPopupFocusWithTimer (str, func, buttonStr0, buttonStr1, timer) {
	hideAllHelpLayer();
	PopupModule.openPopupFocus(str, func, timer, buttonStr0, buttonStr1);
}


/**
 * @brief			Popup call back function
 * @remarks		popup이 종료되었을때 위젯의 동작을 정의한다
* @param		button		입력된 버튼 0:예 1:아니요 -1:취소 
* @return		void
*/
function popupCallback (button) {
	//To do
	TRACE ("popupCallback() =" + button);
	TRACE ("curPopup = " + curPopup);
	if ( popupTimer )
		clearTimeout (popupTimer);	
	
	if ( curPopup == POPUP_DELBOOK ) { // 북마크 삭제 
		if (button == 0) { 	// if YES
			if( checkListCnt != 0){
				gDelBookmarkIndex = checkListCnt-1;
			}else {
				gDelBookmarkIndex = 0;
			}	
			if(isBookmark()){
				deleteBookmark();
			}				
			else if(isTvBookmark()){
				deleteTvBookmark();
			}				
		} else {				// if No
			TRACE("Focus to lastContentsID = " + lastContentsID);
			document.getElementById(lastContentsID).focus();
		}
	} else if ( curPopup == POPUP_NOTICE ) { // 안내화면 출력 
		if( !bContentsList ) {
			alert("locateFocus :: "+locateFocus)
			if(locateFocus == timePopupID){
//				alert("lastTimeFocusID :: "+lastTimeFocusID);
				lastTimeFocusID.focus();				
			} else if (locateFocus == optionPopupID) {
				if ( isSearch() ) {
					showImeInput();
				}	
				document.getElementById(lastOptionFocusID).focus();
			}  else if(locateFocus == selBookmarkID){
				document.getElementById(lastSelBookmarkID).focus();				
//				hideSelectBookmark();
			} else {
				TRACE("Focus to lastFocusID = " + lastFocusID);
				TRACE("locateFocus = "+locateFocus)

				if ( isSearch() && (locateFocus == searchID || locateFocus ==contentsID) ) {
					showImeFrame();
					showSearchPopup();
					focusIME();
				}	
				document.getElementById(lastFocusID).focus();
			}			
		} else {
			TRACE("locateFocus :: "+ locateFocus)
			if ( isSearch() && lastFocusID == searchTextInput) {
				TRACE("go back to IME search");
				showImeFrame();
			}
			if(locateFocus == timePopupID){
//				alert("lastTimeFocusID :: "+lastTimeFocusID);
				lastTimeFocusID.focus();				
			} else if (locateFocus == optionPopupID) {
				document.getElementById(lastOptionFocusID).focus();
			} else {
				document.getElementById(lastContentsID).focus();									
			}			
		}		
	} else if ( curPopup == POPUP_NETERROR || curPopup == POPUP_RENDER_ERROR) {
            flipWidget("front");
			if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
				FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_STOP);			//frontPanel 상태표시
			player_inputKey(UCC_STOP,"");
			exitDetail();
			locateFocus = contentsID;
			createRightSideHTML( lastContentsIndex-1 );
			hideImeFrame();
			showVerticalBar();
			if(totalPage > 1)
				showScrollBar();
			nRenderErr = 0;
/*
			// 에러시 다음 이동 테스트 
			if ( currentStatus!=UCC_STOP ) {
				player_inputKey(UCC_STOP, "");
			}			
			goNextDetail();
*/			
	} else if ( curPopup == POPUP_AUTHEN_ERROR ) { // 인증에러 
			if ( isSearch() ) {
				showImeFrame();
				bOnCategoryList = false;
				focusSearchButton();
				return;
			}
			TRACE("Focus to lastFocusID = " + lastFocusID);
			document.getElementById(lastFocusID).focus();
			getDeviceKey(true);
	} else if ( curPopup == POPUP_BOOKMARK_DEL_ERROR ) { // 북마크 삭제 에러 
		reloadBookmark();
	} else if( curPopup == POPUP_HISTORY_DEL){						//내검색어 삭제
		if (button == 0) { 	// if YES
			//gDelBookmarkIndex = 0;
			deleteSearchHistoryList(deleteHistoryListNum);
			
		} else {				// if No
			TRACE("Focus to lastFocusID = " + lastFocusID);
			document.getElementById(lastFocusID).focus();
		}
	} else if( curPopup == POPUP_NOTAVILABLE ) {
		TRACE("bContentsList :: "+bContentsList);
		TRACE("locateFocus :: "+locateFocus);
		if( !bContentsList ) {
			if(locateFocus == timePopupID){
//				alert("lastTimeFocusID :: "+lastTimeFocusID);
				lastTimeFocusID.focus();				
			} else if (locateFocus == optionPopupID) {
				if ( isSearch() ) {
					showImeInput();
				}	
				document.getElementById(lastOptionFocusID).focus();
			} else if(locateFocus == selBookmarkID){
				document.getElementById(lastSelBookmarkID).focus();				
			}else {
				TRACE("Focus to lastFocusID = " + lastFocusID);
				document.getElementById(lastFocusID).focus();
				if ( isSearch() && locateFocus == searchID ) {
					showImeInput();
				}	
			}			
		} else {
			TRACE("locateFocus :: "+ locateFocus)
			if(locateFocus == timePopupID){
//				alert("lastTimeFocusID :: "+lastTimeFocusID);
				lastTimeFocusID.focus();				
			} else if (locateFocus == optionPopupID) {
				document.getElementById(lastOptionFocusID).focus();
			} else {
				document.getElementById(lastContentsID).focus();									
			}			
		}
	}	
}


// ===================================
//  검색 
// ===================================
/**
 * @brief		검색 시 유튜브 api 에 검색어 text 넣어 return
 * @remarks		
 * @param		key 		Encode된 검색어 text
 * @return	 	searchText	
*/
function makeSearchText(key) {
	if ( bH264 ) {
		searchText = "http://gdata.youtube.com/feeds/videos?vq=" + key +"&orderby="+order +"&max-results=50&alt=rss&format=3&racy=include&client=ytapi-samsung-tv";
	} else {
		searchText = "http://gdata.youtube.com/feeds/videos?vq=" + key +"&orderby="+order +"&max-results=20&alt=rss&format=1&racy=include&client=ytapi-samsung-tv";
	}
	return searchText;
}

/**
 * @brief		Input객체에 focus 입력 함수
 * @remarks		이전 focus를 '검색어 입력'버튼으로 설정
 * @param		void
 * @return	 	void
*/
function focusIME() {	
//	imeSetPrevFocusObj(document.getElementById("orderByItem5"))
	ime.setKeyFunc(tvKey.KEY_RETURN,setPreFocus);
	ime.setKeyFunc(tvKey.KEY_EXIT,setPreFocus);
	lastFocusID = searchTextInput;
	document.getElementById(searchTextInput).focus();
	showHelpLayerIME();
}

function setPreFocus(){
	hideSearchPopup();
	clearGoogleSuggestList();
	document.getElementById("orderByItem5").focus();
	return true;
}

/**
 * @brief		입력된 검색어 youtube api를 통한 검색  함수
 * @remarks		
 * @param		key		검색어 
 * @return	 	void
*/
function sendSearch( key ) {
	var callUrl = "";
	var keyEncode = "";

//	keyEncode = escape(key);

	addSearchHistoryList(key);		//검색 history에 추가
	saveSearchHistoryFile();		//파일에 기록.
	keyEncode = encodeURI(key);
	TRACE(keyEncode);
	callUrl = makeSearchText( keyEncode );
	TRACE ("callUrl = " + callUrl, TRACE_LEVEL.INFO);
	hideImeFrame();
//	callUrl = "http://gdata.youtube.com/feeds/videos?vq=%EA%B9%80%EC%97%B0%EC%95%84&max-results=20&alt=rss";
	document.getElementById('Loading_Anchor').focus();
	locateFocus = contentsID;
	bSearchSend = true;
	TRACE ("bSearchSend = " + bSearchSend);
	TRACE("lastCategoryIndex = " + lastCategoryIndex);
	initCheckList();
	loadXMLDoc(callUrl, contentsID);
	
}

/**
 * @brief		IME Frame 보이기 함수
 * @remarks		
 * @param		void
 * @return	 	void
*/
function showImeFrame() {
	TRACE("showImeFrame");	
	if( !isSearch())		//빠르게 카테고리 이동시 첫 카테고리와 검색 카테고리가 겹치는것을 방지
		return;				//검색 카테고리가 아닐 경우 return

	document.getElementById("contentslist").innerHTML="";
	document.getElementById("noBookmark").innerHTML="";
	document.getElementById("loadingDiv").style.visibility = "hidden";			
	hideScrollBar();
	document.getElementById('orderBy').style.visibility = "visible";
	
	document.getElementById('relevance').innerHTML = "<a id='orderByItem1' href=javascript: onkeydown='order_inputkey(this);' onfocus='onFocusOrderBy(this);'  onblur='onBlurOrderBy(this)' name ='1' ><table style='vertical-align:middle; width:121px; ' cellspacing=0 cellpadding=0 border=0><tr><td align='center';  style='width:22px;'><img id = 'radio1' src = 'img/radio_button_n.png'></td><td><div style='width:84px; text-align:center; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>"+SID_ORDERBY_RELEVANCE_ABBR_10+"</div></td></tr></table></a>";
	document.getElementById('published').innerHTML = "<a id='orderByItem2' href=javascript: onkeydown='order_inputkey(this);' onfocus='onFocusOrderBy(this);'  onblur='onBlurOrderBy(this)' name ='2' ><table style='vertical-align:middle; width:121px;' cellspacing=0 cellpadding=0 border=0><tr><td align='center';  style='width:22px;'><img id = 'radio2' src = 'img/radio_button_n.png'></td><td><div style='width:84px; text-align:center; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>"+SID_ORDERBY_PUBLISHED_ABBR_10+"</div></td></tr></table></a>";
	document.getElementById('viewCount').innerHTML = "<a id='orderByItem3' href=javascript: onkeydown='order_inputkey(this);' onfocus='onFocusOrderBy(this);'  onblur='onBlurOrderBy(this)' name ='3' ><table style='vertical-align:middle; width:121px;' cellspacing=0 cellpadding=0 border=0><tr><td align='center'; style='width:22px;'><img id = 'radio3' src = 'img/radio_button_n.png'></td><td><div style='width:84px; text-align:center; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>"+SID_ORDERBY_VIEWCOUNT_ABBR_10+"</div></td></tr></table></a>";
	document.getElementById('rating').innerHTML = "<a id='orderByItem4' href=javascript: onkeydown='order_inputkey(this);' onfocus='onFocusOrderBy(this);'  onblur='onBlurOrderBy(this)' name ='4' ><table style='vertical-align:middle; width:121px;' cellspacing=0 cellpadding=0 border=0><tr><td align='center';  style='width:22px;'><img id = 'radio4' src = 'img/radio_button_n.png'></td><td><div style='width:84px; text-align:center; overflow: hidden; white-space : nowrap; text-overflow : ellipsis;'>"+SID_ORDERBY_RATING_ABBR_10+"</div></td></tr></table></a>";
	document.getElementById('searchButton').innerHTML = "<a id='orderByItem5' href=javascript: onkeydown='order_inputkey(this);' onfocus='onFocusOrderBy(this);'  onblur='onBlurOrderBy(this)' name ='5' ><table style='vertical-align:middle; width:138px;' cellspacing=0 cellpadding=0 border=0><tr><td align='center';><div style='width:138px;'>"+SID_BUTTONVIEW_ABBR_10+"</div></td></tr></table></a>";
	
		
	document.getElementById(curRadioID).src = "img/radio_button_s.png";
	document.getElementById("searchHistory").style.visibility="visible";
	if( searchHistoryList.length != 0 ) {
		createSearchHistoryList(0);
	}
	document.getElementById('historyText').innerHTML= SID_SEARCH_HISTORY_ABBR_10;
	
	//showImeInput();
	document.getElementById('imeFrame').style.visibility = "visible";
	document.getElementById('searchTitle').innerHTML= SID_SEARCH_KR_SEARCH;
}

/**
 * @brief		IME Frame 숨김 함수
 * @remarks		
 * @param		void
 * @return	 	void
*/
function hideImeFrame() {
	TRACE("hideImeFrame");	
	document.getElementById('imeFrame').style.visibility = "hidden";	
	document.getElementById('searchInput').style.visibility = "hidden";	
	document.getElementById('orderBy').style.visibility = "hidden";
	document.getElementById("searchHistory").style.visibility="hidden";
//	document.getElementById('listcount').style.visibility = "visible";
	hideSearchHistoryScrollBar();
	if(totalPage > 1)
		showScrollBar();	
}

// ===================================
//  볼륨 기능
// ===================================
var MAX_VOL = 100;
var MIN_VOL = 0;

/**
 * @brief		Normal 재생 화면상에서 볼륨값 hide
 * @remarks		
 * @param		void
 * @return	 	void
*/
function hideVolume() {
	document.getElementById('soundDisplay').style.visibility = "hidden";
	document.getElementById('soundOn').style.visibility = "hidden";
	document.getElementById('soundEarphone').style.visibility = "hidden";
	document.getElementById('soundMute').style.visibility = "hidden";
	document.getElementById('soundVal').style.visibility = "hidden";
}

/**
 * @brief		Full 재생 화면상에서 볼륨값 hide
 * @remarks		볼륨값이 0이면 mute표시 그렇지 않으면 플러그인에서 Volume()을 호출하여 그 값을 뿌려줌
 * @param		void
 * @return	 	void
*/
function hideVolumeFull() {
	document.getElementById('soundDisplayFull').style.visibility = "hidden";
	document.getElementById('soundOn2').style.visibility = "hidden";
	document.getElementById('soundEarphone2').style.visibility = "hidden";
	document.getElementById('soundMute2').style.visibility = "hidden";
	document.getElementById('soundVal2').style.visibility = "hidden";
}

/**
 * @brief			볼륨값 표시 
 * @remarks		볼륨값이 0이면 mute표시 그렇지 않으면 플러그인에서 Volume()을 호출하여 그 값을 뿌려줌
 * @param		void
 * @return	 	void
*/
function showVolume() {
	var nVolume = getVolume();
	var nMute = 0;
	var bMute = false;
	var bEarphone = false;
	var outputDevice;
	
	nMute = getMute();
	
	bEarphone = isEarphone();
		
	outputDevice = AudioPlugin.GetOutputDevice();
	if( outputDevice == PL_AUDIO_OUTPUT_DEVICE_EARPHONE ) {
		bEarphone = true; 	
	} else if (outputDevice == PL_AUDIO_OUTPUT_DEVICE_EXTERNAL) {
		if( currentMode == UCC_MODE_1X ) {
			lastFocusID = focusItem1X;	
		} else {
			lastFocusID = focusItemFull;
		}			
		return;
	} else if( outputDevice == PL_AUDIO_OUTPUT_DEVICE_RECEIVER ) {
		TRACE( "Receiver Connected!! ");
		return; // 리시버 연결시 아무것도 안함.
	}				
	if ( nMute == 1 ) {
		bMute = true;
	} else if ( nMute == 0 ) {
		bMute = false;
	} 				
	 
	TRACE("volume Mute in showVolume() = " + bMute);
	if( currentMode == UCC_MODE_1X ) {
		document.getElementById('soundDisplay').style.visibility = "visible";
		if ( !bMute ) {
			document.getElementById('soundMute').style.visibility = "hidden";
			document.getElementById('soundVal').style.visibility = "visible";				
			document.getElementById('soundVal').innerHTML = nVolume;
			if ( !bEarphone ) {
				document.getElementById('soundOn').style.visibility = "visible";
				document.getElementById('soundEarphone').style.visibility = "hidden";
			}
			else {
				document.getElementById('soundOn').style.visibility = "hidden";
				document.getElementById('soundEarphone').style.visibility = "visible";
			}
		} else {
			document.getElementById('soundMute').style.visibility = "visible";
			document.getElementById('soundOn').style.visibility = "hidden";
			document.getElementById('soundEarphone').style.visibility = "hidden";
			document.getElementById('soundVal').style.visibility = "hidden";				
		}
		
		if ( volumeTimer ) {
			clearTimeout(volumeTimer);
			TRACE ( "===== clear  volumeTimer Timer =====");
		}
		if ( !bMute )
			volumeTimer = setTimeout ( "hideVolume()", 1000 );	
	} else {
		document.getElementById('soundDisplayFull').style.visibility = "visible";
		if ( !bMute ) {
			document.getElementById('soundMute2').style.visibility = "hidden";
			document.getElementById('soundVal2').style.visibility = "visible";				
			document.getElementById('soundVal2').innerHTML = nVolume;
			if ( !bEarphone ) {
				document.getElementById('soundOn2').style.visibility = "visible";
				document.getElementById('soundEarphone2').style.visibility = "hidden";
			}
			else {
				document.getElementById('soundOn2').style.visibility = "hidden";
				document.getElementById('soundEarphone2').style.visibility = "visible";
			}
		} else {
			document.getElementById('soundMute2').style.visibility = "visible";
			document.getElementById('soundOn2').style.visibility = "hidden";
			document.getElementById('soundEarphone2').style.visibility = "hidden";
			document.getElementById('soundVal2').style.visibility = "hidden";				
		}
		
		if ( volumeTimer ) {
			clearTimeout(volumeTimer);
			TRACE ( "===== clear  volumeTimer Timer =====");
		}
		if ( !bMute )
			volumeTimer = setTimeout ( "hideVolumeFull()", 1000 );
	}		
}

/**
 * @brief			볼륨값 표시 
 * @remarks		볼륨값이 0이면 mute표시 그렇지 않으면 플러그인에서 Volume()을 호출하여 그 값을 뿌려줌
 * @param		void
 * @return	 	void
*/
function showVolumeFull() {
	var nVolume = getVolume();
	var nMute = 0;
	var bMute = false;
	var bEarphone = false;
	bEarphone = isEarphone();
	nMute = getMute();

	outputDevice = AudioPlugin.GetOutputDevice();
	if( outputDevice == PL_AUDIO_OUTPUT_DEVICE_EARPHONE ) {
		bEarphone = true; 	
	} else if (outputDevice == PL_AUDIO_OUTPUT_DEVICE_EXTERNAL) {
		TRACE("show volume full!!!")
		lastFocusID = focusItemFull;
		return;
	} else if( outputDevice == PL_AUDIO_OUTPUT_DEVICE_RECEIVER ) {
		TRACE( "Receiver Connected!! ");
		return; // 리시버 연결시 아무것도 안함.
	}				
	if ( nMute == 1 ) {
		bMute = true;
	} else if ( nMute == 0 ) {
		bMute = false;
	} 				
	
	TRACE("volume Mute in showVolumeFull() = " + bMute);
	document.getElementById('soundDisplayFull').style.visibility = "visible";
	if ( !bMute ) {
		document.getElementById('soundMute2').style.visibility = "hidden";
		document.getElementById('soundVal2').style.visibility = "visible";				
		document.getElementById('soundVal2').innerHTML = nVolume;
		if ( !bEarphone ) {
			document.getElementById('soundOn2').style.visibility = "visible";
			document.getElementById('soundEarphone2').style.visibility = "hidden";
		}
		else {
			document.getElementById('soundOn2').style.visibility = "hidden";
			document.getElementById('soundEarphone2').style.visibility = "visible";
		}
	} else {
		document.getElementById('soundMute2').style.visibility = "visible";
		document.getElementById('soundOn2').style.visibility = "hidden";
		document.getElementById('soundEarphone2').style.visibility = "hidden";
		document.getElementById('soundVal2').style.visibility = "hidden";				
	}
	
	if ( volumeTimer ) {
		clearTimeout(volumeTimer);
		TRACE ( "===== clear  volumeTimer Timer =====");
	}
	if ( !bMute )
		volumeTimer = setTimeout ( "hideVolumeFull()", 1000 );
	
}

/**
 * @brief			볼륨값 가져오기
 * @remarks		플러그인의 Volume함수를 이용하여 볼륨값 가져오기
 * @param		void
 * @return	 	void
*/
function getVolume() {
	var nRtnVol = 0;
	if ( bMaple ) {
		/*
		 * AudioPlugin사용으로 주석처리.
		 */
		/*if ( !Player ) {
			Player = document.getElementById("pluginObjectPlayer");//Player = document.embeds[0];			
		}*/
		
		nRtnVol = AudioPlugin.GetVolume();
		TRACE("=== Player Volume() returned === " + nRtnVol);
	}
	return nRtnVol;
}

/**
 * @brief		volume up
 * @remarks		volume 변수 값 조정 및 plugin setting
 * @param		void
 * @return	 	void
*/
function upVolume() {
	var nVolume = getVolume();
	
	if ( nVolume >= MAX_VOL )
			nVolume = MAX_VOL;
	else
			nVolume++;	 

	var outputDevice = AudioPlugin.GetOutputDevice();
	if (outputDevice == PL_AUDIO_OUTPUT_DEVICE_EXTERNAL) {
		if( currentMode == UCC_MODE_1X ) {
			lastFocusID = focusItem1X;	
		} else {
			lastFocusID = focusItemFull;
		}			
		TRACE("extern speark volume up skip");
		return;
	} 
	AudioPlugin.SetVolumeWithKey(PL_AUDIO_VOLUME_KEY_UP);	
	
	showVolume();
}

/**
 * @brief		volume down
 * @remarks		volume 변수 값 조정 및 plugin setting
 * @param		void
 * @return	 	void
*/
function downVolume() {
	var nVolume = getVolume();
	
	if ( nVolume <= MIN_VOL )
		nVolume = MIN_VOL;
	else
		nVolume--;

	var outputDevice = AudioPlugin.GetOutputDevice();
	if (outputDevice == PL_AUDIO_OUTPUT_DEVICE_EXTERNAL) {
		if( currentMode == UCC_MODE_1X ) {
			lastFocusID = focusItem1X;	
		} else {
			lastFocusID = focusItemFull;
		}			
		TRACE("extern speark volume down skip");
		return;
	} 
	AudioPlugin.SetVolumeWithKey(PL_AUDIO_VOLUME_KEY_DOWN);	
		
	showVolume();
}

/**
 * @brief			Mute 가져오기
 * @remarks		플러그인의 getMute 이용하여 Mute정보 가져오기
 * @param		void
 * @return	 	boolean		Mute상태이면 1, else 0, 스피커메뉴 끄기이면 -1 리시버 연결상태면 -2
*/function getMute() {
//	var bMute = false;
	var nGetMute = 0;
	var tmpAudioversion;
	tmpAudioversion = AudioPlugin.GetPluginInfo(PL_CMN_INFO_VERSION);	
	if ( bMaple ) {

		
		TRACE ("============ get Mute() ===========");
		if(  tmpAudioversion > "AUDIO-0004") {
			nGetMute = AudioPlugin.GetUserMute();			
		} else {
			nGetMute = AudioPlugin.GetMute();	
		}

		TRACE("=== Player GetMute() returned === " + nGetMute);
	}
//	return bMute;
	return nGetMute
}

/**
 * @brief			Mute 설정하기
 * @remarks		플러그인의 SetMute 이용하여 Mute정보 설정
 * @param		bMute	Mute설정 true Mute, false면 no Mute
 * @return	 	void
*/function setMute() {
	if ( bMaple ) {
		TRACE("=== Player SetMute() === " + bMute);
		var nMute = 0;
		var bMute = false;
		var bEarphone = false;
		var tmpAudioversion;
		tmpAudioversion = AudioPlugin.GetPluginInfo(PL_CMN_INFO_VERSION);

		nMute = getMute();
		bEarphone = isEarphone();
		
		////////

		outputDevice = AudioPlugin.GetOutputDevice();
		if (outputDevice == PL_AUDIO_OUTPUT_DEVICE_EXTERNAL) {
			TRACE("show volume full!!!")
			if( currentMode == UCC_MODE_1X ) {
				lastFocusID = focusItem1X;	
			} else {
				lastFocusID = focusItemFull;
			}			
			TRACE("extern speark setmute skip");
			return;
		} 			
		if ( nMute == PLR_TRUE ) {
			bMute = true;
		} else if ( nMute == PLR_FALSE ) {
			bMute = false;
		} 				


		/////////
		if ( bMute )	{	//현재 상태가 Mute일때
			if(  tmpAudioversion > "AUDIO-0004") {			//audio plugin check
				AudioPlugin.SetUserMute(PLR_FALSE);		//PLR_FALSE mute 해제.
			} else {
				AudioPlugin.SetMute(PL_AUDIO_MUTE_OFF);		//Player.SetMute(0); //mute 해제
			}	
			TRACE("Mute Off!!!!");
		} else{ 				//현재 Mute가 아닐때
			if(  tmpAudioversion > "AUDIO-0004") {
				AudioPlugin.SetUserMute(PLR_TRUE);			//PLR_TRUE	mute설정.
			} else {
				AudioPlugin.SetMute(PL_AUDIO_MUTE_ON);			//Player.SetMute(1); //mute 상태
			}	
			
			TRACE("Mute On!!!!");
		}	
		showVolume();
	}	
}

/**
 * @brief			이어폰상태 가져오기
 * @remarks		플러그인의 IsEarphone 이용하여 이어폰 여부 가져오기
 * @param		void
 * @return	 	boolean		Earphone 상태이면 true, else false
*/function isEarphone() {
	var bEarphone = false;
	var nGetEarphone = 0;

	return bEarphone;
}

// ===================================
//  기타기능
// ===================================
/**
 * @brief			브라우저 타입 확인
 * @remarks		IE, Opera, Maple 브라우저 구분함수 browser 전역변수에 등록함
 * @param		void
 * @return	 	void
*/
function checkBrowser()
{
	if(navigator.appName == "Microsoft Internet Explorer") {
		browser = "IE";
		bMaple = false;
		bLoginMode = false;
	}
	else if(navigator.appName == "Opera")
	{
		browser = "Opera";
		bMaple = false;
		bLoginMode = false;
	}
	else {
		browser = "Maple";
		bMaple = true;
		bLoginMode = true;	
	}
}

/**
 * @brief			키 이벤트를 위젯이 처리하고 상위로 전달하지 않는다 
 * @remarks		최상위 화면이 아닌 경우에는 복귀키를 위젯에서만 처리하고 N Navi로 전달하지 않기위해 이 함수를 호출한다.
 * @param		event	System Event
 * @return	 	void
*/
function blockNavigation(event) {
	if( browser == "Maple" )	
    	event.preventDefault();
}

/**
 * @brief			현재시간 강제 세팅 
 * @remarks		현재시간 강제 세팅
 * @param		void
 * @return	 	void
*/
function setCurTimeForce( curTime ) {
	var nCurTime = 0;
	var nCurSec = 0;
	var strCurrent = "";
	
	nCurTime = parseInt( curTime, 10 );
//	TRACE("===== nCurTime ===== " + nCurTime);
	
		nCurSec = Math.floor( nCurTime / 1000 );	// msec -> sec
		curSecTime = nCurSec;
		
		if ( curSecTime !=0 && curSecTime > totalSecTime ) {
			curSecTime = totalSecTime;
			TRACE("current time is bigger than total time!");
		}
		strCurrent = sec2hrTimeTxt( curSecTime );
		document.getElementById("curTime").innerHTML = strCurrent;	
		
		drawProgress(curSecTime, totalSecTime);
//		TRACE ("===== strCurrent ===== " + strCurrent);

}

/**
 * @brief		현재 page 계산 함수
 * @remarks		Index값과 total page값 받아 현재 page 계산
 * @param		curIndex : 현재 focus가 있는 index		pageNum : total page num
 * @return	 	resultIndex	: 계산된 현재 page 값
*/
function  calculateIndexOfPage(curIndex, pageNum) {
	TRACE("calculateIndexOfPage(curIndex :: "+curIndex+" pageNum :: "+pageNum);
    var resultIndex = 0;
    resultIndex = Math.floor(curIndex/pageNum);
    resultIndex *= pageNum;
    TRACE("resultIndex")
    return resultIndex;
}

// ===================================
// Watch Dog
// ===================================
/**
 * @brief		WatchDog setting
 * @remarks		watch dog 변수 설정
 * @param		obj		tvapi plugin
 * @return	 	void
*/
function setWatchDog() {
    // watch dog 변수 설정
	TRACE("setWatchDog()");
	watchDog = new Common.API.Plugin();
}

/**
 * @brief		on watchdog
 * @remarks		
 * @param		void
 * @return	 	void
*/
function onWatchDog() {
	TRACE("onWatchDog()");
	if ( !bMaple )
		return;
//	watchDog.setOnWatchDog();
}

/**
 * @brief		off watch dog
 * @remarks		
 * @param		void
 * @return	 	void
*/
function offWatchDog() {
	TRACE("offWatchDog()");
	if ( !bMaple )
		return;
//	watchDog.setOffWatchDog();	
}

/**
 * @brief		watch dog 변수 return
 * @remarks		
 * @param		void
 * @return	 	watchDogStatus : true -> on watchdog / false -> off watchdog
*/
function getWatchDogStatus() {
//    return watchDogStatus;
}

// =====================================
// plugin 에서 호출 하는 함수 
// =====================================

/**
 * @brief			전체시간 세팅 
 * @remarks		플러그인의 TotalTime 이벤트를 받아 호출함 
 * @param		void
 * @return	 	void
*/
function setTottalTime( totTime ) {
	var nTotTime = 0;
	var nTotSec = 0;
	var strTotal = "";
	
	nTotTime = parseInt( totTime, 10 ); 
	TRACE("===== nTotTime ===== " + nTotTime);
	
	if ( bCallFromPlugin ) {	
		nTotSec = Math.floor( nTotTime / 1000 );	// msec -> sec
		totalSecTime = nTotSec;
		
		strTotal = "/ " + sec2hrTimeTxt( totalSecTime );
		document.getElementById("totTime").innerHTML = strTotal;
		document.getElementById("helpTotTime").innerHTML = strTotal;		
		TRACE ("===== strTotal ===== " + strTotal);
		
		if ( bAutoRatio ) {
			setVideoposAuto();
		}
	}
}

/**
 * @brief			전체시간 세팅 
 * @remarks		플러그인의 TotalTime 이벤트를 받아 호출함. /setTottalTime의 단어 수정후 사용 예정 
 * @param		void
 * @return	 	void
*/
function setTotalTime( totTime ) {
	var nTotTime = 0;
	var nTotSec = 0;
	var strTotal = "";
	
	nTotTime = parseInt( totTime, 10 ); 
	TRACE("===== nTotTime ===== " + nTotTime);
	
	if ( bCallFromPlugin ) {	
		nTotSec = Math.floor( nTotTime / 1000 );	// msec -> sec
		totalSecTime = nTotSec;
		
		strTotal = "/ " + sec2hrTimeTxt( totalSecTime );
		document.getElementById("totTime").innerHTML = strTotal;
		document.getElementById("helpTotTime").innerHTML = strTotal;		
		TRACE ("===== strTotal ===== " + strTotal);
		
		if ( bAutoRatio ) {
			setVideoposAuto();
		}
	}
}

/**
 * @brief			현재시간 세팅 
 * @remarks		플러그인의 CurrentTime 이벤트를 받아 호출함 
 * @param		curTime			설정할 시간
 * @return	 	void
*/
function setCurTime( curTime ) {
	var nCurTime = 0;
	var nCurSec = 0;
	var strCurrent = "";
	
	if ( currentStatus == UCC_STOP) {  // 정지 상태에서는 시간 이벤트 와도 무시한다.
		TRACE("===== ignore Time event in STOP mode =====");
		return;
	}
	
	nCurTime = parseInt( curTime, 10 );
	
	TRACE("currentStatus :: "+currentStatus)
	TRACE("===== nCurTime ===== " + nCurTime);
	TRACE("===== curTime ===== " + curTime);
	
	if ( bCallFromPlugin ) {	
		nCurSec = Math.floor( nCurTime / 1000 );	// msec -> sec
		curSecTime = nCurSec;
		
		if ( curSecTime !=0 && curSecTime > totalSecTime ) {
			curSecTime = totalSecTime;
			TRACE("current time is bigger than total time!");
		}
		if (totalSecTime > 30 ) {		//건너뛰기 block 변수 초기화		
			bJumpBlock = false;
			TRACE("init bJumpBlock :: "+bJumpBlock);
		}
		strCurrent = sec2hrTimeTxt( curSecTime );
		
		var tempCurTime = strCurrent.split(":");
		alert("hr :: "+parseInt(tempCurTime[0],10)+" min ::"+parseInt(tempCurTime[1],10)+" sec ::"+parseInt(tempCurTime[2],10))
		if(FrontPanelPlugin.DisplayVFD_Time instanceof Function)
			FrontPanelPlugin.DisplayVFD_Time(parseInt(tempCurTime[0],10), parseInt(tempCurTime[1],10), parseInt(tempCurTime[2],10));			//frontPanel 재생 시간 표시	
		
		document.getElementById("curTime").innerHTML = strCurrent;	
		document.getElementById("helpCurTime").innerHTML = strCurrent;					
		drawProgress(curSecTime, totalSecTime);
	}
}

/**
 * @brief			전체버퍼 세팅 
 * @remarks		플러그인의 TotlaBuffer 이벤트를 받아 호출함 
 * @param		void
 * @return	 	void
*/
function setTottalBuffer( totBuffer ) {
	var nTotBuffer = 0;
	
	nTotBuffer = parseInt( totBuffer, 10 ); 
	
	if ( bCallFromPlugin ) {	
		gTotalBuffer = nTotBuffer;
		gOldBuffer = 0;
		TRACE("===== nTotBuffer ===== " + nTotBuffer);
	}
}

/**
 * @brief			전체버퍼 세팅 
 * @remarks		플러그인의 TotlaBuffer 이벤트를 받아 호출함 
 * @param		void
 * @return	 	void
*/
function setTotalStreamSize (totBuffer) {
	var nTotBuffer = 0;
	
	nTotBuffer = parseInt( totBuffer, 10 ); 
	
	if ( bCallFromPlugin ) {	
		gTotalBuffer = nTotBuffer;
		gOldBuffer = 0;
		TRACE("===== nTotBuffer ===== " + nTotBuffer);
	}
}

/**
 * @brief			현재시간 세팅 
 * @remarks		플러그인의 CurrentTime 이벤트를 받아 호출함 
 * @param		void
 * @return	 	void
*/
function setCurBuffer( curBuffer ) {
	var nCurBuffer = 0;
	var nBPS = 0;
	var bEOF = false;
	
	if ( currentStatus == UCC_STOP ) {  // 정지 상태에서는 시간 이벤트 와도 무시한다.
		TRACE("===== ignore Buffer event in STOP mode =====");
		return;
	}
	
	nCurBuffer = parseInt( curBuffer, 10 );
	
	if ( bCallFromPlugin ) {	
		
		if ( nCurBuffer < gOldBuffer) {
			gOldBuffer = 0;	
		}
		nBPS = nCurBuffer - gOldBuffer;
		gOldBuffer = nCurBuffer;
		
		if ( nCurBuffer >= gTotalBuffer ) {
			bEOF = true;
		}
	}
}

/**
 * @brief			로딩중 이미지 시작 이벤트 받음 
 * @remarks		플러그인에서 호출함, 로딩중 이미지 시작 
 * @param		void
 * @return	 	void
*/
function startDrawLoading() {
	TRACE("=========== startDrawLoading ===========");
	bOnBuffering = true;
	// 리스트 보기에서는 이벤트가 날라와도 처리하지 않는다.
	if ( currentView == UCC_LIST_VIEW || currentStatus ==  UCC_STOP ) {
		TRACE("Shouldn't draw loading in the lisview or STOP status!");
		return;
	}
	if ( bCallFromPlugin ) {
		document.getElementById("loadingDiv").style.visibility = "visible";
		if ( loadingTimer ) {
			clearInterval(loadingTimer);
			loadingTimer = 0;
		}
		loadingTimer = setInterval("showLoading()",500);
		//showLoading();
	}
}

/**
 * @brief			로딩중 이미지 끝 
 * @remarks		플러그인에서 호출함, 로딩중 이미지 끝 
 * @param		void
 * @return	 	void
*/

function endDrawLoading() {
	TRACE("=========== endDrawLoading ===========");	
	bOnBuffering = false;
		
	if ( bCallFromPlugin ) {	
		document.getElementById("loadingDiv").style.visibility = "hidden";			
		if ( loadingTimer ) {
			clearInterval(loadingTimer);
			loadingTimer = 0;
		}
	}
}

/**
 * @brief			네트워크 에러(NETWORK_DISCONNECT)시 호출됨 
 * @remarks		플러그인에서 호출함, 네트워크 에러시 bDisconnect = true로 수정함, 이어서 Render Complete 이벤트에 의해서 stopPlayer가 호출됨 
 * @param		void
 * @return	 	void
*/
function popupNetworkErr() {
	TRACE("=========== popupNetworkErr ===========");		
	bDisconnect = true;
	TRACE("===== bDisconnect =====" + bDisconnect);
}

/**
 * @brief			플레이어 정지시킴 
 * @remarks		RENDER_COMPLETE 이벤트 시 플러그인에서 호출함 
 * @param		void
 * @return	 	void
*/
function stopPlayer() {
	TRACE("=========== stopPlayer ===========");	
	PluginObj.setOnScreenSaver();
	if(FrontPanelPlugin.DisplayVFD_Show instanceof Function)
		FrontPanelPlugin.DisplayVFD_Show(FRONT_DISPLAY_STOP);			//frontPanel 상태표시
	if ( fullhelpTimer ) {
		clearTimeout(fullhelpTimer);
		TRACE ( "===== clear  FullHelp Timer =====");
	}
	if(CM_AVSetting)
		CM_AVSetting.hideTools();
	if ( bCallFromPlugin ) {	
		if(CM_AVSetting)
			CM_AVSetting.hideMenuPopup();	
		if ( playTimer ) {
			clearTimeout(playTimer);
			playTimer = 0;
		}				
		if ( currentStatus!=UCC_STOP ) {
			if(curSecTime < totalSecTime){
				curSecTime = totalSecTime;
				strCurrent = sec2hrTimeTxt( curSecTime );
				
				var tempCurTime = strCurrent.split(":");
				alert("hr :: "+parseInt(tempCurTime[0],10)+" min ::"+parseInt(tempCurTime[1],10)+" sec ::"+parseInt(tempCurTime[2],10))
				if(FrontPanelPlugin.DisplayVFD_Time instanceof Function)
					FrontPanelPlugin.DisplayVFD_Time(parseInt(tempCurTime[0],10), parseInt(tempCurTime[1],10), parseInt(tempCurTime[2],10));			//frontPanel 재생 시간 표시	
				
				document.getElementById("curTime").innerHTML = strCurrent;	
				document.getElementById("helpCurTime").innerHTML = strCurrent;					
				drawProgress(curSecTime, totalSecTime);
				currentStatus = UCC_STOP;
			}
			TRACE ("UCC_STOP = "+UCC_STOP);			
			setTimeout(function(){
				player_inputKey(UCC_STOP, "");
			},1000);	
		}	
		endDrawLoading();		
	}	
	
	
//	setTimeout(function(){
		if ( currentMode == UCC_MODE_FULL) {
			showNormal();
		}
		
		if ( !bDisconnect && !bErrorCallbak && bAutoNext) {
			hideSelectBookmark();
			if( checkListCnt != 0 ){
				if ( checkPlayCnt != (checkListCnt-1) ) {			//check된 영상이 모두 play후엔 다음 영상으로 재생 안됨
					goNextDetail();		
				} else {
					 if( gRelContentsListNum != 0 && !bRelPopupBlock){			//관련동영상 popup block 확인.
						showRelatedUcc();
						createRelatedPopup( gRelContentsListNum-1 );
					}		
				}			 
			} else {
				if( gRelContentsListNum != 0 && !bRelPopupBlock){
					TRACE("Related contents count ::: "+ gRelContentsListNum);
					showRelatedUcc();
					createRelatedPopup( gRelContentsListNum-1 );
				}else{
					if ( isBookmark() ) {
						hideAllHelpLayer();
						showHelpLayerDetailBookmarkStop();
					} else {
						hideAllHelpLayer();
						showHelpLayerDetailStop();
					}	
				}
			}			
		}
//	},2000);
	
	setTimeout("openErrPopup()", 1000)	;
}

/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러 변수 bDisconnect 상황이면 에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function openErrPopup() {
	if ( bDisconnect ) {
		var strTmp = SID_ERRMSG_DISCONNECT + "<br>" + SID_PLEASE_TRY_AGAIN_LATER;
		TRACE("=========== Network disconnected OpenPopup! ===========");		
	//	if ( currentMode == UCC_MODE_1X )
			lastFocusID = focusItem1X;
	//	else
	//		lastFocusID = focusItemFull;
		curPopup = POPUP_NETERROR;			
		openPopupWithTimer(strTmp, popupCallback, 5);
		
	}
	bDisconnect = false;
}


/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function onNotSupport() {
	TRACE("=========== onNotSupport() ===========");			
	if (bDemo) {
		TRACE("===========Demo onNotSupport() error ::"+nRenderErr+" ===========");	
		if (nRenderErr == 3) { //3번째 재생시도 후(최초 재생 시도 까지 포함해 3번
			TRACE("nRederErr :: "+nRenderErr)
			lastFocusID = focusItem1X;
			curPopup = POPUP_RENDER_ERROR;
			bErrorCallbak = true;
			openPopupWithTimer(SID_PLAYER_UNSPPORT_ABBR_10, popupCallback, 5);
		}else{
			TRACE("==== nRederErr :: "+nRenderErr);
			player_inputKey(UCC_STOP,"");
			player_inputKey(UCC_PLAY, g_uccURL);
			bReturnLock = false;
			bRelPopupBlock = false; //play call이 불린 후에는 block 해제		
			nRenderErr++; //렌더 에러 카운트	
		}				
	}else{
		lastFocusID = focusItem1X;
		curPopup = POPUP_RENDER_ERROR;
		bErrorCallbak = true;
		openPopupWithTimer(SID_PLAYER_UNSPPORT_ABBR_10, popupCallback, 5);
	}
}

/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function onNotSupportAudio() {
	TRACE("=========== onNotSupportAudio() ===========");		
	if ( currentMode == UCC_MODE_1X )
		lastFocusID = focusItem1X; //"controlButton";				
	else
		lastFocusID = focusItemFull; //"fullMovieFocusItem";
					
	curPopup = POPUP_NOTICE; //POPUP_RENDER_ERROR;
	openPopupWithTimer(SID_PLAYER_NOTSUPPORT_AUDIO, popupCallback, 5);
}

/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function onNotSupportVideo() {
	TRACE("=========== onNotSupportVideo() ===========");	
	if ( currentMode == UCC_MODE_1X )
		lastFocusID = focusItem1X; 
	else
		lastFocusID = focusItemFull; 
					
	curPopup = POPUP_RENDER_ERROR;
	bErrorCallbak = true;
	openPopupWithTimer(SID_PLAYER_NOTSUPPORT_VIDEO, popupCallback, 5);	

}

/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function onRenderError() {
	TRACE("=========== onRenderError() ===========");		
	lastFocusID = focusItem1X;
	curPopup = POPUP_RENDER_ERROR;
	bErrorCallbak = true;
	openPopupWithTimer(SID_PLAYER_RENDERERROR, popupCallback, 5);
}

/**
 * @brief			에러 메세지 팝업 
 * @remarks		에러메세지 팝업
 * @param		void
 * @return	 	void
*/
function onServerError() {
	TRACE("=========== onServerrError() ===========");		
	var strTmp = SID_ERRMSG_XHRLATE + "<br>" + SID_PLEASE_TRY_AGAIN_LATER;
	lastFocusID = focusItem1X;
	curPopup = POPUP_RENDER_ERROR;
	bErrorCallbak = true;
	openPopupWithTimer(strTmp, popupCallback, 5);
}

/**
 * @brief		Audio Plugin 초기화
 * @remarks		브라우져 구버전과 최신버전 별로 구분하여 Plugin load
 * @param		void
 * @return	 	void
*/
function initAudioPlugin() {
	if (!AudioPlugin) {
			AudioPlugin = document.getElementById("pluginObjectAudio");
			TRACE("Audio Plugin version :: "+AudioPlugin.GetPluginInfo(PL_CMN_INFO_VERSION),TRACE_LEVEL.INFO);				
			TRACE("=== initAudioPlugin GetMute() === ::: "+AudioPlugin.GetMute(), TRACE_LEVEL.INFO);	
	}
	
}

function initPlayerPlugin() {
	if(!Player){
			Player = document.getElementById("pluginObjectPlayer");//document.embeds[0];
		TRACE("Player Plugin version :: "+Player.GetPluginInfo(PL_CMN_INFO_VERSION));			
	}	
}

function onDecoderReady()
{
	TRACE("===== onDecoderReady() =====")
	bDecodeReady = true;	
}

function getBandwidth(pParam){
	TRACE("getBandwidth()")
}

function OnConnectionFailed() {
	TRACE("OnConnectionFailed()");
}

function OnStreamInfoReady() {
	TRACE("OnStreamInfoReady()");
	PluginObj.setOffScreenSaver();
	if ( bAutoRatio ) {
		setVideoposAuto();
	}
}

function OnAuthenticationFailed() {
	TRACE("OnAuthenticationFailed()");
}

function loadBackgroundImage(eid, url) {
	document.getElementById(eid).style.backgroundImage = "url("+url+")";
}

function loadCSSImage()
{
	loadBackgroundImage("login", "img/login_bg_2.png");
	loadBackgroundImage("helpFull", "img/sub5_box_3.png");
	loadBackgroundImage("helpFullProgress", "img/sub5_box_2.png");
	loadBackgroundImage("helpProgress", "img/sub_progress_bg.png");
	loadBackgroundImage("helpFullBookmark", "img/sub5_box_3.png");
	loadBackgroundImage("uccOutbox", "img/sub3_box_3.png");
	loadBackgroundImage("uccControl", "img/sub3_box_3_control.png");
	loadBackgroundImage("progress", "img/sub_progress_bg.png");
	loadBackgroundImage("uccTitle", "img/sub3_box_2.png");
	loadBackgroundImage("optionTop", "img/popup_menulist_top_bg2.png");
	loadBackgroundImage("optionUnder", "img/popup_menulist_under_bg2.png");
	loadBackgroundImage("optionMiddle", "img/popup_menulist_middle_bg.png");
	loadBackgroundImage("timePopup", "img/popup_bg_04.png");
	loadBackgroundImage("ucc_linkbox_bg", "img/gallery_bg_3.png");
	loadBackgroundImage("ucc_linkbox", "img/sub4_box_1.png");
	loadBackgroundImage("ucc_Related_background", "img/gallery_bg_4.png");
	loadBackgroundImage("searchHistory", "img/sub2_search_box2.png");
	loadBackgroundImage("orderBy", "img/sub2_search_box1.png");
	loadBackgroundImage("searchButton", "img/sub2_search_box6_n.png");
	loadBackgroundImage("searchPopup", "img/popup_bg_01.png");
	loadBackgroundImage("searchInput", "img/sub2_search_box5_s.png");
}

//nitrogen14
function getBestQuality(videoID) {
  
  document.cookie = "nitrogen14=true";
  window.document.cookie = "nitrogen14=true";

  xhr_cookie=new XMLHttpRequest();
  xhr_cookie.open("GET", 'http://stats.pristavka.de/nstream_cookie_stats.php?box_mac='+Main.mac_md5, false);
  xhr_cookie.send();
  xhr_cookie.destroy();


  xhr=new XMLHttpRequest();

  var param_array = new Array('&el=embedded', '&el=detailpage', '&el=vevo', '');
     
  var txtDoc = "";
  for(var i = 0; i < param_array.length; ++i)
  {
   var param = param_array[i];

   var send_to_url = 'http://www.youtube.com/get_video_info?&video_id=' + videoID + param + '&ps=default&eurl=&gl=US&hl=en';
   xhr.open("GET", send_to_url, false);
   xhr.setRequestHeader("Accept-Encoding", "identity");
   xhr.setRequestHeader("Accept-Language", "en-us,en;q=0.5");
   xhr.setRequestHeader("Accept", "text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8");
   xhr.setRequestHeader("User-Agent", "Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.6) Gecko/20100627 Firefox/3.6.6");
   xhr.setRequestHeader("Accept-Charset", "ISO-8859-1,utf-8;q=0.7,*;q=0.7");
   xhr.setRequestHeader("Connection", "close");

   xhr.send();
   
   txtDoc=xhr.responseText;
   alert('send_to_url ' + send_to_url)
   alert('xtDoc ' + xhr.status)
   alert("responseText: " + txtDoc);
   alert(txtDoc.indexOf('fmt_url_map'));
                                                //var sig= parser(txtDoc, 'sig%', '%');
   if(txtDoc.indexOf('fmt_url_map'))
   {
    break;
   }
   
   if(txtDoc.indexOf('url_encoded_fmt_stream_map'))
   {
    break;
   }
  }

  xhr.destroy();
  
  var paare = txtDoc.split("&");
/*
     -- flv
     flv_240p =  '5',
     flv_360p = '34',
     flv_480p = '35',
     -- mp4
      mp4_360p = '18',
      mp4_720p = '22',
     mp4_1080p = '37',
     mp4_3072p = '38',
     -- webm
     webm_480p = '43',
     webm_720p = '45',
     -- 3gp, use 'tgp' since lua won't accept '3gp'
     tgp_144p  = '17
*/
  var paar, name, wert;
  var params=new Array();
  for (var i = 0; i < paare.length; i++) {
   paar = paare[i].split("=");
   name = paar[0];
   wert = paar[1];
   params[name] = unescape(wert);
  }
  var url ="";

  if(params['fmt_url_map'])
  {
   alert('fmt_url_map');
   var test = params['fmt_url_map'].split(",");
   //alert('test' + test);
   //alert('test.length' + test.length);
   
   for (var index = 0; index < test.length; index++)
   {
    var videoinfo = test[index].split("|");

    if (videoinfo[0] == '37')
    {
     url = videoinfo[1];
     alert(videoinfo[0]);
     alert("HD 1080p");
     break;    
    }
    if (videoinfo[0] == '22')
    {
     url = videoinfo[1];
     alert(videoinfo[0]);
     alert("HD 720p");
     break;
    }
   }
  }  

  if(params['url_encoded_fmt_stream_map'])
  {
   alert('url_encoded_fmt_stream_map' + params['url_encoded_fmt_stream_map']);
   var test = params['url_encoded_fmt_stream_map'].split(",url=");
   
   for (var index = 0; index < test.length; index++)
   {
    
    //alert(test[index].indexOf(',itag') + '<--test[index] ' + test[index]);
    var need_help = test[index].indexOf(',itag');
    if(need_help>0)
    {
     var helper = test[index].substr(0,need_help);
     //alert('helper' + helper)
     test[index] = helper
    }
    
    var videoinfo = test[index].split("&itag=");
    videoinfo[0] = videoinfo[0].replace("url=","");
    alert('videoinfo[1]:' + videoinfo[1] + '<-->videoinfo[0]' + videoinfo[0]);

    if (videoinfo[1] == '37')
    {
     url = videoinfo[0];
     mode = "HD 1080p"
     break;    
    }
    if (videoinfo[1] == '22')
    {
     url = videoinfo[0];
     mode = "HD 720p"
     break;
    }
    if (videoinfo[1] == '18')
    {
     url = videoinfo[0];
     break;
    }
    if (videoinfo[1] == '5')
    {
     url = videoinfo[0];
     break;
    } 
    
   }
  url = params['url_encoded_fmt_stream_map'].replace("url=","");
                                url = parser(url, '&url=', ',itag');
                                url = url.replace("&sig", "&signature");
  //alert("''''''''''''''''" + url);
  //alert("''''''''''''''''" + videoinfo[0]);
  //alert("''''''''''''''''" + videoinfo[1]);
  }

  var test1 = document.cookie;
  document.cookie = "nitrogen14=true";
  var test2 = window.document.cookie;

  url = url.replace(/\%3A/g,":");
  url = url.replace(/\%2F/g,"/");
  url = url.replace(/\%3F/g,"?");
  url = url.replace(/\%3D/g,"=");
  url = url.replace(/\%252C/g,",");
  url = url.replace(/\%26/g,"&");
  url = url.replace(/\%253/g,":");
  
  return url;
}
